
local UEHelpers = require("UEHelpers") -- Gives things
local config = require("config") -- Config.lua file 

-- (?=.*value1)(?=.*value2) use Regex for searching in UE4SS (make sure to right click search bar and enable regex for searching in live view)
-- Useful for finding Color types for a certain character, for example:
-- (?=.*color)(?=.*zbr) finds strings that have both "color" and "zbr" in it 
-- (?=.*color)(?=.*zbr)(?=.*DataInterface) -- Dont use, this is (?=.*DataInterface) slow as checks whole string for Datainterface instead of start, use ^NiagaraDataInterfaceColorCurve instead
-- ^NiagaraDataInterfaceColorCurve(?=.*saifu) (Regex that searches for strings that starts with NiagaraDataInterfaceColorCurve and has saifu in it)
-- "zbr" is Reina, check https://tekkenmods.com/article/78 "Character Abbreviatons" for a specific character 
-- ^[^ ]*substring[^ ]* Class/Type has substring in its name, for example ^[^ ]*character[^ ]* finds BP_character types, BaseCharacterItem types PolarisCharacter ... etc
-- Im talking about using this in UE4SS's Live View (zDev version on github) (On live view Right click on its search bar and enable Regex searching)
local function PrintRemixLooker(string) -- Adds [RemixNiagaraDataColorTest] to all of our Prints() for debugging + clarity, also allows for easy turning off, just add a return 
        if true then 
            return
        end
        local aString = "[Remix Rainbow Electrics All Charcters]: " .. string .. "\n"
        print(aString)
end
print("Rainbow Electric Mod by Remix Loaded \n") -- Hey it's me 
UObjectSaifu02_CC_0 = nil -- You'll see some old/redudant/bad code that was for testing/learning about Tekken and then halfway pivoted into this mod, 0 effect on performance so doesn't matter
UObjectSaifu02_CC_1 = nil --
UObjectSaifu02_CC_2 = nil -- 
UObjectSaifu02_CC_3 = nil --
SetReinaSaifu = false
Reina_CC_0_ShaderLut_array = {}
Reina_CC_1_ShaderLut_array = {}
Reina_CC_2_ShaderLut_array = {}
Reina_CC_3_ShaderLut_array = {}
Found_Saifu = false
OnInitCounter = 0 -- Max Should be 3  | Alternative way of checking | Not used so don't really worry about it
RemixTimeCurrent = nil -- Used to track time between OnInitBattle calls (useful in practice range, but not a problem if this didn't exist)
RemixTimeOld = nil     -- See above
IsCalled = false -- holds whether or not OnInitBattleCallback is being executed 
IsSettingvalues = false -- isSetting Reina's values
NDICC = nil -- Holds NiagaraDataInterfaceColorCurve non-instance
-- RemixFirstRun = false 
--------------------------------------------------------------------------------------Hard Coded Values Below ------------------------------------------------------------------------------------------------------------------------------------------------------------
-- Standard Settings {0 : DynamicBeam001_3, 1 : DynamicBeam002_11, 2 : DynamicBeam003_4, 3 : DynamicBeam_4}
-- Above is a saying that Dvj_CC_0, Kazuya_Blue_0, Reina_color_0 map to what DataInterfaceColorCurve, you'll know if you look at the NiagaraDataInterfaceColorCurve of the electrics (Saifu) in UE4SS
-- Angel Jin is special so doesn't follow this convention 
-- NiagaraDataInterfaceColorCurve have a ShaderLUT which is what all of these long lists/arrays (maps in lua?) are FOR ColorCurves they follow: 
-- R,G,B,A  repeating , for example take an example that goes (2,1,3,1,2,3,2,1 and so on)  the first four numbers are a color together, and so are the next four and so on, so the first four would be a Red value of 2, Blue value of 1, Green value of 3 and an Alpha of 1. (They are floats so can be non-integer numbers, furthermore while they are usually between 0 and 1, they can be above that, you won't see the alpha go above 1)    
------------------------------------------------------------------------------------Devil Jin's Red Electric Saifu02 ------------------------------------------------------------------------------------------------------------------------------------------------------------
Dvj_CC_0_ShaderLut_array = {2.000000,0.000000,0.000000,1.000000,2.000000,0.000000,0.000000,1.000000,2.000000,0.000000,0.000000,1.000000,2.000000,0.000000,0.000000,1.000000,2.000000,0.000000,0.000000,1.000000,2.000000,0.000000,0.000000,1.000000,2.000000,0.000000,0.000000,1.000000,2.000000,0.000000,0.000000,1.000000,2.000000,0.000000,0.000000,1.000000,2.000000,0.000000,0.000000,1.000000,2.000000,0.000000,0.000000,1.000000,2.000000,0.000000,0.000000,1.000000,2.000000,0.000000,0.000000,1.000000,2.000000,0.000000,0.000000,1.000000,2.000000,0.000000,0.000000,1.000000,2.000000,0.000000,0.000000,1.000000,2.000000,0.000000,0.000000,1.000000,2.000000,0.000000,0.000000,1.000000,2.000000,0.000000,0.000000,1.000000,2.000000,0.000000,0.000000,1.000000,2.000000,0.000000,0.000000,1.000000,2.000000,0.000000,0.000000,1.000000,2.000000,0.000000,0.000000,1.000000,1.999655,0.000000,0.000058,1.000000,1.992049,0.000000,0.001325,1.000000,1.975134,0.000000,0.004144,1.000000,1.949775,0.000000,0.008371,1.000000,1.916837,0.000000,0.013861,1.000000,1.877187,0.000000,0.020469,1.000000,1.831690,0.000000,0.028052,1.000000,1.781214,0.000000,0.036464,1.000000,1.726623,0.000000,0.045563,1.000000,1.668785,0.000000,0.055203,1.000000,1.608564,0.000000,0.065239,1.000000,1.546826,0.000000,0.075529,1.000000,1.484439,0.000000,0.085927,1.000000,1.422267,0.000000,0.096289,1.000000,1.361177,0.000000,0.106470,1.000000,1.302035,0.000000,0.116327,1.000000,1.245707,0.000000,0.125715,1.000000,1.193059,0.000000,0.134490,1.000000,1.144957,0.000000,0.142507,1.000000,1.102266,0.000000,0.149622,1.000000,1.065853,0.000000,0.155691,1.000000,1.036584,0.000000,0.160569,1.000000,1.015325,0.000000,0.164112,1.000000,1.002942,0.000000,0.166176,1.000000,1.000000,0.000000,0.165500,1.000000,1.000000,0.000000,0.160632,1.000000,1.000000,0.000000,0.155764,1.000000,1.000000,0.000000,0.150897,1.000000,1.000000,0.000000,0.146029,1.000000,1.000000,0.000000,0.141161,1.000000,1.000000,0.000000,0.136294,1.000000,1.000000,0.000000,0.131426,1.000000,1.000000,0.000000,0.126558,1.000000,1.000000,0.000000,0.121691,1.000000,1.000000,0.000000,0.116823,1.000000,1.000000,0.000000,0.111956,1.000000,1.000000,0.000000,0.107088,1.000000,1.000000,0.000000,0.102220,1.000000,1.000000,0.000000,0.097353,1.000000,1.000000,0.000000,0.092485,1.000000,1.000000,0.000000,0.087617,1.000000,1.000000,0.000000,0.082750,1.000000,1.000000,0.000000,0.077882,1.000000,1.000000,0.000000,0.073015,1.000000,1.000000,0.000000,0.068147,1.000000,1.000000,0.000000,0.063279,1.000000,1.000000,0.000000,0.058412,1.000000,1.000000,0.000000,0.053544,1.000000,1.000000,0.000000,0.048676,1.000000,1.000000,0.000000,0.043809,1.000000,1.000000,0.000000,0.038941,1.000000,1.000000,0.000000,0.034073,1.000000,1.000000,0.000000,0.029206,1.000000,1.000000,0.000000,0.024338,1.000000,1.000000,0.000000,0.019471,1.000000,1.000000,0.000000,0.014603,1.000000,1.000000,0.000000,0.009735,1.000000,1.000000,0.000000,0.004868,1.000000,1.000000,0.000000,0.000000,1.000000}
Dvj_CC_1_ShaderLut_array = {1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.250000,1.000000,1.000000,0.000000,0.233748,1.000000,1.000000,0.000000,0.215891,1.000000,1.000000,0.000000,0.198033,1.000000,1.000000,0.000000,0.180175,1.000000,1.000000,0.000000,0.162318,1.000000,1.000000,0.000000,0.144460,1.000000,1.000000,0.000000,0.126603,1.000000,1.000000,0.000000,0.108745,1.000000,1.000000,0.000000,0.090887,1.000000,1.000000,0.000000,0.073030,1.000000,1.000000,0.000000,0.055172,1.000000,1.000000,0.000000,0.037315,1.000000,1.000000,0.000000,0.019457,1.000000,1.000000,0.000000,0.001600,1.000000,1.000000,0.000000,0.004332,1.000000,1.000000,0.000000,0.013428,1.000000,1.000000,0.000000,0.026532,1.000000,1.000000,0.000000,0.043096,1.000000,1.000000,0.000000,0.062570,1.000000,1.000000,0.000000,0.084405,1.000000,1.000000,0.000000,0.108052,1.000000,1.000000,0.000000,0.132963,1.000000,1.000000,0.000000,0.158587,1.000000,1.000000,0.000000,0.184377,1.000000,1.000000,0.000000,0.209783,1.000000,1.000000,0.000000,0.234257,1.000000,1.000000,0.000000,0.257248,1.000000,1.000000,0.000000,0.278209,1.000000,1.000000,0.000000,0.296589,1.000000,1.000000,0.000000,0.311841,1.000000,1.000000,0.000000,0.323415,1.000000,1.000000,0.000000,0.330762,1.000000,1.000000,0.000000,0.333333,1.000000}
Dvj_CC_2_ShaderLut_array = {2.000000,0.000000,0.033333,1.000000,1.999192,0.000008,0.033314,1.000000,1.996249,0.000038,0.033245,1.000000,1.991234,0.000088,0.033128,1.000000,1.984235,0.000158,0.032965,1.000000,1.975335,0.000247,0.032757,1.000000,1.964622,0.000354,0.032507,1.000000,1.952182,0.000478,0.032217,1.000000,1.938101,0.000619,0.031889,1.000000,1.922464,0.000775,0.031524,1.000000,1.905359,0.000946,0.031125,1.000000,1.886870,0.001131,0.030693,1.000000,1.867084,0.001329,0.030232,1.000000,1.846087,0.001539,0.029742,1.000000,1.823965,0.001760,0.029225,1.000000,1.800805,0.001992,0.028685,1.000000,1.776691,0.002233,0.028122,1.000000,1.751711,0.002483,0.027540,1.000000,1.725950,0.002740,0.026938,1.000000,1.699494,0.003005,0.026321,1.000000,1.672430,0.003276,0.025690,1.000000,1.644843,0.003552,0.025046,1.000000,1.616820,0.003832,0.024392,1.000000,1.588446,0.004116,0.023730,1.000000,1.559808,0.004402,0.023062,1.000000,1.530992,0.004690,0.022390,1.000000,1.502083,0.004979,0.021715,1.000000,1.473169,0.005268,0.021040,1.000000,1.444334,0.005557,0.020368,1.000000,1.415664,0.005843,0.019699,1.000000,1.387247,0.006128,0.019036,1.000000,1.359168,0.006408,0.018380,1.000000,1.331513,0.006685,0.017735,1.000000,1.304369,0.006956,0.017102,1.000000,1.277820,0.007222,0.016482,1.000000,1.251954,0.007480,0.015879,1.000000,1.226856,0.007731,0.015293,1.000000,1.202612,0.007974,0.014728,1.000000,1.179309,0.008207,0.014184,1.000000,1.157032,0.008430,0.013664,1.000000,1.135868,0.008641,0.013170,1.000000,1.115902,0.008841,0.012704,1.000000,1.097221,0.009028,0.012268,1.000000,1.079911,0.009201,0.011865,1.000000,1.064058,0.009359,0.011495,1.000000,1.049747,0.009503,0.011161,1.000000,1.037065,0.009629,0.010865,1.000000,1.026098,0.009739,0.010609,1.000000,1.016932,0.009831,0.010395,1.000000,1.009654,0.009903,0.010225,1.000000,1.004348,0.009957,0.010101,1.000000,1.001101,0.009989,0.010026,1.000000,1.000000,0.010000,0.010000,1.000000}
Dvj_CC_3_ShaderLut_array = {2.000000,0.000000,0.000000,1.000000,2.000000,0.000000,0.000000,1.000000,1.998963,0.000027,0.000044,1.000000,1.995789,0.000110,0.000178,1.000000,1.990562,0.000246,0.000399,1.000000,1.983368,0.000433,0.000703,1.000000,1.974292,0.000669,0.001087,1.000000,1.963420,0.000953,0.001546,1.000000,1.950837,0.001280,0.002078,1.000000,1.936629,0.001650,0.002679,1.000000,1.920880,0.002060,0.003345,1.000000,1.903678,0.002508,0.004072,1.000000,1.885107,0.002992,0.004857,1.000000,1.865252,0.003509,0.005696,1.000000,1.844200,0.004057,0.006586,1.000000,1.822034,0.004635,0.007523,1.000000,1.798843,0.005238,0.008504,1.000000,1.774709,0.005867,0.009524,1.000000,1.749720,0.006518,0.010580,1.000000,1.723960,0.007189,0.011669,1.000000,1.697515,0.007877,0.012787,1.000000,1.670470,0.008582,0.013931,1.000000,1.642912,0.009299,0.015096,1.000000,1.614925,0.010028,0.016279,1.000000,1.586594,0.010766,0.017476,1.000000,1.558007,0.011510,0.018685,1.000000,1.529246,0.012259,0.019901,1.000000,1.500400,0.013010,0.021120,1.000000,1.471552,0.013762,0.022340,1.000000,1.442788,0.014511,0.023556,1.000000,1.414194,0.015255,0.024764,1.000000,1.385856,0.015993,0.025962,1.000000,1.357858,0.016722,0.027146,1.000000,1.330287,0.017440,0.028312,1.000000,1.303227,0.018145,0.029455,1.000000,1.276764,0.018834,0.030574,1.000000,1.250984,0.019506,0.031664,1.000000,1.225972,0.020157,0.032721,1.000000,1.201814,0.020786,0.033743,1.000000,1.178594,0.021391,0.034724,1.000000,1.156400,0.021969,0.035662,1.000000,1.135315,0.022518,0.036554,1.000000,1.115426,0.023036,0.037395,1.000000,1.096818,0.023520,0.038181,1.000000,1.079577,0.023969,0.038910,1.000000,1.063787,0.024381,0.039578,1.000000,1.049535,0.024752,0.040180,1.000000,1.036906,0.025081,0.040714,1.000000,1.025985,0.025365,0.041176,1.000000,1.016859,0.025603,0.041561,1.000000,1.009611,0.025791,0.041868,1.000000,1.004328,0.025929,0.042091,1.000000,1.001096,0.026013,0.042228,1.000000,1.000000,0.026042,0.042274,1.000000}

Dvj_Rainbow_0 = {6.375000, 0.000000, 0.000000, 6.375000, 6.375000, 0.000000, 0.000000, 6.375000, 6.375000, 0.475000, 0.000000, 6.375000, 6.375000, 0.475000, 0.000000, 6.375000, 6.375000, 1.450000, 0.000000, 6.375000, 6.375000, 1.425000, 0.000000, 6.375000, 6.375000, 2.425000, 0.000000, 6.375000, 6.375000, 2.400000, 0.000000, 6.375000, 6.375000, 3.350000, 0.000000, 6.375000, 6.375000, 3.375000, 0.000000, 6.375000, 6.375000, 4.325000, 0.000000, 6.375000, 6.375000, 4.325000, 0.000000, 6.375000, 6.375000, 5.300000, 0.000000, 6.375000, 6.375000, 5.275000, 0.000000, 6.375000, 6.375000, 6.275000, 0.000000, 6.375000, 6.375000, 6.250000, 0.000000, 6.375000, 5.550000, 6.375000, 0.000000, 6.375000, 5.550000, 6.375000, 0.000000, 6.375000, 4.550000, 6.375000, 0.000000, 6.375000, 4.550000, 6.375000, 0.000000, 6.375000, 3.625000, 6.375000, 0.000000, 6.375000, 3.600000, 6.375000, 0.000000, 6.375000, 2.650000, 6.375000, 0.000000, 6.375000, 2.650000, 6.375000, 0.000000, 6.375000, 1.700000, 6.375000, 0.000000, 6.375000, 1.675000, 6.375000, 0.000000, 6.375000, 0.725000, 6.375000, 0.000000, 6.375000, 0.725000, 6.375000, 0.000000, 6.375000, 0.000000, 6.375000, 0.250000, 6.375000, 0.000000, 6.375000, 0.225000, 6.375000, 0.000000, 6.375000, 1.225000, 6.375000, 0.000000, 6.375000, 1.200000, 6.375000, 0.000000, 6.375000, 2.175000, 6.375000, 0.000000, 6.375000, 2.175000, 6.375000, 0.000000, 6.375000, 3.125000, 6.375000, 0.000000, 6.375000, 3.125000, 6.375000, 0.000000, 6.375000, 4.100000, 6.375000, 0.000000, 6.375000, 4.100000, 6.375000, 0.000000, 6.375000, 5.050000, 6.375000, 0.000000, 6.375000, 5.050000, 6.375000, 0.000000, 6.375000, 6.025000, 6.375000, 0.000000, 6.375000, 6.025000, 6.375000, 0.000000, 5.775000, 6.375000, 6.375000, 0.000000, 5.775000, 6.375000, 6.375000, 0.000000, 4.800000, 6.375000, 6.375000, 0.000000, 4.800000, 6.375000, 6.375000, 0.000000, 3.850000, 6.375000, 6.375000, 0.000000, 3.850000, 6.375000, 6.375000, 0.000000, 2.875000, 6.375000, 6.375000, 0.000000, 2.900000, 6.375000, 6.375000, 0.000000, 1.925000, 6.375000, 6.375000, 0.000000, 1.925000, 6.375000, 6.375000, 0.000000, 0.950000, 6.375000, 6.375000, 0.000000, 0.975000, 6.375000, 6.375000, 0.000000, 0.000000, 6.375000, 6.375000, 0.000000, 0.000000, 6.375000, 6.375000, 0.975000, 0.000000, 6.375000, 6.375000, 0.975000, 0.000000, 6.375000, 6.375000, 1.925000, 0.000000, 6.375000, 6.375000, 1.925000, 0.000000, 6.375000, 6.375000, 2.900000, 0.000000, 6.375000, 6.375000, 2.875000, 0.000000, 6.375000, 6.375000, 3.850000, 0.000000, 6.375000, 6.375000, 3.850000, 0.000000, 6.375000, 6.375000, 4.825000, 0.000000, 6.375000, 6.375000, 4.825000, 0.000000, 6.375000, 6.375000, 5.775000, 0.000000, 6.375000, 6.375000, 5.775000, 0.000000, 6.375000, 6.375000, 6.375000, 0.000000, 6.000000, 6.375000, 6.375000, 0.000000, 6.000000, 6.375000, 6.375000, 0.000000, 5.075000, 6.375000, 6.375000, 0.000000, 5.075000, 6.375000, 6.375000, 0.000000, 4.100000, 6.375000, 6.375000, 0.000000, 4.075000, 6.375000, 6.375000, 0.000000, 3.125000, 6.375000, 6.375000, 0.000000, 3.125000, 6.375000, 6.375000, 0.000000, 2.175000, 6.375000, 6.375000, 0.000000, 2.175000, 6.375000, 6.375000, 0.000000, 1.200000, 6.375000, 6.375000, 0.000000, 1.200000, 6.375000, 6.375000, 0.000000, 0.250000, 6.375000, 6.375000, 0.000000, 0.250000, 6.375000}
Dvj_Rainbow_1 = {6.375000, 0.000000, 0.000000, 6.375000, 6.375000, 0.550000, 0.000000, 6.375000, 6.375000, 1.075000, 0.000000, 6.375000, 6.375000, 1.625000, 0.000000, 6.375000, 6.375000, 2.150000, 0.000000, 6.375000, 6.375000, 2.700000, 0.000000, 6.375000, 6.375000, 3.250000, 0.000000, 6.375000, 6.375000, 3.775000, 0.000000, 6.375000, 6.375000, 4.325000, 0.000000, 6.375000, 6.375000, 4.875000, 0.000000, 6.375000, 6.375000, 5.400000, 0.000000, 6.375000, 6.375000, 5.950000, 0.000000, 6.375000, 6.125000, 6.375000, 0.000000, 6.375000, 5.575000, 6.375000, 0.000000, 6.375000, 5.050000, 6.375000, 0.000000, 6.375000, 4.500000, 6.375000, 0.000000, 6.375000, 3.975000, 6.375000, 0.000000, 6.375000, 3.425000, 6.375000, 0.000000, 6.375000, 2.900000, 6.375000, 0.000000, 6.375000, 2.350000, 6.375000, 0.000000, 6.375000, 1.800000, 6.375000, 0.000000, 6.375000, 1.275000, 6.375000, 0.000000, 6.375000, 0.725000, 6.375000, 0.000000, 6.375000, 0.175000, 6.375000, 0.000000, 6.375000, 0.000000, 6.375000, 0.375000, 6.375000, 0.000000, 6.375000, 0.900000, 6.375000, 0.000000, 6.375000, 1.450000, 6.375000, 0.000000, 6.375000, 1.975000, 6.375000, 0.000000, 6.375000, 2.525000, 6.375000, 0.000000, 6.375000, 3.050000, 6.375000, 0.000000, 6.375000, 3.600000, 6.375000, 0.000000, 6.375000, 4.125000, 6.375000, 0.000000, 6.375000, 4.675000, 6.375000, 0.000000, 6.375000, 5.225000, 6.375000, 0.000000, 6.375000, 5.775000, 6.375000, 0.000000, 6.375000, 6.300000, 6.375000, 0.000000, 5.775000, 6.375000, 6.375000, 0.000000, 5.225000, 6.375000, 6.375000, 0.000000, 4.675000, 6.375000, 6.375000, 0.000000, 4.150000, 6.375000, 6.375000, 0.000000, 3.600000, 6.375000, 6.375000, 0.000000, 3.075000, 6.375000, 6.375000, 0.000000, 2.525000, 6.375000, 6.375000, 0.000000, 1.975000, 6.375000, 6.375000, 0.000000, 1.450000, 6.375000, 6.375000, 0.000000, 0.900000, 6.375000, 6.375000, 0.000000, 0.350000, 6.375000, 6.375000, 0.175000, 0.000000, 6.375000, 6.375000, 0.725000, 0.000000, 6.375000, 6.375000, 1.275000, 0.000000, 6.375000, 6.375000, 1.825000, 0.000000, 6.375000, 6.375000, 2.350000, 0.000000, 6.375000, 6.375000, 2.875000, 0.000000, 6.375000, 6.375000, 3.425000, 0.000000, 6.375000, 6.375000, 3.975000, 0.000000, 6.375000, 6.375000, 4.500000, 0.000000, 6.375000, 6.375000, 5.050000, 0.000000, 6.375000, 6.375000, 5.575000, 0.000000, 6.375000, 6.375000, 6.125000, 0.000000, 6.375000, 6.375000, 6.375000, 0.000000, 5.925000, 6.375000, 6.375000, 0.000000, 5.400000, 6.375000, 6.375000, 0.000000, 4.850000, 6.375000, 6.375000, 0.000000, 4.325000, 6.375000, 6.375000, 0.000000, 3.775000, 6.375000, 6.375000, 0.000000, 3.250000, 6.375000, 6.375000, 0.000000, 2.700000, 6.375000, 6.375000, 0.000000, 2.150000, 6.375000, 6.375000, 0.000000, 1.625000, 6.375000, 6.375000, 0.000000, 1.100000, 6.375000, 6.375000, 0.000000, 0.550000, 6.375000, 6.375000, 0.000000, 0.000000, 6.375000}
Dvj_Rainbow_2 = {6.375000, 0.175000, 0.000000, 6.375000, 6.375000, 0.925000, 0.000000, 6.375000, 6.375000, 1.675000, 0.000000, 6.375000, 6.375000, 2.400000, 0.000000, 6.375000, 6.375000, 3.150000, 0.000000, 6.375000, 6.375000, 3.875000, 0.000000, 6.375000, 6.375000, 4.625000, 0.000000, 6.375000, 6.375000, 5.350000, 0.000000, 6.375000, 6.375000, 6.100000, 0.000000, 6.375000, 5.900000, 6.375000, 0.000000, 6.375000, 5.175000, 6.375000, 0.000000, 6.375000, 4.425000, 6.375000, 0.000000, 6.375000, 3.700000, 6.375000, 0.000000, 6.375000, 2.975000, 6.375000, 0.000000, 6.375000, 2.225000, 6.375000, 0.000000, 6.375000, 1.475000, 6.375000, 0.000000, 6.375000, 0.725000, 6.375000, 0.000000, 6.375000, 0.000000, 6.375000, 0.000000, 6.375000, 0.000000, 6.375000, 0.575000, 6.375000, 0.000000, 6.375000, 1.275000, 6.375000, 0.000000, 6.375000, 2.025000, 6.375000, 0.000000, 6.375000, 2.775000, 6.375000, 0.000000, 6.375000, 3.525000, 6.375000, 0.000000, 6.375000, 4.250000, 6.375000, 0.000000, 6.375000, 5.000000, 6.375000, 0.000000, 6.375000, 5.725000, 6.375000, 0.000000, 6.275000, 6.375000, 6.375000, 0.000000, 5.550000, 6.375000, 6.375000, 0.000000, 4.800000, 6.375000, 6.375000, 0.000000, 4.075000, 6.375000, 6.375000, 0.000000, 3.325000, 6.375000, 6.375000, 0.000000, 2.575000, 6.375000, 6.375000, 0.000000, 1.850000, 6.375000, 6.375000, 0.000000, 1.125000, 6.375000, 6.375000, 0.000000, 0.375000, 6.375000, 6.375000, 0.375000, 0.000000, 6.375000, 6.375000, 1.125000, 0.000000, 6.375000, 6.375000, 1.850000, 0.000000, 6.375000, 6.375000, 2.600000, 0.000000, 6.375000, 6.375000, 3.325000, 0.000000, 6.375000, 6.375000, 4.075000, 0.000000, 6.375000, 6.375000, 4.800000, 0.000000, 6.375000, 6.375000, 5.550000, 0.000000, 6.375000, 6.375000, 6.275000, 0.000000, 6.375000, 6.375000, 6.375000, 0.000000, 5.750000, 6.375000, 6.375000, 0.000000, 4.975000, 6.375000, 6.375000, 0.000000, 4.250000, 6.375000, 6.375000, 0.000000, 3.500000, 6.375000, 6.375000, 0.000000, 2.775000, 6.375000, 6.375000, 0.000000, 2.050000, 6.375000, 6.375000, 0.000000, 1.300000, 6.375000, 6.375000, 0.000000, 0.550000, 6.375000, 6.375000, 0.000000, 0.000000, 6.375000}
Dvj_Rainbow_3 = {6.375000, 0.000000, 0.000000, 6.375000, 6.375000, 0.725000, 0.000000, 6.375000, 6.375000, 1.450000, 0.000000, 6.375000, 6.375000, 2.175000, 0.000000, 6.375000, 6.375000, 2.900000, 0.000000, 6.375000, 6.375000, 3.625000, 0.000000, 6.375000, 6.375000, 4.350000, 0.000000, 6.375000, 6.375000, 5.075000, 0.000000, 6.375000, 6.375000, 5.800000, 0.000000, 6.375000, 6.225000, 6.375000, 0.000000, 6.375000, 5.500000, 6.375000, 0.000000, 6.375000, 4.775000, 6.375000, 0.000000, 6.375000, 4.050000, 6.375000, 0.000000, 6.375000, 3.325000, 6.375000, 0.000000, 6.375000, 2.600000, 6.375000, 0.000000, 6.375000, 1.875000, 6.375000, 0.000000, 6.375000, 1.150000, 6.375000, 0.000000, 6.375000, 0.425000, 6.375000, 0.000000, 6.375000, 0.000000, 6.375000, 0.300000, 6.375000, 0.000000, 6.375000, 1.025000, 6.375000, 0.000000, 6.375000, 1.775000, 6.375000, 0.000000, 6.375000, 2.475000, 6.375000, 0.000000, 6.375000, 3.200000, 6.375000, 0.000000, 6.375000, 3.925000, 6.375000, 0.000000, 6.375000, 4.825000, 6.375000, 0.000000, 6.375000, 5.550000, 6.375000, 0.000000, 6.375000, 6.300000, 6.375000, 0.000000, 5.725000, 6.375000, 6.375000, 0.000000, 5.025000, 6.375000, 6.375000, 0.000000, 4.300000, 6.375000, 6.375000, 0.000000, 3.575000, 6.375000, 6.375000, 0.000000, 2.850000, 6.375000, 6.375000, 0.000000, 2.100000, 6.375000, 6.375000, 0.000000, 1.400000, 6.375000, 6.375000, 0.000000, 0.650000, 6.375000, 6.375000, 0.075000, 0.000000, 6.375000, 6.375000, 0.775000, 0.000000, 6.375000, 6.375000, 1.500000, 0.000000, 6.375000, 6.375000, 2.250000, 0.000000, 6.375000, 6.375000, 2.975000, 0.000000, 6.375000, 6.375000, 3.700000, 0.000000, 6.375000, 6.375000, 4.400000, 0.000000, 6.375000, 6.375000, 5.150000, 0.000000, 6.375000, 6.375000, 5.875000, 0.000000, 6.375000, 6.375000, 6.375000, 0.000000, 6.150000, 6.375000, 6.375000, 0.000000, 5.450000, 6.375000, 6.375000, 0.000000, 4.725000, 6.375000, 6.375000, 0.000000, 3.800000, 6.375000, 6.375000, 0.000000, 3.100000, 6.375000, 6.375000, 0.000000, 2.350000, 6.375000, 6.375000, 0.000000, 1.625000, 6.375000, 6.375000, 0.000000, 0.900000, 6.375000, 6.375000, 0.000000, 0.175000, 6.375000}
------------------------------------------------------------------------------------Angel Jin's Holy Electric Saifu02 ------------------------------------------------------------------------------------------------------------------------------------------------------------------------
-- Style Of Angel Jin's are different to others, extra information after each Shader Lut 
AngelJin_Holy_0 = {2.000000,1.598958,0.395833,1.000000,2.000000,1.598958,0.395833,1.000000,1.998963,1.598123,0.395817,1.000000,1.995789,1.595566,0.395768,1.000000,1.990562,1.591356,0.395686,1.000000,1.983368,1.585560,0.395573,1.000000,1.974292,1.578249,0.395432,1.000000,1.963420,1.569491,0.395262,1.000000,1.950837,1.559355,0.395065,1.000000,1.936629,1.547909,0.394843,1.000000,1.920880,1.535223,0.394597,1.000000,1.903678,1.521366,0.394328,1.000000,1.885107,1.506406,0.394038,1.000000,1.865252,1.490412,0.393728,1.000000,1.844200,1.473453,0.393399,1.000000,1.822034,1.455597,0.393053,1.000000,1.798843,1.436915,0.392690,1.000000,1.774709,1.417474,0.392313,1.000000,1.749720,1.397344,0.391923,1.000000,1.723960,1.376593,0.391520,1.000000,1.697515,1.355290,0.391107,1.000000,1.670470,1.333504,0.390684,1.000000,1.642912,1.311304,0.390254,1.000000,1.614925,1.288759,0.389817,1.000000,1.586594,1.265937,0.389374,1.000000,1.558007,1.242908,0.388927,1.000000,1.529246,1.219740,0.388478,1.000000,1.500400,1.196503,0.388027,1.000000,1.471552,1.173264,0.387576,1.000000,1.442788,1.150094,0.387127,1.000000,1.414194,1.127059,0.386680,1.000000,1.385856,1.104231,0.386237,1.000000,1.357858,1.081677,0.385800,1.000000,1.330287,1.059467,0.385369,1.000000,1.303227,1.037669,0.384946,1.000000,1.276764,1.016352,0.384533,1.000000,1.250984,0.995584,0.384130,1.000000,1.225972,0.975436,0.383739,1.000000,1.201814,0.955975,0.383362,1.000000,1.178594,0.937271,0.382999,1.000000,1.156400,0.919392,0.382652,1.000000,1.135315,0.902407,0.382323,1.000000,1.115426,0.886385,0.382012,1.000000,1.096818,0.871395,0.381721,1.000000,1.079577,0.857506,0.381452,1.000000,1.063787,0.844787,0.381205,1.000000,1.049535,0.833306,0.380982,1.000000,1.036906,0.823133,0.380785,1.000000,1.025985,0.814335,0.380614,1.000000,1.016859,0.806983,0.380472,1.000000,1.009611,0.801145,0.380358,1.000000,1.004328,0.796890,0.380276,1.000000,1.001096,0.794286,0.380225,1.000000,1.000000,0.793403,0.380208,1.000000}
-- NiagaraDataInterfaceColorCurve /Game/Effect/Polariswork/Character/xxa/NiagaraSystem/NS_EF_Xxa_Saifu02.NS_EF_Xxa_Saifu02:LIGHTNING_0.EventScript_0.NiagaraDataInterfaceColorCurve_0
AngelJin_Holy_1 = {2.000000,1.544792,0.562500,1.000000,1.999192,1.544163,0.562382,1.000000,1.996249,1.541873,0.561953,1.000000,1.991234,1.537971,0.561222,1.000000,1.984235,1.532524,0.560201,1.000000,1.975335,1.525599,0.558903,1.000000,1.964622,1.517264,0.557341,1.000000,1.952182,1.507584,0.555527,1.000000,1.938101,1.496627,0.553473,1.000000,1.922464,1.484459,0.551193,1.000000,1.905359,1.471149,0.548698,1.000000,1.886870,1.456762,0.546002,1.000000,1.867084,1.441367,0.543116,1.000000,1.846087,1.425028,0.540054,1.000000,1.823965,1.407815,0.536828,1.000000,1.800805,1.389793,0.533451,1.000000,1.776691,1.371029,0.529934,1.000000,1.751711,1.351592,0.526291,1.000000,1.725950,1.331547,0.522534,1.000000,1.699494,1.310961,0.518676,1.000000,1.672430,1.289901,0.514729,1.000000,1.644843,1.268435,0.510706,1.000000,1.616820,1.246630,0.506620,1.000000,1.588446,1.224552,0.502482,1.000000,1.559808,1.202268,0.498305,1.000000,1.530992,1.179845,0.494103,1.000000,1.502083,1.157350,0.489887,1.000000,1.473169,1.134851,0.485670,1.000000,1.444334,1.112414,0.481465,1.000000,1.415664,1.090106,0.477284,1.000000,1.387247,1.067994,0.473140,1.000000,1.359168,1.046145,0.469045,1.000000,1.331513,1.024626,0.465012,1.000000,1.304369,1.003504,0.461054,1.000000,1.277820,0.982845,0.457182,1.000000,1.251954,0.962718,0.453410,1.000000,1.226856,0.943189,0.449750,1.000000,1.202612,0.924324,0.446214,1.000000,1.179309,0.906191,0.442816,1.000000,1.157032,0.888857,0.439567,1.000000,1.135868,0.872389,0.436481,1.000000,1.115902,0.856853,0.433569,1.000000,1.097221,0.842317,0.430845,1.000000,1.079911,0.828847,0.428320,1.000000,1.064058,0.816511,0.426008,1.000000,1.049747,0.805376,0.423921,1.000000,1.037065,0.795508,0.422072,1.000000,1.026098,0.786974,0.420473,1.000000,1.016932,0.779842,0.419136,1.000000,1.009654,0.774178,0.418074,1.000000,1.004348,0.770050,0.417301,1.000000,1.001101,0.767524,0.416827,1.000000,1.000000,0.766667,0.416667,1.000000}
-- NiagaraDataInterfaceColorCurve /Game/Effect/Polariswork/Character/xxa/NiagaraSystem/NS_EF_Xxa_Saifu02.NS_EF_Xxa_Saifu02:Lightning001_1.EventScript_0.NiagaraDataInterfaceColorCurve_0
AngelJin_Holy_2 = {0.250000,0.000000,1.000000,5.000000,0.250000,0.000000,1.000000,5.000000,0.250000,0.000000,1.000000,5.000000,0.250000,0.000000,1.000000,5.000000,0.250000,0.000000,1.000000,5.000000,0.250000,0.000000,1.000000,5.000000,0.250000,0.000000,1.000000,5.000000,0.250000,0.000000,1.000000,5.000000,0.250000,0.000000,1.000000,5.000000,0.250000,0.000000,1.000000,5.000000,0.250000,0.000000,1.000000,5.000000,0.250000,0.000000,1.000000,5.000000,0.250000,0.000000,1.000000,5.000000,0.250000,0.000000,1.000000,5.000000,0.250000,0.000000,1.000000,5.000000,0.250000,0.000000,1.000000,5.000000,0.250000,0.000000,1.000000,5.000000,0.250000,0.000000,1.000000,5.000000,0.250000,0.000000,1.000000,5.000000,0.250000,0.000000,1.000000,5.000000,0.250000,0.000000,1.000000,5.000000,0.250000,0.000000,1.000000,5.000000,0.250000,0.000000,1.000000,5.000000,0.250000,0.000000,1.000000,5.000000,0.250000,0.000000,1.000000,5.000000,0.250000,0.000000,1.000000,5.000000,0.250000,0.000000,1.000000,5.000000,0.250000,0.000000,1.000000,5.000000,0.250000,0.000000,1.000000,5.000000,0.250000,0.000000,1.000000,5.000000,0.250000,0.000000,1.000000,5.000000,0.235996,0.000000,1.000000,5.000000,0.218452,0.000000,1.000000,5.000000,0.200908,0.000000,1.000000,5.000000,0.183363,0.000000,1.000000,5.000000,0.165819,0.000000,1.000000,5.000000,0.148275,0.000000,1.000000,5.000000,0.130730,0.000000,1.000000,5.000000,0.113186,0.000000,1.000000,5.000000,0.095642,0.000000,1.000000,5.000000,0.078098,0.000000,1.000000,5.000000,0.060553,0.000000,1.000000,5.000000,0.050710,0.000064,1.000000,5.000000,0.055951,0.000266,1.000000,5.000000,0.065574,0.000516,1.000000,5.000000,0.078878,0.000807,1.000000,5.000000,0.095159,0.001128,1.000000,5.000000,0.113713,0.001470,1.000000,5.000000,0.133838,0.001824,1.000000,5.000000,0.154830,0.002181,1.000000,5.000000,0.175986,0.002531,1.000000,5.000000,0.196603,0.002864,1.000000,5.000000,0.215978,0.003172,1.000000,5.000000,0.233407,0.003445,1.000000,5.000000,0.248186,0.003674,1.000000,5.000000,0.259614,0.003849,1.000000,5.000000,0.266987,0.003961,1.000000,5.000000,0.269600,0.004000,1.000000,5.000000}
-- NiagaraDataInterfaceColorCurve /Game/Effect/Polariswork/Character/xxa/NiagaraSystem/NS_EF_Xxa_Saifu02.NS_EF_Xxa_Saifu02:Aura_2.EventScript_0.NiagaraDataInterfaceColorCurve_0
-- Fire (12.750000,7.400000,0.000000,2.550000,12.750000,7.400000,0.000000,2.550000,12.750000,7.400000,0.000000,2.550000,12.750000,7.400000,0.000000,2.550000,12.600000,7.150000,0.000000,2.550000,12.600000,7.100000,0.000000,2.550000,12.450000,6.850000,0.000000,2.550000,12.450000,6.850000,0.000000,2.550000,12.300000,6.550000,0.000000,2.550000,12.300000,6.550000,0.000000,2.550000,12.150000,6.300000,0.000000,2.550000,12.150000,6.300000,0.000000,2.550000,12.000000,6.000000,0.000000,2.550000,12.000000,6.000000,0.000000,2.550000,11.850000,5.700000,0.000000,2.550000,11.850000,5.750000,0.000000,2.550000,11.700000,5.450000,0.000000,2.550000,11.700000,5.450000,0.000000,2.550000,11.550000,5.200000,0.000000,2.550000,11.550000,5.150000,0.000000,2.550000,11.400000,4.900000,0.000000,2.550000,11.400000,4.900000,0.000000,2.550000,11.250000,4.650000,0.000000,2.550000,11.250000,4.650000,0.000000,2.550000,11.100000,4.350000,0.000000,2.550000,11.100000,4.350000,0.000000,2.550000,10.950000,4.050000,0.000000,2.550000,10.950000,4.100000,0.000000,2.550000,10.800000,3.800000,0.000000,2.550000,10.800000,3.800000,0.000000,2.550000,10.650000,3.500000,0.000000,2.550000,10.650000,3.500000,0.000000,2.550000,10.500000,3.250000,0.000000,2.550000,10.500000,3.250000,0.000000,2.550000,10.350000,2.950000,0.000000,2.550000,10.350000,2.950000,0.000000,2.550000,10.200000,2.700000,0.000000,2.550000,10.200000,2.700000,0.000000,2.550000,10.050000,2.400000,0.000000,2.550000,10.050000,2.400000,0.000000,2.550000,9.900000,2.150000,0.000000,2.550000,9.900000,2.150000,0.000000,2.550000,9.750000,1.900000,0.000000,2.550000,9.700000,1.800000,0.000000,2.550000,9.550000,1.550000,0.000000,2.550000,9.600000,1.550000,0.000000,2.550000,9.400000,1.250000,0.000000,2.550000,9.400000,1.250000,0.000000,2.550000,9.250000,0.950000,0.000000,2.550000,9.250000,0.950000,0.000000,2.550000,9.100000,0.700000,0.000000,2.550000,9.100000,0.700000,0.000000,2.550000,8.950000,0.400000,0.000000,2.550000,9.000000,0.400000,0.000000,2.550000,8.800000,0.100000,0.000000,2.550000,8.850000,0.150000,0.000000,2.550000,8.750000,0.000000,0.000000,2.550000,8.750000,0.000000,0.000000,2.550000)

AngelJin_Holy_3 = {0.233335,0.000000,2.000000,1.000000,0.233335,0.000000,2.000000,1.000000,0.233335,0.000000,2.000000,1.000000,0.233335,0.000000,2.000000,1.000000,0.233335,0.000000,2.000000,1.000000,0.233335,0.000000,2.000000,1.000000,0.233335,0.000000,2.000000,1.000000,0.233335,0.000000,2.000000,1.000000,0.233335,0.000000,2.000000,1.000000,0.233335,0.000000,2.000000,1.000000,0.233335,0.000000,2.000000,1.000000,0.233335,0.000000,2.000000,1.000000,0.233335,0.000000,2.000000,1.000000,0.233335,0.000000,2.000000,1.000000,0.233335,0.000000,2.000000,1.000000,0.233335,0.000000,2.000000,1.000000,0.233335,0.000000,2.000000,1.000000,0.233335,0.000000,2.000000,1.000000,0.233335,0.000000,2.000000,1.000000,0.233335,0.000000,2.000000,1.000000,0.233335,0.000000,2.000000,1.000000,0.233335,0.000000,2.000000,1.000000,0.233335,0.000000,2.000000,1.000000,0.233306,0.000000,1.999655,1.000000,0.232672,0.000000,1.992049,1.000000,0.231262,0.000000,1.975134,1.000000,0.229149,0.000000,1.949775,1.000000,0.226404,0.000000,1.916837,1.000000,0.223100,0.000000,1.877187,1.000000,0.219309,0.000000,1.831690,1.000000,0.215102,0.000000,1.781214,1.000000,0.210553,0.000000,1.726623,1.000000,0.205733,0.000000,1.668785,1.000000,0.200714,0.000000,1.608564,1.000000,0.195570,0.000000,1.546826,1.000000,0.190371,0.000000,1.484439,1.000000,0.185190,0.000000,1.422267,1.000000,0.180099,0.000000,1.361177,1.000000,0.175170,0.000000,1.302035,1.000000,0.170476,0.000000,1.245707,1.000000,0.166089,0.000000,1.193059,1.000000,0.162080,0.000000,1.144957,1.000000,0.158522,0.000000,1.102266,1.000000,0.155488,0.000000,1.065853,1.000000,0.153049,0.000000,1.036584,1.000000,0.151277,0.000000,1.015325,1.000000,0.150245,0.000000,1.002942,1.000000,0.148950,0.003734,1.000000,1.000000,0.144569,0.019311,1.000000,1.000000,0.140188,0.034887,1.000000,1.000000,0.135807,0.050464,1.000000,1.000000,0.131426,0.066040,1.000000,1.000000,0.127045,0.081616,1.000000,1.000000,0.122665,0.097193,1.000000,1.000000,0.118284,0.112769,1.000000,1.000000,0.113903,0.128346,1.000000,1.000000,0.109522,0.143922,1.000000,1.000000,0.105141,0.159498,1.000000,1.000000,0.100760,0.175075,1.000000,1.000000,0.096379,0.190651,1.000000,1.000000,0.091998,0.206228,1.000000,1.000000,0.087618,0.221804,1.000000,1.000000,0.083237,0.237381,1.000000,1.000000,0.078856,0.252957,1.000000,1.000000,0.074475,0.268533,1.000000,1.000000,0.070094,0.284110,1.000000,1.000000,0.065713,0.299686,1.000000,1.000000,0.061332,0.315263,1.000000,1.000000,0.056951,0.330839,1.000000,1.000000,0.052571,0.346415,1.000000,1.000000,0.048190,0.361992,1.000000,1.000000,0.043809,0.377568,1.000000,1.000000,0.039428,0.393145,1.000000,1.000000,0.035047,0.408721,1.000000,1.000000,0.030666,0.424297,1.000000,1.000000,0.026285,0.439874,1.000000,1.000000,0.021904,0.455450,1.000000,1.000000,0.017523,0.471027,1.000000,1.000000,0.013143,0.486603,1.000000,1.000000,0.008762,0.502180,1.000000,1.000000,0.004381,0.517756,1.000000,1.000000,0.000000,0.533332,1.000000,1.000000}
-- Nice Fire Effect = (25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.300000,0.000000,25.100000,25.500000,3.700000,0.000000,25.100000,25.500000,3.900000,0.000000,25.100000,25.500000,4.100000,0.000000,25.100000,25.500000,4.400000,0.000000,25.100000,25.500000,4.800000,0.000000,25.100000,25.500000,5.100000,0.000000,25.100000,25.500000,5.300000,0.000000,25.100000,25.500000,5.700000,0.000000,25.100000,25.500000,6.100000,0.000000,25.100000,25.500000,6.400000,0.000000,25.100000,25.500000,6.800000,0.000000,25.100000,25.500000,7.500000,0.000000,25.100000,25.500000,7.900000,0.000000,25.100000,25.500000,8.400000,0.000000,25.100000,25.500000,9.200000,0.000000,25.100000,25.500000,9.900000,0.000000,25.100000,25.500000,10.300000,0.000000,25.100000,25.500000,11.200000,0.000000,25.100000,25.500000,11.800000,0.000000,25.100000,25.500000,12.300000,0.000000,25.100000,25.500000,12.900000,0.000000,25.100000,25.500000,13.800000,0.000000,25.100000,25.500000,14.400000,0.000000,25.100000,25.500000,15.200000,0.000000,25.100000,25.500000,15.600000,0.000000,25.100000,25.500000,16.100000,0.000000,25.100000,25.500000,16.799999,0.000000,25.100000,25.500000,17.200001,0.000000,25.100000,25.500000,17.500000,0.000000,25.100000,25.500000,18.000000,0.000000,25.100000,25.500000,18.299999,0.000000,25.100000,25.500000,18.500000,0.000000,25.100000,25.500000,18.799999,0.000000,25.100000,25.500000,19.000000,0.000000,25.100000)
-- Fire Effect V2 = (10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.320000,0.000000,1.004000,10.200000,1.480000,0.000000,1.004000,10.200000,1.560000,0.000000,1.004000,10.200000,1.640000,0.000000,1.004000,10.200000,1.760000,0.000000,1.004000,10.200000,1.920000,0.000000,1.004000,10.200000,2.040000,0.000000,1.004000,10.200000,2.120000,0.000000,1.004000,10.200000,2.280000,0.000000,1.004000,10.200000,2.440000,0.000000,1.004000,10.200000,2.560000,0.000000,1.004000,10.200000,2.720000,0.000000,1.004000,10.200000,3.000000,0.000000,1.004000,10.200000,3.160000,0.000000,1.004000,10.200000,3.360000,0.000000,1.004000,10.200000,3.680000,0.000000,1.004000,10.200000,3.960000,0.000000,1.004000,10.200000,4.120000,0.000000,1.004000,10.200000,4.480000,0.000000,1.004000,10.200000,4.720000,0.000000,1.004000,10.200000,4.920000,0.000000,1.004000,10.200000,5.160000,0.000000,1.004000,10.200000,5.520000,0.000000,1.004000,10.200000,5.760000,0.000000,1.004000,10.200000,6.080000,0.000000,1.004000,10.200000,6.240000,0.000000,1.004000,10.200000,6.440000,0.000000,1.004000,10.200000,6.720000,0.000000,1.004000,10.200000,6.880000,0.000000,1.004000,10.200000,7.000000,0.000000,1.004000,10.200000,7.200000,0.000000,1.004000,10.200000,7.320000,0.000000,1.004000,10.200000,7.400000,0.000000,1.004000,10.200000,7.520000,0.000000,1.004000,10.200000,7.600000,0.000000,1.004000)
-- NiagaraDataInterfaceColorCurve /Game/Effect/Polariswork/Character/xxa/NiagaraSystem/NS_EF_Xxa_Saifu02.NS_EF_Xxa_Saifu02:Aura002_3.EventScript_0.NiagaraDataInterfaceColorCurve_0
------------------------------------------------------------------------------------Kazuya's Blue Electric Saifu02 ------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Kazuya_Blue_0 = {0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.570607,0.000000,1.000000,1.000000,0.565502,0.000013,1.000000,1.000000,0.529386,0.000108,1.000000,1.000000,0.493271,0.000202,1.000000,1.000000,0.457156,0.000297,1.000000,1.000000,0.421041,0.000392,1.000000,1.000000,0.384925,0.000486,1.000000,1.000000,0.348810,0.000581,1.000000,1.000000,0.312695,0.000675,1.000000,1.000000,0.276579,0.000770,1.000000,1.000000,0.240464,0.000864,1.000000,1.000000,0.204349,0.000959,1.000000,1.000000,0.168233,0.001053,1.000000,1.000000,0.132118,0.001148,1.000000,1.000000,0.096003,0.001243,1.000000,1.000000,0.059888,0.001337,1.000000,1.000000,0.023772,0.001432,1.000000,1.000000,-0.003472,0.001493,1.000000,1.000000,-0.010922,0.001477,1.000000,1.000000,-0.014606,0.001444,1.000000,1.000000,-0.014874,0.001396,1.000000,1.000000,-0.012074,0.001334,1.000000,1.000000,-0.006556,0.001260,1.000000,1.000000,0.001332,0.001177,1.000000,1.000000,0.011241,0.001085,1.000000,1.000000,0.022821,0.000988,1.000000,1.000000,0.035723,0.000886,1.000000,1.000000,0.049600,0.000782,1.000000,1.000000,0.064100,0.000677,1.000000,1.000000,0.078876,0.000573,1.000000,1.000000,0.093578,0.000472,1.000000,1.000000,0.107858,0.000377,1.000000,1.000000,0.121366,0.000288,1.000000,1.000000,0.133754,0.000208,1.000000,1.000000,0.144672,0.000138,1.000000,1.000000,0.153771,0.000080,1.000000,1.000000,0.160703,0.000037,1.000000,1.000000,0.165118,0.000010,1.000000,1.000000,0.166667,0.000000,1.000000,1.000000}
-- DynamicBeam001_3
Kazuya_Blue_1 = {0.000000,0.002988,2.000000,1.000000,0.000006,0.002985,1.999192,1.000000,0.000028,0.002977,1.996249,1.000000,0.000065,0.002962,1.991234,1.000000,0.000117,0.002941,1.984235,1.000000,0.000183,0.002914,1.975335,1.000000,0.000263,0.002882,1.964622,1.000000,0.000356,0.002845,1.952182,1.000000,0.000460,0.002803,1.938101,1.000000,0.000577,0.002756,1.922464,1.000000,0.000704,0.002705,1.905359,1.000000,0.000842,0.002650,1.886870,1.000000,0.000989,0.002591,1.867084,1.000000,0.001145,0.002528,1.846087,1.000000,0.001309,0.002462,1.823965,1.000000,0.001482,0.002393,1.800805,1.000000,0.001661,0.002321,1.776691,1.000000,0.001847,0.002246,1.751711,1.000000,0.002039,0.002169,1.725950,1.000000,0.002235,0.002090,1.699494,1.000000,0.002437,0.002009,1.672430,1.000000,0.002642,0.001927,1.644843,1.000000,0.002850,0.001843,1.616820,1.000000,0.003061,0.001758,1.588446,1.000000,0.003274,0.001673,1.559808,1.000000,0.003489,0.001587,1.530992,1.000000,0.003704,0.001500,1.502083,1.000000,0.003919,0.001414,1.473169,1.000000,0.004133,0.001328,1.444334,1.000000,0.004347,0.001242,1.415664,1.000000,0.004558,0.001157,1.387247,1.000000,0.004767,0.001073,1.359168,1.000000,0.004973,0.000991,1.331513,1.000000,0.005175,0.000909,1.304369,1.000000,0.005372,0.000830,1.277820,1.000000,0.005564,0.000753,1.251954,1.000000,0.005751,0.000678,1.226856,1.000000,0.005931,0.000605,1.202612,1.000000,0.006105,0.000536,1.179309,1.000000,0.006271,0.000469,1.157032,1.000000,0.006428,0.000406,1.135868,1.000000,0.006577,0.000346,1.115902,1.000000,0.006715,0.000290,1.097221,1.000000,0.006844,0.000239,1.079911,1.000000,0.006962,0.000191,1.064058,1.000000,0.007069,0.000149,1.049747,1.000000,0.007163,0.000111,1.037065,1.000000,0.007245,0.000078,1.026098,1.000000,0.007313,0.000051,1.016932,1.000000,0.007367,0.000029,1.009654,1.000000,0.007406,0.000013,1.004348,1.000000,0.007430,0.000003,1.001101,1.000000,0.007439,0.000000,1.000000,1.000000}
-- DynamicBeam002_11
Kazuya_Blue_2 = {0.000000,0.002988,2.000000,1.000000,0.000006,0.002985,1.999192,1.000000,0.000028,0.002977,1.996249,1.000000,0.000065,0.002962,1.991234,1.000000,0.000117,0.002941,1.984235,1.000000,0.000183,0.002914,1.975335,1.000000,0.000263,0.002882,1.964622,1.000000,0.000356,0.002845,1.952182,1.000000,0.000460,0.002803,1.938101,1.000000,0.000577,0.002756,1.922464,1.000000,0.000704,0.002705,1.905359,1.000000,0.000842,0.002650,1.886870,1.000000,0.000989,0.002591,1.867084,1.000000,0.001145,0.002528,1.846087,1.000000,0.001309,0.002462,1.823965,1.000000,0.001482,0.002393,1.800805,1.000000,0.001661,0.002321,1.776691,1.000000,0.001847,0.002246,1.751711,1.000000,0.002039,0.002169,1.725950,1.000000,0.002235,0.002090,1.699494,1.000000,0.002437,0.002009,1.672430,1.000000,0.002642,0.001927,1.644843,1.000000,0.002850,0.001843,1.616820,1.000000,0.003061,0.001758,1.588446,1.000000,0.003274,0.001673,1.559808,1.000000,0.003489,0.001587,1.530992,1.000000,0.003704,0.001500,1.502083,1.000000,0.003919,0.001414,1.473169,1.000000,0.004133,0.001328,1.444334,1.000000,0.004347,0.001242,1.415664,1.000000,0.004558,0.001157,1.387247,1.000000,0.004767,0.001073,1.359168,1.000000,0.004973,0.000991,1.331513,1.000000,0.005175,0.000909,1.304369,1.000000,0.005372,0.000830,1.277820,1.000000,0.005564,0.000753,1.251954,1.000000,0.005751,0.000678,1.226856,1.000000,0.005931,0.000605,1.202612,1.000000,0.006105,0.000536,1.179309,1.000000,0.006271,0.000469,1.157032,1.000000,0.006428,0.000406,1.135868,1.000000,0.006577,0.000346,1.115902,1.000000,0.006715,0.000290,1.097221,1.000000,0.006844,0.000239,1.079911,1.000000,0.006962,0.000191,1.064058,1.000000,0.007069,0.000149,1.049747,1.000000,0.007163,0.000111,1.037065,1.000000,0.007245,0.000078,1.026098,1.000000,0.007313,0.000051,1.016932,1.000000,0.007367,0.000029,1.009654,1.000000,0.007406,0.000013,1.004348,1.000000,0.007430,0.000003,1.001101,1.000000,0.007439,0.000000,1.000000,1.000000}
-- DynamicBeam003_4
Kazuya_Blue_3 = {0.000000,0.002988,2.000000,1.000000,0.000000,0.002988,2.000000,1.000000,0.000000,0.002988,2.000000,1.000000,0.000000,0.002988,2.000000,1.000000,0.000000,0.002988,2.000000,1.000000,0.000000,0.002988,2.000000,1.000000,0.000000,0.002988,2.000000,1.000000,0.000000,0.002988,2.000000,1.000000,0.000000,0.002988,2.000000,1.000000,0.000000,0.002988,2.000000,1.000000,0.000000,0.002988,2.000000,1.000000,0.000000,0.002988,2.000000,1.000000,0.000000,0.002988,2.000000,1.000000,0.000000,0.002988,2.000000,1.000000,0.000000,0.002988,2.000000,1.000000,0.000000,0.002988,2.000000,1.000000,0.000000,0.002988,2.000000,1.000000,0.000000,0.002988,2.000000,1.000000,0.000000,0.002988,2.000000,1.000000,0.000000,0.002988,2.000000,1.000000,0.000000,0.002988,2.000000,1.000000,0.000000,0.002988,2.000000,1.000000,0.000000,0.002988,2.000000,1.000000,0.000211,0.002987,1.999655,1.000000,0.004857,0.002964,1.992049,1.000000,0.015191,0.002914,1.975134,1.000000,0.030683,0.002838,1.949775,1.000000,0.050805,0.002739,1.916837,1.000000,0.075027,0.002621,1.877187,1.000000,0.102821,0.002485,1.831690,1.000000,0.133658,0.002334,1.781214,1.000000,0.167008,0.002171,1.726623,1.000000,0.202342,0.001998,1.668785,1.000000,0.239131,0.001818,1.608564,1.000000,0.276847,0.001634,1.546826,1.000000,0.314960,0.001447,1.484439,1.000000,0.352941,0.001262,1.422267,1.000000,0.390261,0.001079,1.361177,1.000000,0.426392,0.000902,1.302035,1.000000,0.460803,0.000734,1.245707,1.000000,0.492966,0.000577,1.193059,1.000000,0.522352,0.000433,1.144957,1.000000,0.548432,0.000306,1.102266,1.000000,0.570677,0.000197,1.065853,1.000000,0.588557,0.000109,1.036584,1.000000,0.601545,0.000046,1.015325,1.000000,0.609110,0.000009,1.002942,1.000000,0.606682,0.000000,1.000000,1.000000,0.589057,0.000000,1.000000,1.000000,0.571432,0.000000,1.000000,1.000000,0.553807,0.000000,1.000000,1.000000,0.536182,0.000000,1.000000,1.000000,0.518558,0.000000,1.000000,1.000000,0.500933,0.000000,1.000000,1.000000,0.483308,0.000000,1.000000,1.000000,0.465683,0.000000,1.000000,1.000000,0.448058,0.000000,1.000000,1.000000,0.430434,0.000000,1.000000,1.000000,0.412809,0.000000,1.000000,1.000000,0.395184,0.000000,1.000000,1.000000,0.377559,0.000000,1.000000,1.000000,0.359935,0.000000,1.000000,1.000000,0.342310,0.000000,1.000000,1.000000,0.324685,0.000000,1.000000,1.000000,0.307060,0.000000,1.000000,1.000000,0.289435,0.000000,1.000000,1.000000,0.271811,0.000000,1.000000,1.000000,0.254186,0.000000,1.000000,1.000000,0.236561,0.000000,1.000000,1.000000,0.218936,0.000000,1.000000,1.000000,0.201311,0.000000,1.000000,1.000000,0.183687,0.000000,1.000000,1.000000,0.166062,0.000000,1.000000,1.000000,0.148437,0.000000,1.000000,1.000000,0.130812,0.000000,1.000000,1.000000,0.113187,0.000000,1.000000,1.000000,0.095563,0.000000,1.000000,1.000000,0.077938,0.000000,1.000000,1.000000,0.060313,0.000000,1.000000,1.000000,0.042688,0.000000,1.000000,1.000000,0.025063,0.000000,1.000000,1.000000,0.007439,0.000000,1.000000,1.000000}
-- DynamicBeam_4
------------------
Kazuya_White_0 = {6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000}
Kazuya_White_1 = {6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000}
Kazuya_White_2 = {6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000}
Kazuya_White_3 = {6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000, 6.375000}
-------------------
Kazuya_Rainbow_0_Original = {6.375000, 0.000000, 0.000000, 6.375000, 6.375000, 0.000000, 0.000000, 6.375000, 6.375000, 0.975000, 0.000000, 6.375000, 6.375000, 0.975000, 0.000000, 6.375000, 6.375000, 1.975000, 0.000000, 6.375000, 6.375000, 1.975000, 0.000000, 6.375000, 6.375000, 2.975000, 0.000000, 6.375000, 6.375000, 2.975000, 0.000000, 6.375000, 6.375000, 3.950000, 0.000000, 6.375000, 6.375000, 3.950000, 0.000000, 6.375000, 6.375000, 4.950000, 0.000000, 6.375000, 6.375000, 4.925000, 0.000000, 6.375000, 6.375000, 5.925000, 0.000000, 6.375000, 6.375000, 5.925000, 0.000000, 6.375000, 5.850000, 6.375000, 0.000000, 6.375000, 5.825000, 6.375000, 0.000000, 6.375000, 4.850000, 6.375000, 0.000000, 6.375000, 4.850000, 6.375000, 0.000000, 6.375000, 3.875000, 6.375000, 0.000000, 6.375000, 3.875000, 6.375000, 0.000000, 6.375000, 2.900000, 6.375000, 0.000000, 6.375000, 2.875000, 6.375000, 0.000000, 6.375000, 1.900000, 6.375000, 0.000000, 6.375000, 1.900000, 6.375000, 0.000000, 6.375000, 0.900000, 6.375000, 0.000000, 6.375000, 0.900000, 6.375000, 0.000000, 6.375000, 0.000000, 6.375000, 0.075000, 6.375000, 0.000000, 6.375000, 0.075000, 6.375000, 0.000000, 6.375000, 1.050000, 6.375000, 0.000000, 6.375000, 1.075000, 6.375000, 0.000000, 6.375000, 2.050000, 6.375000, 0.000000, 6.375000, 2.300000, 6.375000, 0.000000, 6.375000, 3.050000, 6.375000, 0.000000, 6.375000, 3.300000, 6.375000, 0.000000, 6.375000, 4.300000, 6.375000, 0.000000, 6.375000, 4.275000, 6.375000, 0.000000, 6.375000, 5.275000, 6.375000, 0.000000, 6.375000, 5.250000, 6.375000, 0.000000, 6.375000, 6.250000, 6.375000, 0.000000, 6.375000, 6.250000, 6.375000, 0.000000, 5.500000, 6.375000, 6.375000, 0.000000, 5.525000, 6.375000, 6.375000, 0.000000, 4.525000, 6.375000, 6.375000, 0.000000, 4.525000, 6.375000, 6.375000, 0.000000, 3.550000, 6.375000, 6.375000, 0.000000, 3.550000, 6.375000, 6.375000, 0.000000, 2.550000, 6.375000, 6.375000, 0.000000, 2.550000, 6.375000, 6.375000, 0.000000, 1.575000, 6.375000, 6.375000, 0.000000, 1.575000, 6.375000, 6.375000, 0.000000, 0.575000, 6.375000, 6.375000, 0.000000, 0.575000, 6.375000, 6.375000, 0.400000, 0.000000, 6.375000, 6.375000, 0.400000, 0.000000, 6.375000, 6.375000, 1.400000, 0.000000, 6.375000, 6.375000, 1.400000, 0.000000, 6.375000, 6.375000, 2.375000, 0.000000, 6.375000, 6.375000, 2.400000, 0.000000, 6.375000, 6.375000, 3.375000, 0.000000, 6.375000, 6.375000, 3.350000, 0.000000, 6.375000, 6.375000, 4.350000, 0.000000, 6.375000, 6.375000, 4.375000, 0.000000, 6.375000, 6.375000, 5.350000, 0.000000, 6.375000, 6.375000, 5.350000, 0.000000, 6.375000, 6.375000, 6.325000, 0.000000, 6.375000, 6.375000, 6.325000, 0.000000, 6.375000, 6.375000, 6.375000, 0.000000, 5.425000, 6.375000, 6.375000, 0.000000, 5.425000, 6.375000, 6.375000, 0.000000, 4.450000, 6.375000, 6.375000, 0.000000, 4.450000, 6.375000, 6.375000, 0.000000, 3.475000, 6.375000, 6.375000, 0.000000, 3.450000, 6.375000, 6.375000, 0.000000, 2.475000, 6.375000, 6.375000, 0.000000, 2.475000, 6.375000, 6.375000, 0.000000, 1.500000, 6.375000, 6.375000, 0.000000, 1.475000, 6.375000, 6.375000, 0.000000, 0.500000, 6.375000, 6.375000, 0.000000, 0.500000, 6.375000, 6.375000, 0.000000, 0.000000, 6.375000, 6.375000, 0.000000, 0.000000, 6.375000}
Kazuya_Rainbow_1_Original = {6.375000, 0.175000, 0.000000, 6.375000, 6.375000, 0.900000, 0.000000, 6.375000, 6.375000, 1.650000, 0.000000, 6.375000, 6.375000, 2.375000, 0.000000, 6.375000, 6.375000, 3.075000, 0.000000, 6.375000, 6.375000, 3.825000, 0.000000, 6.375000, 6.375000, 4.525000, 0.000000, 6.375000, 6.375000, 5.275000, 0.000000, 6.375000, 6.375000, 5.975000, 0.000000, 6.375000, 6.050000, 6.375000, 0.000000, 6.375000, 5.325000, 6.375000, 0.000000, 6.375000, 4.600000, 6.375000, 0.000000, 6.375000, 3.875000, 6.375000, 0.000000, 6.375000, 3.150000, 6.375000, 0.000000, 6.375000, 2.425000, 6.375000, 0.000000, 6.375000, 1.700000, 6.375000, 0.000000, 6.375000, 0.800000, 6.375000, 0.000000, 6.375000, 0.050000, 6.375000, 0.000000, 6.375000, 0.000000, 6.375000, 0.675000, 6.375000, 0.000000, 6.375000, 1.400000, 6.375000, 0.000000, 6.375000, 2.125000, 6.375000, 0.000000, 6.375000, 2.825000, 6.375000, 0.000000, 6.375000, 3.575000, 6.375000, 0.000000, 6.375000, 4.275000, 6.375000, 0.000000, 6.375000, 5.025000, 6.375000, 0.000000, 6.375000, 5.750000, 6.375000, 0.000000, 6.275000, 6.375000, 6.375000, 0.000000, 5.550000, 6.375000, 6.375000, 0.000000, 4.825000, 6.375000, 6.375000, 0.000000, 4.100000, 6.375000, 6.375000, 0.000000, 3.400000, 6.375000, 6.375000, 0.000000, 2.650000, 6.375000, 6.375000, 0.000000, 1.950000, 6.375000, 6.375000, 0.000000, 1.200000, 6.375000, 6.375000, 0.000000, 0.500000, 6.375000, 6.375000, 0.250000, 0.000000, 6.375000, 6.375000, 0.975000, 0.000000, 6.375000, 6.375000, 1.875000, 0.000000, 6.375000, 6.375000, 2.600000, 0.000000, 6.375000, 6.375000, 3.325000, 0.000000, 6.375000, 6.375000, 4.050000, 0.000000, 6.375000, 6.375000, 4.775000, 0.000000, 6.375000, 6.375000, 5.500000, 0.000000, 6.375000, 6.375000, 6.225000, 0.000000, 6.375000, 6.375000, 6.375000, 0.000000, 5.800000, 6.375000, 6.375000, 0.000000, 5.075000, 6.375000, 6.375000, 0.000000, 4.350000, 6.375000, 6.375000, 0.000000, 3.625000, 6.375000, 6.375000, 0.000000, 2.900000, 6.375000, 6.375000, 0.000000, 2.175000, 6.375000, 6.375000, 0.000000, 1.450000, 6.375000, 6.375000, 0.000000, 0.725000, 6.375000, 6.375000, 0.000000, 0.000000, 6.375000}
Kazuya_Rainbow_2_Original = {6.375000, 0.000000, 0.000000, 6.375000, 6.375000, 0.725000, 0.000000, 6.375000, 6.375000, 1.450000, 0.000000, 6.375000, 6.375000, 2.175000, 0.000000, 6.375000, 6.375000, 2.900000, 0.000000, 6.375000, 6.375000, 3.625000, 0.000000, 6.375000, 6.375000, 4.350000, 0.000000, 6.375000, 6.375000, 5.075000, 0.000000, 6.375000, 6.375000, 5.800000, 0.000000, 6.375000, 6.225000, 6.375000, 0.000000, 6.375000, 5.500000, 6.375000, 0.000000, 6.375000, 4.775000, 6.375000, 0.000000, 6.375000, 4.050000, 6.375000, 0.000000, 6.375000, 3.325000, 6.375000, 0.000000, 6.375000, 2.600000, 6.375000, 0.000000, 6.375000, 1.875000, 6.375000, 0.000000, 6.375000, 0.975000, 6.375000, 0.000000, 6.375000, 0.225000, 6.375000, 0.000000, 6.375000, 0.000000, 6.375000, 0.475000, 6.375000, 0.000000, 6.375000, 1.200000, 6.375000, 0.000000, 6.375000, 1.925000, 6.375000, 0.000000, 6.375000, 2.675000, 6.375000, 0.000000, 6.375000, 3.375000, 6.375000, 0.000000, 6.375000, 4.100000, 6.375000, 0.000000, 6.375000, 4.825000, 6.375000, 0.000000, 6.375000, 5.550000, 6.375000, 0.000000, 6.375000, 6.275000, 6.375000, 0.000000, 5.750000, 6.375000, 6.375000, 0.000000, 5.000000, 6.375000, 6.375000, 0.000000, 4.300000, 6.375000, 6.375000, 0.000000, 3.575000, 6.375000, 6.375000, 0.000000, 2.850000, 6.375000, 6.375000, 0.000000, 2.100000, 6.375000, 6.375000, 0.000000, 1.400000, 6.375000, 6.375000, 0.000000, 0.675000, 6.375000, 6.375000, 0.075000, 0.000000, 6.375000, 6.375000, 0.800000, 0.000000, 6.375000, 6.375000, 1.700000, 0.000000, 6.375000, 6.375000, 2.425000, 0.000000, 6.375000, 6.375000, 3.125000, 0.000000, 6.375000, 6.375000, 3.850000, 0.000000, 6.375000, 6.375000, 4.575000, 0.000000, 6.375000, 6.375000, 5.325000, 0.000000, 6.375000, 6.375000, 6.025000, 0.000000, 6.375000, 6.375000, 6.375000, 0.000000, 6.000000, 6.375000, 6.375000, 0.000000, 5.275000, 6.375000, 6.375000, 0.000000, 4.525000, 6.375000, 6.375000, 0.000000, 3.800000, 6.375000, 6.375000, 0.000000, 3.075000, 6.375000, 6.375000, 0.000000, 2.350000, 6.375000, 6.375000, 0.000000, 1.650000, 6.375000, 6.375000, 0.000000, 0.900000, 6.375000, 6.375000, 0.000000, 0.175000, 6.375000}
Kazuya_Rainbow_3_Original = {6.375000, 0.225000, 0.000000, 6.375000, 6.375000, 0.225000, 0.000000, 6.375000, 6.375000, 1.175000, 0.000000, 6.375000, 6.375000, 1.175000, 0.000000, 6.375000, 6.375000, 2.100000, 0.000000, 6.375000, 6.375000, 2.100000, 0.000000, 6.375000, 6.375000, 3.050000, 0.000000, 6.375000, 6.375000, 3.050000, 0.000000, 6.375000, 6.375000, 4.000000, 0.000000, 6.375000, 6.375000, 3.975000, 0.000000, 6.375000, 6.375000, 4.925000, 0.000000, 6.375000, 6.375000, 4.925000, 0.000000, 6.375000, 6.375000, 5.850000, 0.000000, 6.375000, 6.375000, 5.850000, 0.000000, 6.375000, 5.950000, 6.375000, 0.000000, 6.375000, 5.950000, 6.375000, 0.000000, 6.375000, 5.000000, 6.375000, 0.000000, 6.375000, 5.000000, 6.375000, 0.000000, 6.375000, 4.050000, 6.375000, 0.000000, 6.375000, 4.050000, 6.375000, 0.000000, 6.375000, 3.150000, 6.375000, 0.000000, 6.375000, 3.125000, 6.375000, 0.000000, 6.375000, 2.200000, 6.375000, 0.000000, 6.375000, 2.200000, 6.375000, 0.000000, 6.375000, 1.250000, 6.375000, 0.000000, 6.375000, 1.275000, 6.375000, 0.000000, 6.375000, 0.300000, 6.375000, 0.000000, 6.375000, 0.300000, 6.375000, 0.000000, 6.375000, 0.000000, 6.375000, 0.625000, 6.375000, 0.000000, 6.375000, 0.650000, 6.375000, 0.000000, 6.375000, 1.575000, 6.375000, 0.000000, 6.375000, 1.550000, 6.375000, 0.000000, 6.375000, 2.750000, 6.375000, 0.000000, 6.375000, 2.725000, 6.375000, 0.000000, 6.375000, 3.675000, 6.375000, 0.000000, 6.375000, 3.675000, 6.375000, 0.000000, 6.375000, 4.625000, 6.375000, 0.000000, 6.375000, 4.625000, 6.375000, 0.000000, 6.375000, 5.550000, 6.375000, 0.000000, 6.375000, 5.550000, 6.375000, 0.000000, 6.250000, 6.375000, 6.375000, 0.000000, 6.275000, 6.375000, 6.375000, 0.000000, 5.325000, 6.375000, 6.375000, 0.000000, 5.325000, 6.375000, 6.375000, 0.000000, 4.400000, 6.375000, 6.375000, 0.000000, 4.400000, 6.375000, 6.375000, 0.000000, 3.450000, 6.375000, 6.375000, 0.000000, 3.425000, 6.375000, 6.375000, 0.000000, 2.500000, 6.375000, 6.375000, 0.000000, 2.500000, 6.375000, 6.375000, 0.000000, 1.575000, 6.375000, 6.375000, 0.000000, 1.550000, 6.375000, 6.375000, 0.000000, 0.625000, 6.375000, 6.375000, 0.000000, 0.625000, 6.375000, 6.375000, 0.300000, 0.000000, 6.375000, 6.375000, 0.300000, 0.000000, 6.375000, 6.375000, 1.250000, 0.000000, 6.375000, 6.375000, 1.250000, 0.000000, 6.375000, 6.375000, 2.175000, 0.000000, 6.375000, 6.375000, 2.175000, 0.000000, 6.375000, 6.375000, 3.125000, 0.000000, 6.375000, 6.375000, 3.125000, 0.000000, 6.375000, 6.375000, 4.075000, 0.000000, 6.375000, 6.375000, 4.075000, 0.000000, 6.375000, 6.375000, 5.000000, 0.000000, 6.375000, 6.375000, 5.250000, 0.000000, 6.375000, 6.375000, 6.175000, 0.000000, 6.375000, 6.375000, 6.175000, 0.000000, 6.375000, 6.375000, 6.375000, 0.000000, 5.625000, 6.375000, 6.375000, 0.000000, 5.650000, 6.375000, 6.375000, 0.000000, 4.675000, 6.375000, 6.375000, 0.000000, 4.675000, 6.375000, 6.375000, 0.000000, 3.750000, 6.375000, 6.375000, 0.000000, 3.750000, 6.375000, 6.375000, 0.000000, 2.825000, 6.375000, 6.375000, 0.000000, 2.825000, 6.375000, 6.375000, 0.000000, 1.875000, 6.375000, 6.375000, 0.000000, 1.875000, 6.375000, 6.375000, 0.000000, 0.950000, 6.375000, 6.375000, 0.000000, 0.950000, 6.375000, 6.375000, 0.000000, 0.000000, 6.375000, 6.375000, 0.000000, 0.000000, 6.375000}

Kazuya_Rainbow_0 = {3.825000, 0.000000, 0.000000, 5.100000, 3.825000, 0.000000, 0.000000, 5.100000, 3.825000, 0.585000, 0.000000, 5.100000, 3.825000, 0.585000, 0.000000, 5.100000, 3.825000, 1.185000, 0.000000, 5.100000, 3.825000, 1.185000, 0.000000, 5.100000, 3.825000, 1.785000, 0.000000, 5.100000, 3.825000, 1.785000, 0.000000, 5.100000, 3.825000, 2.370000, 0.000000, 5.100000, 3.825000, 2.370000, 0.000000, 5.100000, 3.825000, 2.970000, 0.000000, 5.100000, 3.825000, 2.955000, 0.000000, 5.100000, 3.825000, 3.555000, 0.000000, 5.100000, 3.825000, 3.555000, 0.000000, 5.100000, 3.510000, 3.825000, 0.000000, 5.100000, 3.495000, 3.825000, 0.000000, 5.100000, 2.910000, 3.825000, 0.000000, 5.100000, 2.910000, 3.825000, 0.000000, 5.100000, 2.325000, 3.825000, 0.000000, 5.100000, 2.325000, 3.825000, 0.000000, 5.100000, 1.740000, 3.825000, 0.000000, 5.100000, 1.725000, 3.825000, 0.000000, 5.100000, 1.140000, 3.825000, 0.000000, 5.100000, 1.140000, 3.825000, 0.000000, 5.100000, 0.540000, 3.825000, 0.000000, 5.100000, 0.540000, 3.825000, 0.000000, 5.100000, 0.000000, 3.825000, 0.045000, 5.100000, 0.000000, 3.825000, 0.045000, 5.100000, 0.000000, 3.825000, 0.630000, 5.100000, 0.000000, 3.825000, 0.645000, 5.100000, 0.000000, 3.825000, 1.230000, 5.100000, 0.000000, 3.825000, 1.380000, 5.100000, 0.000000, 3.825000, 1.830000, 5.100000, 0.000000, 3.825000, 1.980000, 5.100000, 0.000000, 3.825000, 2.580000, 5.100000, 0.000000, 3.825000, 2.565000, 5.100000, 0.000000, 3.825000, 3.165000, 5.100000, 0.000000, 3.825000, 3.150000, 5.100000, 0.000000, 3.825000, 3.750000, 5.100000, 0.000000, 3.825000, 3.750000, 5.100000, 0.000000, 3.300000, 3.825000, 5.100000, 0.000000, 3.315000, 3.825000, 5.100000, 0.000000, 2.715000, 3.825000, 5.100000, 0.000000, 2.715000, 3.825000, 5.100000, 0.000000, 2.130000, 3.825000, 5.100000, 0.000000, 2.130000, 3.825000, 5.100000, 0.000000, 1.530000, 3.825000, 5.100000, 0.000000, 1.530000, 3.825000, 5.100000, 0.000000, 0.945000, 3.825000, 5.100000, 0.000000, 0.945000, 3.825000, 5.100000, 0.000000, 0.345000, 3.825000, 5.100000, 0.000000, 0.345000, 3.825000, 5.100000, 0.240000, 0.000000, 3.825000, 5.100000, 0.240000, 0.000000, 3.825000, 5.100000, 0.840000, 0.000000, 3.825000, 5.100000, 0.840000, 0.000000, 3.825000, 5.100000, 1.425000, 0.000000, 3.825000, 5.100000, 1.440000, 0.000000, 3.825000, 5.100000, 2.025000, 0.000000, 3.825000, 5.100000, 2.010000, 0.000000, 3.825000, 5.100000, 2.610000, 0.000000, 3.825000, 5.100000, 2.625000, 0.000000, 3.825000, 5.100000, 3.210000, 0.000000, 3.825000, 5.100000, 3.210000, 0.000000, 3.825000, 5.100000, 3.795000, 0.000000, 3.825000, 5.100000, 3.795000, 0.000000, 3.825000, 5.100000, 3.825000, 0.000000, 3.255000, 5.100000, 3.825000, 0.000000, 3.255000, 5.100000, 3.825000, 0.000000, 2.670000, 5.100000, 3.825000, 0.000000, 2.670000, 5.100000, 3.825000, 0.000000, 2.085000, 5.100000, 3.825000, 0.000000, 2.070000, 5.100000, 3.825000, 0.000000, 1.485000, 5.100000, 3.825000, 0.000000, 1.485000, 5.100000, 3.825000, 0.000000, 0.900000, 5.100000, 3.825000, 0.000000, 0.885000, 5.100000, 3.825000, 0.000000, 0.300000, 5.100000, 3.825000, 0.000000, 0.300000, 5.100000, 3.825000, 0.000000, 0.000000, 5.100000, 3.825000, 0.000000, 0.000000, 5.100000}
Kazuya_Rainbow_1 = {1.147500, 0.000000, 0.000000, 1.530000, 1.147500, 0.000000, 0.000000, 1.530000, 1.147500, 0.175500, 0.000000, 1.530000, 1.147500, 0.175500, 0.000000, 1.530000, 1.147500, 0.355500, 0.000000, 1.530000, 1.147500, 0.355500, 0.000000, 1.530000, 1.147500, 0.535500, 0.000000, 1.530000, 1.147500, 0.535500, 0.000000, 1.530000, 1.147500, 0.711000, 0.000000, 1.530000, 1.147500, 0.711000, 0.000000, 1.530000, 1.147500, 0.891000, 0.000000, 1.530000, 1.147500, 0.886500, 0.000000, 1.530000, 1.147500, 1.066500, 0.000000, 1.530000, 1.147500, 1.066500, 0.000000, 1.530000, 1.053000, 1.147500, 0.000000, 1.530000, 1.048500, 1.147500, 0.000000, 1.530000, 0.873000, 1.147500, 0.000000, 1.530000, 0.873000, 1.147500, 0.000000, 1.530000, 0.697500, 1.147500, 0.000000, 1.530000, 0.697500, 1.147500, 0.000000, 1.530000, 0.522000, 1.147500, 0.000000, 1.530000, 0.517500, 1.147500, 0.000000, 1.530000, 0.342000, 1.147500, 0.000000, 1.530000, 0.342000, 1.147500, 0.000000, 1.530000, 0.162000, 1.147500, 0.000000, 1.530000, 0.162000, 1.147500, 0.000000, 1.530000, 0.000000, 1.147500, 0.013500, 1.530000, 0.000000, 1.147500, 0.013500, 1.530000, 0.000000, 1.147500, 0.189000, 1.530000, 0.000000, 1.147500, 0.193500, 1.530000, 0.000000, 1.147500, 0.369000, 1.530000, 0.000000, 1.147500, 0.414000, 1.530000, 0.000000, 1.147500, 0.549000, 1.530000, 0.000000, 1.147500, 0.594000, 1.530000, 0.000000, 1.147500, 0.774000, 1.530000, 0.000000, 1.147500, 0.769500, 1.530000, 0.000000, 1.147500, 0.949500, 1.530000, 0.000000, 1.147500, 0.945000, 1.530000, 0.000000, 1.147500, 1.125000, 1.530000, 0.000000, 1.147500, 1.125000, 1.530000, 0.000000, 0.990000, 1.147500, 1.530000, 0.000000, 0.994500, 1.147500, 1.530000, 0.000000, 0.814500, 1.147500, 1.530000, 0.000000, 0.814500, 1.147500, 1.530000, 0.000000, 0.639000, 1.147500, 1.530000, 0.000000, 0.639000, 1.147500, 1.530000, 0.000000, 0.459000, 1.147500, 1.530000, 0.000000, 0.459000, 1.147500, 1.530000, 0.000000, 0.283500, 1.147500, 1.530000, 0.000000, 0.283500, 1.147500, 1.530000, 0.000000, 0.103500, 1.147500, 1.530000, 0.000000, 0.103500, 1.147500, 1.530000, 0.072000, 0.000000, 1.147500, 1.530000, 0.072000, 0.000000, 1.147500, 1.530000, 0.252000, 0.000000, 1.147500, 1.530000, 0.252000, 0.000000, 1.147500, 1.530000, 0.427500, 0.000000, 1.147500, 1.530000, 0.432000, 0.000000, 1.147500, 1.530000, 0.607500, 0.000000, 1.147500, 1.530000, 0.603000, 0.000000, 1.147500, 1.530000, 0.783000, 0.000000, 1.147500, 1.530000, 0.787500, 0.000000, 1.147500, 1.530000, 0.963000, 0.000000, 1.147500, 1.530000, 0.963000, 0.000000, 1.147500, 1.530000, 1.138500, 0.000000, 1.147500, 1.530000, 1.138500, 0.000000, 1.147500, 1.530000, 1.147500, 0.000000, 0.976500, 1.530000, 1.147500, 0.000000, 0.976500, 1.530000, 1.147500, 0.000000, 0.801000, 1.530000, 1.147500, 0.000000, 0.801000, 1.530000, 1.147500, 0.000000, 0.625500, 1.530000, 1.147500, 0.000000, 0.621000, 1.530000, 1.147500, 0.000000, 0.445500, 1.530000, 1.147500, 0.000000, 0.445500, 1.530000, 1.147500, 0.000000, 0.270000, 1.530000, 1.147500, 0.000000, 0.265500, 1.530000, 1.147500, 0.000000, 0.090000, 1.530000, 1.147500, 0.000000, 0.090000, 1.530000, 1.147500, 0.000000, 0.000000, 1.530000, 1.147500, 0.000000, 0.000000, 1.530000}
Kazuya_Rainbow_2 = {0.103275, 0.000000, 0.000000, 0.137700, 0.103275, 0.000000, 0.000000, 0.137700, 0.103275, 0.015795, 0.000000, 0.137700, 0.103275, 0.015795, 0.000000, 0.137700, 0.103275, 0.031995, 0.000000, 0.137700, 0.103275, 0.031995, 0.000000, 0.137700, 0.103275, 0.048195, 0.000000, 0.137700, 0.103275, 0.048195, 0.000000, 0.137700, 0.103275, 0.063990, 0.000000, 0.137700, 0.103275, 0.063990, 0.000000, 0.137700, 0.103275, 0.080190, 0.000000, 0.137700, 0.103275, 0.079785, 0.000000, 0.137700, 0.103275, 0.095985, 0.000000, 0.137700, 0.103275, 0.095985, 0.000000, 0.137700, 0.094770, 0.103275, 0.000000, 0.137700, 0.094365, 0.103275, 0.000000, 0.137700, 0.078570, 0.103275, 0.000000, 0.137700, 0.078570, 0.103275, 0.000000, 0.137700, 0.062775, 0.103275, 0.000000, 0.137700, 0.062775, 0.103275, 0.000000, 0.137700, 0.046980, 0.103275, 0.000000, 0.137700, 0.046575, 0.103275, 0.000000, 0.137700, 0.030780, 0.103275, 0.000000, 0.137700, 0.030780, 0.103275, 0.000000, 0.137700, 0.014580, 0.103275, 0.000000, 0.137700, 0.014580, 0.103275, 0.000000, 0.137700, 0.000000, 0.103275, 0.001215, 0.137700, 0.000000, 0.103275, 0.001215, 0.137700, 0.000000, 0.103275, 0.017010, 0.137700, 0.000000, 0.103275, 0.017415, 0.137700, 0.000000, 0.103275, 0.033210, 0.137700, 0.000000, 0.103275, 0.037260, 0.137700, 0.000000, 0.103275, 0.049410, 0.137700, 0.000000, 0.103275, 0.053460, 0.137700, 0.000000, 0.103275, 0.069660, 0.137700, 0.000000, 0.103275, 0.069255, 0.137700, 0.000000, 0.103275, 0.085455, 0.137700, 0.000000, 0.103275, 0.085050, 0.137700, 0.000000, 0.103275, 0.101250, 0.137700, 0.000000, 0.103275, 0.101250, 0.137700, 0.000000, 0.089100, 0.103275, 0.137700, 0.000000, 0.089505, 0.103275, 0.137700, 0.000000, 0.073305, 0.103275, 0.137700, 0.000000, 0.073305, 0.103275, 0.137700, 0.000000, 0.057510, 0.103275, 0.137700, 0.000000, 0.057510, 0.103275, 0.137700, 0.000000, 0.041310, 0.103275, 0.137700, 0.000000, 0.041310, 0.103275, 0.137700, 0.000000, 0.025515, 0.103275, 0.137700, 0.000000, 0.025515, 0.103275, 0.137700, 0.000000, 0.009315, 0.103275, 0.137700, 0.000000, 0.009315, 0.103275, 0.137700, 0.006480, 0.000000, 0.103275, 0.137700, 0.006480, 0.000000, 0.103275, 0.137700, 0.022680, 0.000000, 0.103275, 0.137700, 0.022680, 0.000000, 0.103275, 0.137700, 0.038475, 0.000000, 0.103275, 0.137700, 0.038880, 0.000000, 0.103275, 0.137700, 0.054675, 0.000000, 0.103275, 0.137700, 0.054270, 0.000000, 0.103275, 0.137700, 0.070470, 0.000000, 0.103275, 0.137700, 0.070875, 0.000000, 0.103275, 0.137700, 0.086670, 0.000000, 0.103275, 0.137700, 0.086670, 0.000000, 0.103275, 0.137700, 0.102465, 0.000000, 0.103275, 0.137700, 0.102465, 0.000000, 0.103275, 0.137700, 0.103275, 0.000000, 0.087885, 0.137700, 0.103275, 0.000000, 0.087885, 0.137700, 0.103275, 0.000000, 0.072090, 0.137700, 0.103275, 0.000000, 0.072090, 0.137700, 0.103275, 0.000000, 0.056295, 0.137700, 0.103275, 0.000000, 0.055890, 0.137700, 0.103275, 0.000000, 0.040095, 0.137700, 0.103275, 0.000000, 0.040095, 0.137700, 0.103275, 0.000000, 0.024300, 0.137700, 0.103275, 0.000000, 0.023895, 0.137700, 0.103275, 0.000000, 0.008100, 0.137700, 0.103275, 0.000000, 0.008100, 0.137700, 0.103275, 0.000000, 0.000000, 0.137700, 0.103275, 0.000000, 0.000000, 0.137700}
Kazuya_Rainbow_3 = {1.147500, 0.135000, 0.000000, 6.375000, 1.147500, 0.135000, 0.000000, 6.375000, 1.147500, 0.705000, 0.000000, 6.375000, 1.147500, 0.705000, 0.000000, 6.375000, 1.147500, 1.260000, 0.000000, 6.375000, 1.147500, 1.260000, 0.000000, 6.375000, 1.147500, 1.830000, 0.000000, 6.375000, 1.147500, 1.830000, 0.000000, 6.375000, 1.147500, 2.400000, 0.000000, 6.375000, 1.147500, 2.385000, 0.000000, 6.375000, 1.147500, 2.955000, 0.000000, 6.375000, 1.147500, 2.955000, 0.000000, 6.375000, 1.147500, 3.510000, 0.000000, 6.375000, 1.147500, 3.510000, 0.000000, 6.375000, 1.071000, 3.825000, 0.000000, 6.375000, 1.071000, 3.825000, 0.000000, 6.375000, 0.900000, 3.825000, 0.000000, 6.375000, 0.900000, 3.825000, 0.000000, 6.375000, 0.729000, 3.825000, 0.000000, 6.375000, 0.729000, 3.825000, 0.000000, 6.375000, 0.567000, 3.825000, 0.000000, 6.375000, 0.562500, 3.825000, 0.000000, 6.375000, 0.396000, 3.825000, 0.000000, 6.375000, 0.396000, 3.825000, 0.000000, 6.375000, 0.225000, 3.825000, 0.000000, 6.375000, 0.229500, 3.825000, 0.000000, 6.375000, 0.054000, 3.825000, 0.000000, 6.375000, 0.054000, 3.825000, 0.000000, 6.375000, 0.000000, 3.825000, 0.375000, 6.375000, 0.000000, 3.825000, 0.390000, 6.375000, 0.000000, 3.825000, 0.945000, 6.375000, 0.000000, 3.825000, 0.930000, 6.375000, 0.000000, 3.825000, 1.650000, 6.375000, 0.000000, 3.825000, 1.635000, 6.375000, 0.000000, 3.825000, 2.205000, 6.375000, 0.000000, 3.825000, 2.205000, 6.375000, 0.000000, 3.825000, 2.775000, 6.375000, 0.000000, 3.825000, 2.775000, 6.375000, 0.000000, 3.825000, 3.330000, 6.375000, 0.000000, 3.825000, 3.330000, 6.375000, 0.000000, 3.750000, 3.825000, 6.375000, 0.000000, 3.765000, 3.825000, 6.375000, 0.000000, 3.195000, 3.825000, 6.375000, 0.000000, 3.195000, 3.825000, 6.375000, 0.000000, 2.640000, 3.825000, 6.375000, 0.000000, 2.640000, 3.825000, 6.375000, 0.000000, 2.070000, 3.825000, 6.375000, 0.000000, 2.055000, 3.825000, 6.375000, 0.000000, 1.500000, 3.825000, 6.375000, 0.000000, 1.500000, 3.825000, 6.375000, 0.000000, 0.945000, 3.825000, 6.375000, 0.000000, 0.930000, 3.825000, 6.375000, 0.000000, 0.375000, 3.825000, 6.375000, 0.000000, 0.375000, 3.825000, 6.375000, 0.054000, 0.000000, 3.825000, 6.375000, 0.054000, 0.000000, 3.825000, 6.375000, 0.225000, 0.000000, 3.825000, 6.375000, 0.225000, 0.000000, 3.825000, 6.375000, 0.391500, 0.000000, 3.825000, 6.375000, 0.391500, 0.000000, 3.825000, 6.375000, 0.562500, 0.000000, 3.825000, 6.375000, 0.562500, 0.000000, 3.825000, 6.375000, 0.733500, 0.000000, 3.825000, 6.375000, 0.733500, 0.000000, 3.825000, 6.375000, 0.900000, 0.000000, 3.825000, 6.375000, 0.945000, 0.000000, 3.825000, 6.375000, 1.111500, 0.000000, 3.825000, 6.375000, 1.111500, 0.000000, 3.825000, 6.375000, 1.147500, 0.000000, 3.375000, 6.375000, 1.147500, 0.000000, 3.390000, 6.375000, 1.147500, 0.000000, 2.805000, 6.375000, 1.147500, 0.000000, 2.805000, 6.375000, 1.147500, 0.000000, 2.250000, 6.375000, 1.147500, 0.000000, 2.250000, 6.375000, 1.147500, 0.000000, 1.695000, 6.375000, 1.147500, 0.000000, 1.695000, 6.375000, 1.147500, 0.000000, 1.125000, 6.375000, 1.147500, 0.000000, 1.125000, 6.375000, 1.147500, 0.000000, 0.570000, 6.375000, 1.147500, 0.000000, 0.570000, 6.375000, 1.147500, 0.000000, 0.000000, 6.375000, 1.147500, 0.000000, 0.000000, 6.375000}

------------------------------------------------------------------------------------Custom testing Reina Green Blue Electric Saifu02 ---------------------------------------------------------------------------------------------------------------------
Reina_greenBlue_0_ShaderLut_array = {0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.570607,1.000000,0.000000,1.000000,0.565502,1.000000,0.000013,1.000000,0.529386,1.000000,0.000108,1.000000,0.493271,1.000000,0.000202,1.000000,0.457156,1.000000,0.000297,1.000000,0.421041,1.000000,0.000392,1.000000,0.384925,1.000000,0.000486,1.000000,0.348810,1.000000,0.000581,1.000000,0.312695,1.000000,0.000675,1.000000,0.276579,1.000000,0.000770,1.000000,0.240464,1.000000,0.000864,1.000000,0.204349,1.000000,0.000959,1.000000,0.168233,1.000000,0.001053,1.000000,0.132118,1.000000,0.001148,1.000000,0.096003,1.000000,0.001243,1.000000,0.059888,1.000000,0.001337,1.000000,0.023772,1.000000,0.001432,1.000000,-0.003472,1.000000,0.001493,1.000000,-0.010922,1.000000,0.001477,1.000000,-0.014606,1.000000,0.001444,1.000000,-0.014874,1.000000,0.001396,1.000000,-0.012074,1.000000,0.001334,1.000000,-0.006556,1.000000,0.001260,1.000000,0.001332,1.000000,0.001177,1.000000,0.011241,1.000000,0.001085,1.000000,0.022821,1.000000,0.000988,1.000000,0.035723,1.000000,0.000886,1.000000,0.049600,1.000000,0.000782,1.000000,0.064100,1.000000,0.000677,1.000000,0.078876,1.000000,0.000573,1.000000,0.093578,1.000000,0.000472,1.000000,0.107858,1.000000,0.000377,1.000000,0.121366,1.000000,0.000288,1.000000,0.133754,1.000000,0.000208,1.000000,0.144672,1.000000,0.000138,1.000000,0.153771,1.000000,0.000080,1.000000,0.160703,1.000000,0.000037,1.000000,0.165118,1.000000,0.000010,1.000000,0.166667,1.000000,0.000000,1.000000}
Reina_greenBlue_1_ShaderLut_array = {0.000000,0.583333,1.000000,1.000000,0.000000,0.578862,1.000000,1.000000,0.000000,0.567015,1.000000,1.000000,0.000000,0.550729,1.000000,1.000000,0.000000,0.532945,1.000000,1.000000,0.000000,0.516602,1.000000,1.000000,0.000000,0.504640,1.000000,1.000000,0.000000,0.500000,1.000000,1.000000}
Reina_greenBlue_2_ShaderLut_array = {0.127200,0.974178,2.000000,1.000000,0.127103,0.973774,1.999192,1.000000,0.126751,0.972300,1.996249,1.000000,0.126150,0.969790,1.991234,1.000000,0.125311,0.966286,1.984235,1.000000,0.124244,0.961830,1.975335,1.000000,0.122960,0.956467,1.964622,1.000000,0.121469,0.950239,1.952182,1.000000,0.119782,0.943189,1.938101,1.000000,0.117908,0.935361,1.922464,1.000000,0.115858,0.926798,1.905359,1.000000,0.113642,0.917541,1.886870,1.000000,0.111271,0.907636,1.867084,1.000000,0.108754,0.897124,1.846087,1.000000,0.106103,0.886049,1.823965,1.000000,0.103327,0.874454,1.800805,1.000000,0.100437,0.862382,1.776691,1.000000,0.097443,0.849876,1.751711,1.000000,0.094356,0.836979,1.725950,1.000000,0.091185,0.823734,1.699494,1.000000,0.087941,0.810185,1.672430,1.000000,0.084635,0.796374,1.644843,1.000000,0.081277,0.782344,1.616820,1.000000,0.077876,0.768140,1.588446,1.000000,0.074444,0.753802,1.559808,1.000000,0.070990,0.739376,1.530992,1.000000,0.067525,0.724903,1.502083,1.000000,0.064060,0.710427,1.473169,1.000000,0.060604,0.695992,1.444334,1.000000,0.057168,0.681639,1.415664,1.000000,0.053763,0.667412,1.387247,1.000000,0.050397,0.653355,1.359168,1.000000,0.047083,0.639510,1.331513,1.000000,0.043830,0.625920,1.304369,1.000000,0.040648,0.612629,1.277820,1.000000,0.037548,0.599679,1.251954,1.000000,0.034540,0.587114,1.226856,1.000000,0.031634,0.574977,1.202612,1.000000,0.028841,0.563310,1.179309,1.000000,0.026171,0.552158,1.157032,1.000000,0.023635,0.541562,1.135868,1.000000,0.021242,0.531567,1.115902,1.000000,0.019003,0.522214,1.097221,1.000000,0.016928,0.513548,1.079911,1.000000,0.015028,0.505611,1.064058,1.000000,0.013313,0.498447,1.049747,1.000000,0.011793,0.492098,1.037065,1.000000,0.010479,0.486608,1.026098,1.000000,0.009381,0.482019,1.016932,1.000000,0.008508,0.478375,1.009654,1.000000,0.007872,0.475719,1.004348,1.000000,0.007483,0.474093,1.001101,1.000000,0.007351,0.473542,1.000000,1.000000}
Reina_greenBlue_3_ShaderLut_array = {0.000000,2.000000,0.002988,1.000000,0.000000,2.000000,0.002988,1.000000,0.000000,2.000000,0.002988,1.000000,0.000000,2.000000,0.002988,1.000000,0.000000,2.000000,0.002988,1.000000,0.000000,2.000000,0.002988,1.000000,0.000000,2.000000,0.002988,1.000000,0.000000,2.000000,0.002988,1.000000,0.000000,2.000000,0.002988,1.000000,0.000000,2.000000,0.002988,1.000000,0.000000,2.000000,0.002988,1.000000,0.000000,2.000000,0.002988,1.000000,0.000000,2.000000,0.002988,1.000000,0.000000,2.000000,0.002988,1.000000,0.000000,2.000000,0.002988,1.000000,0.000000,2.000000,0.002988,1.000000,0.000000,2.000000,0.002988,1.000000,0.000000,2.000000,0.002988,1.000000,0.000000,2.000000,0.002988,1.000000,0.000000,2.000000,0.002988,1.000000,0.000000,2.000000,0.002988,1.000000,0.000000,2.000000,0.002988,1.000000,0.000000,2.000000,0.002988,1.000000,0.000211,1.999655,0.002987,1.000000,0.004857,1.992049,0.002964,1.000000,0.015191,1.975134,0.002914,1.000000,0.030683,1.949775,0.002838,1.000000,0.050805,1.916837,0.002739,1.000000,0.075027,1.877187,0.002621,1.000000,0.102821,1.831690,0.002485,1.000000,0.133658,1.781214,0.002334,1.000000,0.167008,1.726623,0.002171,1.000000,0.202342,1.668785,0.001998,1.000000,0.239131,1.608564,0.001818,1.000000,0.276847,1.546826,0.001634,1.000000,0.314960,1.484439,0.001447,1.000000,0.352941,1.422267,0.001262,1.000000,0.390261,1.361177,0.001079,1.000000,0.426392,1.302035,0.000902,1.000000,0.460803,1.245707,0.000734,1.000000,0.492966,1.193059,0.000577,1.000000,0.522352,1.144957,0.000433,1.000000,0.548432,1.102266,0.000306,1.000000,0.570677,1.065853,0.000197,1.000000,0.588557,1.036584,0.000109,1.000000,0.601545,1.015325,0.000046,1.000000,0.609110,1.002942,0.000009,1.000000,0.606682,1.000000,0.000000,1.000000,0.589057,1.000000,0.000000,1.000000,0.571432,1.000000,0.000000,1.000000,0.553807,1.000000,0.000000,1.000000,0.536182,1.000000,0.000000,1.000000,0.518558,1.000000,0.000000,1.000000,0.500933,1.000000,0.000000,1.000000,0.483308,1.000000,0.000000,1.000000,0.465683,1.000000,0.000000,1.000000,0.448058,1.000000,0.000000,1.000000,0.430434,1.000000,0.000000,1.000000,0.412809,1.000000,0.000000,1.000000,0.395184,1.000000,0.000000,1.000000,0.377559,1.000000,0.000000,1.000000,0.359935,1.000000,0.000000,1.000000,0.342310,1.000000,0.000000,1.000000,0.324685,1.000000,0.000000,1.000000,0.307060,1.000000,0.000000,1.000000,0.289435,1.000000,0.000000,1.000000,0.271811,1.000000,0.000000,1.000000,0.254186,1.000000,0.000000,1.000000,0.236561,1.000000,0.000000,1.000000,0.218936,1.000000,0.000000,1.000000,0.201311,1.000000,0.000000,1.000000,0.183687,1.000000,0.000000,1.000000,0.166062,1.000000,0.000000,1.000000,0.148437,1.000000,0.000000,1.000000,0.130812,1.000000,0.000000,1.000000,0.113187,1.000000,0.000000,1.000000,0.095563,1.000000,0.000000,1.000000,0.077938,1.000000,0.000000,1.000000,0.060313,1.000000,0.000000,1.000000,0.042688,1.000000,0.000000,1.000000,0.025063,1.000000,0.000000,1.000000,0.007439,1.000000,0.000000,1.000000}

Reina_Rainbow_0 = {1.000000, 0.000000, 0.000000, 1.000000, 1.000000, 0.075949, 0.000000, 1.000000, 1.000000, 0.151899, 0.000000, 1.000000, 1.000000, 0.227848, 0.000000, 1.000000, 1.000000, 0.303797, 0.000000, 1.000000, 1.000000, 0.379747, 0.000000, 1.000000, 1.000000, 0.455696, 0.000000, 1.000000, 1.000000, 0.531646, 0.000000, 1.000000, 1.000000, 0.607595, 0.000000, 1.000000, 1.000000, 0.683544, 0.000000, 1.000000, 1.000000, 0.759494, 0.000000, 1.000000, 1.000000, 0.835443, 0.000000, 1.000000, 1.000000, 0.911392, 0.000000, 1.000000, 1.000000, 0.987342, 0.000000, 1.000000, 0.936709, 1.000000, 0.000000, 1.000000, 0.860759, 1.000000, 0.000000, 1.000000, 0.784810, 1.000000, 0.000000, 1.000000, 0.708861, 1.000000, 0.000000, 1.000000, 0.632911, 1.000000, 0.000000, 1.000000, 0.556962, 1.000000, 0.000000, 1.000000, 0.481013, 1.000000, 0.000000, 1.000000, 0.405063, 1.000000, 0.000000, 1.000000, 0.329114, 1.000000, 0.000000, 1.000000, 0.253165, 1.000000, 0.000000, 1.000000, 0.177215, 1.000000, 0.000000, 1.000000, 0.101266, 1.000000, 0.000000, 1.000000, 0.025316, 1.000000, 0.000000, 1.000000, 0.000000, 1.000000, 0.050633, 1.000000, 0.000000, 1.000000, 0.126582, 1.000000, 0.000000, 1.000000, 0.202532, 1.000000, 0.000000, 1.000000, 0.278481, 1.000000, 0.000000, 1.000000, 0.354430, 1.000000, 0.000000, 1.000000, 0.430380, 1.000000, 0.000000, 1.000000, 0.506329, 1.000000, 0.000000, 1.000000, 0.582278, 1.000000, 0.000000, 1.000000, 0.658228, 1.000000, 0.000000, 1.000000, 0.734177, 1.000000, 0.000000, 1.000000, 0.810127, 1.000000, 0.000000, 1.000000, 0.886076, 1.000000, 0.000000, 1.000000, 0.962025, 1.000000, 0.000000, 0.962025, 1.000000, 1.000000, 0.000000, 0.886076, 1.000000, 1.000000, 0.000000, 0.810127, 1.000000, 1.000000, 0.000000, 0.734177, 1.000000, 1.000000, 0.000000, 0.658228, 1.000000, 1.000000, 0.000000, 0.582278, 1.000000, 1.000000, 0.000000, 0.506329, 1.000000, 1.000000, 0.000000, 0.430380, 1.000000, 1.000000, 0.000000, 0.354430, 1.000000, 1.000000, 0.000000, 0.278481, 1.000000, 1.000000, 0.000000, 0.202532, 1.000000, 1.000000, 0.000000, 0.126582, 1.000000, 1.000000, 0.000000, 0.050633, 1.000000, 1.000000, 0.025316, 0.000000, 1.000000, 1.000000, 0.101266, 0.000000, 1.000000, 1.000000, 0.177215, 0.000000, 1.000000, 1.000000, 0.253165, 0.000000, 1.000000, 1.000000, 0.329114, 0.000000, 1.000000, 1.000000, 0.405063, 0.000000, 1.000000, 1.000000, 0.481013, 0.000000, 1.000000, 1.000000, 0.556962, 0.000000, 1.000000, 1.000000, 0.632911, 0.000000, 1.000000, 1.000000, 0.708861, 0.000000, 1.000000, 1.000000, 0.784810, 0.000000, 1.000000, 1.000000, 0.860759, 0.000000, 1.000000, 1.000000, 0.936709, 0.000000, 1.000000, 1.000000, 1.000000, 0.000000, 0.987342, 1.000000, 1.000000, 0.000000, 0.911392, 1.000000, 1.000000, 0.000000, 0.835443, 1.000000, 1.000000, 0.000000, 0.759494, 1.000000, 1.000000, 0.000000, 0.683544, 1.000000, 1.000000, 0.000000, 0.607595, 1.000000, 1.000000, 0.000000, 0.531646, 1.000000, 1.000000, 0.000000, 0.455696, 1.000000, 1.000000, 0.000000, 0.379747, 1.000000, 1.000000, 0.000000, 0.303797, 1.000000, 1.000000, 0.000000, 0.227848, 1.000000, 1.000000, 0.000000, 0.151899, 1.000000, 1.000000, 0.000000, 0.075949, 1.000000, 1.000000, 0.000000, 0.000000, 1.000000}
Reina_Rainbow_1 = {1.000000, 0.000000, 0.000000, 1.000000, 1.000000, 0.857143, 0.000000, 1.000000, 0.285714, 1.000000, 0.000000, 1.000000, 0.000000, 1.000000, 0.571429, 1.000000, 0.000000, 0.571429, 1.000000, 1.000000, 0.285714, 0.000000, 1.000000, 1.000000, 1.000000, 0.000000, 0.857143, 1.000000, 1.000000, 0.000000, 0.000000, 1.000000}
-- Reina_Rainbow_2 = {1.000000, 0.000000, 0.000000, 1.000000, 1.000000, 0.115385, 0.000000, 1.000000, 1.000000, 0.230769, 0.000000, 1.000000, 1.000000, 0.346154, 0.000000, 1.000000, 1.000000, 0.461538, 0.000000, 1.000000, 1.000000, 0.576923, 0.000000, 1.000000, 1.000000, 0.692308, 0.000000, 1.000000, 1.000000, 0.807692, 0.000000, 1.000000, 1.000000, 0.923077, 0.000000, 1.000000, 0.961538, 1.000000, 0.000000, 1.000000, 0.846154, 1.000000, 0.000000, 1.000000, 0.730769, 1.000000, 0.000000, 1.000000, 0.615385, 1.000000, 0.000000, 1.000000, 0.500000, 1.000000, 0.000000, 1.000000, 0.384615, 1.000000, 0.000000, 1.000000, 0.269231, 1.000000, 0.000000, 1.000000, 0.153846, 1.000000, 0.000000, 1.000000, 0.038462, 1.000000, 0.000000, 1.000000, 0.000000, 1.000000, 0.076923, 1.000000, 0.000000, 1.000000, 0.192308, 1.000000, 0.000000, 1.000000, 0.307692, 1.000000, 0.000000, 1.000000, 0.423077, 1.000000, 0.000000, 1.000000, 0.538462, 1.000000, 0.000000, 1.000000, 0.653846, 1.000000, 0.000000, 1.000000, 0.769231, 1.000000, 0.000000, 1.000000, 0.884615, 1.000000, 0.000000, 1.000000, 1.000000, 1.000000, 0.000000, 0.884615, 1.000000, 1.000000, 0.000000, 0.769231, 1.000000, 1.000000, 0.000000, 0.653846, 1.000000, 1.000000, 0.000000, 0.538462, 1.000000, 1.000000, 0.000000, 0.423077, 1.000000, 1.000000, 0.000000, 0.307692, 1.000000, 1.000000, 0.000000, 0.192308, 1.000000, 1.000000, 0.000000, 0.076923, 1.000000, 1.000000, 0.038462, 0.000000, 1.000000, 1.000000, 0.153846, 0.000000, 1.000000, 1.000000, 0.269231, 0.000000, 1.000000, 1.000000, 0.384615, 0.000000, 1.000000, 1.000000, 0.500000, 0.000000, 1.000000, 1.000000, 0.615385, 0.000000, 1.000000, 1.000000, 0.730769, 0.000000, 1.000000, 1.000000, 0.846154, 0.000000, 1.000000, 1.000000, 0.961538, 0.000000, 1.000000, 1.000000, 1.000000, 0.000000, 0.923077, 1.000000, 1.000000, 0.000000, 0.807692, 1.000000, 1.000000, 0.000000, 0.692308, 1.000000, 1.000000, 0.000000, 0.576923, 1.000000, 1.000000, 0.000000, 0.461538, 1.000000, 1.000000, 0.000000, 0.346154, 1.000000, 1.000000, 0.000000, 0.230769, 1.000000, 1.000000, 0.000000, 0.115385, 1.000000, 1.000000, 0.000000, 0.000000, 1.000000}
Reina_Rainbow_2 = {1.200000,0.000000,0.000000,1.000000,1.200000,0.138462,0.000000,1.000000,1.200000,0.276923,0.000000,1.000000,1.200000,0.415385,0.000000,1.000000,1.200000,0.553846,0.000000,1.000000,1.200000,0.692308,0.000000,1.000000,1.200000,0.830769,0.000000,1.000000,1.200000,0.969231,0.000000,1.000000,1.200000,1.107692,0.000000,1.000000,1.153846,1.200000,0.000000,1.000000,1.015385,1.200000,0.000000,1.000000,0.876923,1.200000,0.000000,1.000000,0.738462,1.200000,0.000000,1.000000,0.600000,1.200000,0.000000,1.000000,0.461538,1.200000,0.000000,1.000000,0.323077,1.200000,0.000000,1.000000,0.184615,1.200000,0.000000,1.000000,0.046154,1.200000,0.000000,1.000000,0.000000,1.200000,0.092308,1.000000,0.000000,1.200000,0.230769,1.000000,0.000000,1.200000,0.369231,1.000000,0.000000,1.200000,0.507692,1.000000,0.000000,1.200000,0.646154,1.000000,0.000000,1.200000,0.784615,1.000000,0.000000,1.200000,0.923077,1.000000,0.000000,1.200000,1.061538,1.000000,0.000000,1.200000,1.200000,1.000000,0.000000,1.061538,1.200000,1.000000,0.000000,0.923077,1.200000,1.000000,0.000000,0.784615,1.200000,1.000000,0.000000,0.646154,1.200000,1.000000,0.000000,0.507692,1.200000,1.000000,0.000000,0.369231,1.200000,1.000000,0.000000,0.230769,1.200000,1.000000,0.000000,0.092308,1.200000,1.000000,0.046154,0.000000,1.200000,1.000000,0.184615,0.000000,1.200000,1.000000,0.323077,0.000000,1.200000,1.000000,0.461538,0.000000,1.200000,1.000000,0.600000,0.000000,1.200000,1.000000,0.738462,0.000000,1.200000,1.000000,0.876923,0.000000,1.200000,1.000000,1.015385,0.000000,1.200000,1.000000,1.153846,0.000000,1.200000,1.000000,1.200000,0.000000,1.107692,1.000000,1.200000,0.000000,0.969231,1.000000,1.200000,0.000000,0.830769,1.000000,1.200000,0.000000,0.692308,1.000000,1.200000,0.000000,0.553846,1.000000,1.200000,0.000000,0.415385,1.000000,1.200000,0.000000,0.276923,1.000000,1.200000,0.000000,0.138462,1.000000,1.200000,0.000000,0.000000,1.000000}
Reina_Rainbow_3 = {1.000000, 0.000000, 0.000000, 1.000000, 1.000000, 0.074074, 0.000000, 1.000000, 1.000000, 0.148148, 0.000000, 1.000000, 1.000000, 0.222222, 0.000000, 1.000000, 1.000000, 0.296296, 0.000000, 1.000000, 1.000000, 0.370370, 0.000000, 1.000000, 1.000000, 0.444444, 0.000000, 1.000000, 1.000000, 0.518519, 0.000000, 1.000000, 1.000000, 0.592593, 0.000000, 1.000000, 1.000000, 0.666667, 0.000000, 1.000000, 1.000000, 0.740741, 0.000000, 1.000000, 1.000000, 0.814815, 0.000000, 1.000000, 1.000000, 0.888889, 0.000000, 1.000000, 1.000000, 0.962963, 0.000000, 1.000000, 0.962963, 1.000000, 0.000000, 1.000000, 0.888889, 1.000000, 0.000000, 1.000000, 0.814815, 1.000000, 0.000000, 1.000000, 0.740741, 1.000000, 0.000000, 1.000000, 0.666667, 1.000000, 0.000000, 1.000000, 0.592593, 1.000000, 0.000000, 1.000000, 0.518519, 1.000000, 0.000000, 1.000000, 0.444444, 1.000000, 0.000000, 1.000000, 0.370370, 1.000000, 0.000000, 1.000000, 0.296296, 1.000000, 0.000000, 1.000000, 0.222222, 1.000000, 0.000000, 1.000000, 0.148148, 1.000000, 0.000000, 1.000000, 0.074074, 1.000000, 0.000000, 1.000000, 0.000000, 1.000000, 0.000000, 1.000000, 0.000000, 1.000000, 0.074074, 1.000000, 0.000000, 1.000000, 0.148148, 1.000000, 0.000000, 1.000000, 0.222222, 1.000000, 0.000000, 1.000000, 0.296296, 1.000000, 0.000000, 1.000000, 0.370370, 1.000000, 0.000000, 1.000000, 0.444444, 1.000000, 0.000000, 1.000000, 0.518519, 1.000000, 0.000000, 1.000000, 0.592593, 1.000000, 0.000000, 1.000000, 0.666667, 1.000000, 0.000000, 1.000000, 0.740741, 1.000000, 0.000000, 1.000000, 0.814815, 1.000000, 0.000000, 1.000000, 0.888889, 1.000000, 0.000000, 1.000000, 0.962963, 1.000000, 0.000000, 0.962963, 1.000000, 1.000000, 0.000000, 0.888889, 1.000000, 1.000000, 0.000000, 0.814815, 1.000000, 1.000000, 0.000000, 0.740741, 1.000000, 1.000000, 0.000000, 0.666667, 1.000000, 1.000000, 0.000000, 0.592593, 1.000000, 1.000000, 0.000000, 0.518519, 1.000000, 1.000000, 0.000000, 0.444444, 1.000000, 1.000000, 0.000000, 0.370370, 1.000000, 1.000000, 0.000000, 0.296296, 1.000000, 1.000000, 0.000000, 0.222222, 1.000000, 1.000000, 0.000000, 0.148148, 1.000000, 1.000000, 0.000000, 0.074074, 1.000000, 1.000000, 0.000000, 0.000000, 1.000000, 1.000000, 0.074074, 0.000000, 1.000000, 1.000000, 0.148148, 0.000000, 1.000000, 1.000000, 0.222222, 0.000000, 1.000000, 1.000000, 0.296296, 0.000000, 1.000000, 1.000000, 0.370370, 0.000000, 1.000000, 1.000000, 0.444444, 0.000000, 1.000000, 1.000000, 0.518519, 0.000000, 1.000000, 1.000000, 0.592593, 0.000000, 1.000000, 1.000000, 0.666667, 0.000000, 1.000000, 1.000000, 0.740741, 0.000000, 1.000000, 1.000000, 0.814815, 0.000000, 1.000000, 1.000000, 0.888889, 0.000000, 1.000000, 1.000000, 0.962963, 0.000000, 1.000000, 1.000000, 1.000000, 0.000000, 0.962963, 1.000000, 1.000000, 0.000000, 0.888889, 1.000000, 1.000000, 0.000000, 0.814815, 1.000000, 1.000000, 0.000000, 0.740741, 1.000000, 1.000000, 0.000000, 0.666667, 1.000000, 1.000000, 0.000000, 0.592593, 1.000000, 1.000000, 0.000000, 0.518519, 1.000000, 1.000000, 0.000000, 0.444444, 1.000000, 1.000000, 0.000000, 0.370370, 1.000000, 1.000000, 0.000000, 0.296296, 1.000000, 1.000000, 0.000000, 0.222222, 1.000000, 1.000000, 0.000000, 0.148148, 1.000000, 1.000000, 0.000000, 0.074074, 1.000000, 1.000000, 0.000000, 0.000000, 1.000000}

Reina_RainbowLeg_0 = {10.200000,0.000000,0.000000,10.200000,10.200000,0.000000,0.000000,10.200000,10.200000,1.560000,0.000000,10.200000,10.200000,1.520000,0.000000,10.200000,10.200000,3.080000,0.000000,10.200000,10.200000,3.080000,0.000000,10.200000,10.200000,4.640000,0.000000,10.200000,10.200000,4.640000,0.000000,10.200000,10.200000,6.160000,0.000000,10.200000,10.200000,6.160000,0.000000,10.200000,10.200000,7.680000,0.000000,10.200000,10.200000,7.680000,0.000000,10.200000,10.200000,9.240000,0.000000,10.200000,10.200000,9.240000,0.000000,10.200000,9.600000,10.200000,0.000000,10.200000,9.640000,10.200000,0.000000,10.200000,8.080000,10.200000,0.000000,10.200000,8.080000,10.200000,0.000000,10.200000,6.520000,10.200000,0.000000,10.200000,6.560000,10.200000,0.000000,10.200000,5.000000,10.200000,0.000000,10.200000,5.000000,10.200000,0.000000,10.200000,3.440000,10.200000,0.000000,10.200000,3.480000,10.200000,0.000000,10.200000,1.920000,10.200000,0.000000,10.200000,1.560000,10.200000,0.000000,10.200000,0.000000,10.200000,0.000000,10.200000,0.000000,10.200000,0.000000,10.200000,0.000000,10.200000,1.520000,10.200000,0.000000,10.200000,1.560000,10.200000,0.000000,10.200000,3.080000,10.200000,0.000000,10.200000,3.080000,10.200000,0.000000,10.200000,4.640000,10.200000,0.000000,10.200000,4.600000,10.200000,0.000000,10.200000,6.160000,10.200000,0.000000,10.200000,6.160000,10.200000,0.000000,10.200000,7.720000,10.200000,0.000000,10.200000,7.680000,10.200000,0.000000,10.200000,9.240000,10.200000,0.000000,10.200000,9.240000,10.200000,0.000000,9.640000,10.200000,10.200000,0.000000,9.640000,10.200000,10.200000,0.000000,8.080000,10.200000,10.200000,0.000000,8.080000,10.200000,10.200000,0.000000,6.560000,10.200000,10.200000,0.000000,6.520000,10.200000,10.200000,0.000000,5.040000,10.200000,10.200000,0.000000,5.000000,10.200000,10.200000,0.000000,3.480000,10.200000,10.200000,0.000000,3.480000,10.200000,10.200000,0.000000,1.920000,10.200000,10.200000,0.000000,1.920000,10.200000,10.200000,0.000000,0.400000,10.200000,10.200000,0.000000,0.400000,10.200000,10.200000,1.160000,0.000000,10.200000,10.200000,1.160000,0.000000,10.200000,10.200000,2.680000,0.000000,10.200000,10.200000,3.080000,0.000000,10.200000,10.200000,4.600000,0.000000,10.200000,10.200000,4.600000,0.000000,10.200000,10.200000,6.160000,0.000000,10.200000,10.200000,6.160000,0.000000,10.200000,10.200000,7.720000,0.000000,10.200000,10.200000,7.720000,0.000000,10.200000,10.200000,9.240000,0.000000,10.200000,10.200000,9.240000,0.000000,10.200000,10.200000,10.200000,0.000000,9.640000,10.200000,10.200000,0.000000,9.640000,10.200000,10.200000,0.000000,8.080000,10.200000,10.200000,0.000000,8.080000,10.200000,10.200000,0.000000,6.520000,10.200000,10.200000,0.000000,6.560000,10.200000,10.200000,0.000000,5.000000,10.200000,10.200000,0.000000,5.000000,10.200000,10.200000,0.000000,3.440000,10.200000,10.200000,0.000000,3.480000,10.200000,10.200000,0.000000,1.920000,10.200000,10.200000,0.000000,1.920000,10.200000,10.200000,0.000000,0.400000,10.200000,10.200000,0.000000,0.400000,10.200000}
Reina_RainbowLeg_1 = {1.176000, 0.000000, 3.060000, 10.200000, 0.000000, 0.624000, 3.060000, 10.200000, 0.000000, 2.400000, 3.060000, 10.200000, 0.000000, 3.060000, 1.932000, 10.200000, 0.756000, 3.060000, 0.000000, 10.200000, 1.644000, 3.060000, 0.000000, 10.200000, 3.060000, 1.788000, 0.000000, 10.200000, 3.060000, 0.000000, 0.000000, 10.200000}
Reina_RainbowLeg_2 = {1.200000, 0.000000, 0.000000, 1.000000, 1.200000, 0.138462, 0.000000, 1.000000, 1.200000, 0.276923, 0.000000, 1.000000, 1.200000, 0.415385, 0.000000, 1.000000, 1.200000, 0.553846, 0.000000, 1.000000, 1.200000, 0.692308, 0.000000, 1.000000, 1.200000, 0.830769, 0.000000, 1.000000, 1.200000, 0.969231, 0.000000, 1.000000, 1.200000, 1.107692, 0.000000, 1.000000, 1.153846, 1.200000, 0.000000, 1.000000, 1.015385, 1.200000, 0.000000, 1.000000, 0.876923, 1.200000, 0.000000, 1.000000, 0.738462, 1.200000, 0.000000, 1.000000, 0.600000, 1.200000, 0.000000, 1.000000, 0.461538, 1.200000, 0.000000, 1.000000, 0.323077, 1.200000, 0.000000, 1.000000, 0.184615, 1.200000, 0.000000, 1.000000, 0.046154, 1.200000, 0.000000, 1.000000, 0.000000, 1.200000, 0.092308, 1.000000, 0.000000, 1.200000, 0.230769, 1.000000, 0.000000, 1.200000, 0.369231, 1.000000, 0.000000, 1.200000, 0.507692, 1.000000, 0.000000, 1.200000, 0.646154, 1.000000, 0.000000, 1.200000, 0.784615, 1.000000, 0.000000, 1.200000, 0.923077, 1.000000, 0.000000, 1.200000, 1.061538, 1.000000, 0.000000, 1.200000, 1.200000, 1.000000, 0.000000, 1.061538, 1.200000, 1.000000, 0.000000, 0.923077, 1.200000, 1.000000, 0.000000, 0.784615, 1.200000, 1.000000, 0.000000, 0.646154, 1.200000, 1.000000, 0.000000, 0.507692, 1.200000, 1.000000, 0.000000, 0.369231, 1.200000, 1.000000, 0.000000, 0.230769, 1.200000, 1.000000, 0.000000, 0.092308, 1.200000, 1.000000, 0.046154, 0.000000, 1.200000, 1.000000, 0.184615, 0.000000, 1.200000, 1.000000, 0.323077, 0.000000, 1.200000, 1.000000, 0.461538, 0.000000, 1.200000, 1.000000, 0.600000, 0.000000, 1.200000, 1.000000, 0.738462, 0.000000, 1.200000, 1.000000, 0.876923, 0.000000, 1.200000, 1.000000, 1.015385, 0.000000, 1.200000, 1.000000, 1.153846, 0.000000, 1.200000, 1.000000, 1.200000, 0.000000, 1.107692, 1.000000, 1.200000, 0.000000, 0.969231, 1.000000, 1.200000, 0.000000, 0.830769, 1.000000, 1.200000, 0.000000, 0.692308, 1.000000, 1.200000, 0.000000, 0.553846, 1.000000, 1.200000, 0.000000, 0.415385, 1.000000, 1.200000, 0.000000, 0.276923, 1.000000, 1.200000, 0.000000, 0.138462, 1.000000, 1.200000, 0.000000, 0.000000, 1.000000}
Reina_RainbowLeg_3 = {2.000000, 0.000000, 0.000000, 1.000000, 2.000000, 0.148148, 0.000000, 1.000000, 2.000000, 0.296296, 0.000000, 1.000000, 2.000000, 0.444444, 0.000000, 1.000000, 2.000000, 0.592593, 0.000000, 1.000000, 2.000000, 0.740741, 0.000000, 1.000000, 2.000000, 0.888889, 0.000000, 1.000000, 2.000000, 1.037037, 0.000000, 1.000000, 2.000000, 1.185185, 0.000000, 1.000000, 2.000000, 1.333333, 0.000000, 1.000000, 2.000000, 1.481481, 0.000000, 1.000000, 2.000000, 1.629630, 0.000000, 1.000000, 2.000000, 1.777778, 0.000000, 1.000000, 2.000000, 1.925926, 0.000000, 1.000000, 1.925926, 2.000000, 0.000000, 1.000000, 1.777778, 2.000000, 0.000000, 1.000000, 1.629630, 2.000000, 0.000000, 1.000000, 1.481481, 2.000000, 0.000000, 1.000000, 1.333333, 2.000000, 0.000000, 1.000000, 1.185185, 2.000000, 0.000000, 1.000000, 1.037037, 2.000000, 0.000000, 1.000000, 0.888889, 2.000000, 0.000000, 1.000000, 0.740741, 2.000000, 0.000000, 1.000000, 0.592593, 2.000000, 0.000000, 1.000000, 0.444444, 2.000000, 0.000000, 1.000000, 0.296296, 2.000000, 0.000000, 1.000000, 0.148148, 2.000000, 0.000000, 1.000000, 0.000000, 2.000000, 0.000000, 1.000000, 0.000000, 2.000000, 0.148148, 1.000000, 0.000000, 2.000000, 0.296296, 1.000000, 0.000000, 2.000000, 0.444444, 1.000000, 0.000000, 2.000000, 0.592593, 1.000000, 0.000000, 2.000000, 0.740741, 1.000000, 0.000000, 2.000000, 0.888889, 1.000000, 0.000000, 2.000000, 1.037037, 1.000000, 0.000000, 2.000000, 1.185185, 1.000000, 0.000000, 2.000000, 1.333333, 1.000000, 0.000000, 2.000000, 1.481481, 1.000000, 0.000000, 2.000000, 1.629630, 1.000000, 0.000000, 2.000000, 1.777778, 1.000000, 0.000000, 2.000000, 1.925926, 1.000000, 0.000000, 1.925926, 2.000000, 1.000000, 0.000000, 1.777778, 2.000000, 1.000000, 0.000000, 1.629630, 2.000000, 1.000000, 0.000000, 1.481481, 2.000000, 1.000000, 0.000000, 1.333333, 2.000000, 1.000000, 0.000000, 1.185185, 2.000000, 1.000000, 0.000000, 1.037037, 2.000000, 1.000000, 0.000000, 0.888889, 2.000000, 1.000000, 0.000000, 0.740741, 2.000000, 1.000000, 0.000000, 0.592593, 2.000000, 1.000000, 0.000000, 0.444444, 2.000000, 1.000000, 0.000000, 0.296296, 2.000000, 1.000000, 0.000000, 0.148148, 2.000000, 1.000000, 0.000000, 0.000000, 2.000000, 1.000000, 0.148148, 0.000000, 2.000000, 1.000000, 0.296296, 0.000000, 2.000000, 1.000000, 0.444444, 0.000000, 2.000000, 1.000000, 0.592593, 0.000000, 2.000000, 1.000000, 0.740741, 0.000000, 2.000000, 1.000000, 0.888889, 0.000000, 2.000000, 1.000000, 1.037037, 0.000000, 2.000000, 1.000000, 1.185185, 0.000000, 2.000000, 1.000000, 1.333333, 0.000000, 2.000000, 1.000000, 1.481481, 0.000000, 2.000000, 1.000000, 1.629630, 0.000000, 2.000000, 1.000000, 1.777778, 0.000000, 2.000000, 1.000000, 1.925926, 0.000000, 2.000000, 1.000000, 2.000000, 0.000000, 1.925926, 1.000000, 2.000000, 0.000000, 1.777778, 1.000000, 2.000000, 0.000000, 1.629630, 1.000000, 2.000000, 0.000000, 1.481481, 1.000000, 2.000000, 0.000000, 1.333333, 1.000000, 2.000000, 0.000000, 1.185185, 1.000000, 2.000000, 0.000000, 1.037037, 1.000000, 2.000000, 0.000000, 0.888889, 1.000000, 2.000000, 0.000000, 0.740741, 1.000000, 2.000000, 0.000000, 0.592593, 1.000000, 2.000000, 0.000000, 0.444444, 1.000000, 2.000000, 0.000000, 0.296296, 1.000000, 2.000000, 0.000000, 0.148148, 1.000000, 2.000000, 0.000000, 0.000000, 1.000000}

NewReina_Rainbow_0 = {10.200000,0.000000,0.000000,10.200000,10.200000,0.000000,0.000000,10.200000,10.200000,0.000000,0.000000,10.200000,10.200000,0.000000,0.000000,10.200000,10.200000,0.000000,0.000000,10.200000,10.200000,0.000000,0.000000,10.200000,10.200000,0.000000,0.000000,10.200000,10.200000,0.000000,0.000000,10.200000,10.200000,0.000000,0.000000,10.200000,10.200000,0.000000,0.000000,10.200000,10.200000,0.000000,0.000000,10.200000,10.200000,0.000000,0.000000,10.200000,10.200000,0.640000,0.000000,10.200000,10.200000,0.680000,0.000000,10.200000,10.200000,2.000000,0.000000,10.200000,10.200000,2.000000,0.000000,10.200000,10.200000,3.320000,0.000000,10.200000,10.200000,3.320000,0.000000,10.200000,10.200000,4.640000,0.000000,10.200000,10.200000,4.640000,0.000000,10.200000,10.200000,5.960000,0.000000,10.200000,10.200000,5.960000,0.000000,10.200000,10.200000,7.280000,0.000000,10.200000,10.200000,7.280000,0.000000,10.200000,10.200000,8.600000,0.000000,10.200000,10.200000,8.640000,0.000000,10.200000,10.200000,9.920000,0.000000,10.200000,10.200000,9.960000,0.000000,10.200000,9.160000,10.200000,0.000000,10.200000,9.160000,10.200000,0.000000,10.200000,7.840000,10.200000,0.000000,10.200000,7.840000,10.200000,0.000000,10.200000,6.480000,10.200000,0.000000,10.200000,6.480000,10.200000,0.000000,10.200000,5.160000,10.200000,0.000000,10.200000,5.200000,10.200000,0.000000,10.200000,3.880000,10.200000,0.000000,10.200000,3.840000,10.200000,0.000000,10.200000,2.520000,10.200000,0.000000,10.200000,2.520000,10.200000,0.000000,10.200000,1.200000,10.200000,0.000000,10.200000,1.200000,10.200000,0.000000,10.200000,0.000000,10.200000,0.120000,10.200000,0.000000,10.200000,0.120000,10.200000,0.000000,10.200000,1.440000,10.200000,0.000000,10.200000,1.480000,10.200000,0.000000,10.200000,2.760000,10.200000,0.000000,10.200000,2.760000,10.200000,0.000000,10.200000,4.120000,10.200000,0.000000,10.200000,4.080000,10.200000,0.000000,10.200000,5.440000,10.200000,0.000000,10.200000,5.440000,10.200000,0.000000,10.200000,7.080000,10.200000,0.000000,10.200000,6.760000,10.200000,0.000000,10.200000,8.440000,10.200000,0.000000,10.200000,8.080000,10.200000,0.000000,10.200000,9.760000,10.200000,0.000000,10.200000,9.760000,10.200000,0.000000,9.360000,10.200000,10.200000,0.000000,9.320000,10.200000,10.200000,0.000000,8.040000,10.200000,10.200000,0.000000,8.040000,10.200000,10.200000,0.000000,6.680000,10.200000,10.200000,0.000000,6.680000,10.200000,10.200000,0.000000,5.360000,10.200000,10.200000,0.000000,5.360000,10.200000,10.200000,0.000000,4.040000,10.200000,10.200000,0.000000,4.040000,10.200000,10.200000,0.000000,2.720000,10.200000,10.200000,0.000000,2.720000,10.200000,10.200000,0.000000,1.400000,10.200000,10.200000,0.000000,1.400000,10.200000,10.200000,0.000000,0.080000,10.200000,10.200000,0.000000,0.080000,10.200000,10.200000,1.240000,0.000000,10.200000,10.200000,1.240000,0.000000,10.200000,10.200000,2.560000,0.000000,10.200000,10.200000,2.600000,0.000000,10.200000,10.200000,3.920000,0.000000,10.200000,10.200000,3.920000,0.000000,10.200000,10.200000}
NR_Rainbow_0 = {2.040000, 0.000000, 0.000000, 2.040000, 2.040000, 0.000000, 0.000000, 2.040000, 2.040000, 0.000000, 0.000000, 2.040000, 2.040000, 0.000000, 0.000000, 2.040000, 2.040000, 0.000000, 0.000000, 2.040000, 2.040000, 0.000000, 0.000000, 2.040000, 2.040000, 0.000000, 0.000000, 2.040000, 2.040000, 0.000000, 0.000000, 2.040000, 2.040000, 0.000000, 0.000000, 2.040000, 2.040000, 0.000000, 0.000000, 2.040000, 2.040000, 0.000000, 0.000000, 2.040000, 2.040000, 0.000000, 0.000000, 2.040000, 2.040000, 0.128000, 0.000000, 2.040000, 2.040000, 0.136000, 0.000000, 2.040000, 2.040000, 0.400000, 0.000000, 2.040000, 2.040000, 0.400000, 0.000000, 2.040000, 2.040000, 0.664000, 0.000000, 2.040000, 2.040000, 0.664000, 0.000000, 2.040000, 2.040000, 0.928000, 0.000000, 2.040000, 2.040000, 0.928000, 0.000000, 2.040000, 2.040000, 1.192000, 0.000000, 2.040000, 2.040000, 1.192000, 0.000000, 2.040000, 2.040000, 1.456000, 0.000000, 2.040000, 2.040000, 1.456000, 0.000000, 2.040000, 2.040000, 1.720000, 0.000000, 2.040000, 2.040000, 1.728000, 0.000000, 2.040000, 2.040000, 1.984000, 0.000000, 2.040000, 2.040000, 1.992000, 0.000000, 2.040000, 1.832000, 2.040000, 0.000000, 2.040000, 1.832000, 2.040000, 0.000000, 2.040000, 1.568000, 2.040000, 0.000000, 2.040000, 1.568000, 2.040000, 0.000000, 2.040000, 1.296000, 2.040000, 0.000000, 2.040000, 1.296000, 2.040000, 0.000000, 2.040000, 1.032000, 2.040000, 0.000000, 2.040000, 1.040000, 2.040000, 0.000000, 2.040000, 0.776000, 2.040000, 0.000000, 2.040000, 0.768000, 2.040000, 0.000000, 2.040000, 0.504000, 2.040000, 0.000000, 2.040000, 0.504000, 2.040000, 0.000000, 2.040000, 0.240000, 2.040000, 0.000000, 2.040000, 0.240000, 2.040000, 0.000000, 2.040000, 0.000000, 2.040000, 0.024000, 2.040000, 0.000000, 2.040000, 0.024000, 2.040000, 0.000000, 2.040000, 0.288000, 2.040000, 0.000000, 2.040000, 0.296000, 2.040000, 0.000000, 2.040000, 0.552000, 2.040000, 0.000000, 2.040000, 0.552000, 2.040000, 0.000000, 2.040000, 0.824000, 2.040000, 0.000000, 2.040000, 0.816000, 2.040000, 0.000000, 2.040000, 1.088000, 2.040000, 0.000000, 2.040000, 1.088000, 2.040000, 0.000000, 2.040000, 1.416000, 2.040000, 0.000000, 2.040000, 1.352000, 2.040000, 0.000000, 2.040000, 1.688000, 2.040000, 0.000000, 2.040000, 1.616000, 2.040000, 0.000000, 2.040000, 1.952000, 2.040000, 0.000000, 2.040000, 1.952000, 2.040000, 0.000000, 1.872000, 2.040000, 2.040000, 0.000000, 1.864000, 2.040000, 2.040000, 0.000000, 1.608000, 2.040000, 2.040000, 0.000000, 1.608000, 2.040000, 2.040000, 0.000000, 1.336000, 2.040000, 2.040000, 0.000000, 1.336000, 2.040000, 2.040000, 0.000000, 1.072000, 2.040000, 2.040000, 0.000000, 1.072000, 2.040000, 2.040000, 0.000000, 0.808000, 2.040000, 2.040000, 0.000000, 0.808000, 2.040000, 2.040000, 0.000000, 0.544000, 2.040000, 2.040000, 0.000000, 0.544000, 2.040000, 2.040000, 0.000000, 0.280000, 2.040000, 2.040000, 0.000000, 0.280000, 2.040000, 2.040000, 0.000000, 0.016000, 2.040000, 2.040000, 0.000000, 0.016000, 2.040000, 2.040000, 0.248000, 0.000000, 2.040000, 2.040000, 0.248000, 0.000000, 2.040000, 2.040000, 0.512000, 0.000000, 2.040000, 2.040000, 0.520000, 0.000000, 2.040000, 2.040000, 0.784000, 0.000000, 2.040000, 2.040000, 0.784000, 0.000000, 2.040000, 2.040000}
NewReina_Rainbow_1_3 = {0.441600, 0.000000, 1.224000, 2.040000, 0.340800, 0.000000, 1.224000, 2.040000, 0.240000, 0.000000, 1.224000, 2.040000, 0.134400, 0.000000, 1.224000, 2.040000, 0.033600, 0.000000, 1.224000, 2.040000, 0.000000, 0.067200, 1.224000, 2.040000, 0.000000, 0.163200, 1.224000, 2.040000, 0.000000, 0.268800, 1.224000, 2.040000, 0.000000, 0.369600, 1.224000, 2.040000, 0.000000, 0.470400, 1.224000, 2.040000, 0.000000, 0.576000, 1.224000, 2.040000, 0.000000, 0.672000, 1.224000, 2.040000, 0.000000, 0.777600, 1.224000, 2.040000, 0.000000, 0.878400, 1.224000, 2.040000, 0.000000, 0.979200, 1.224000, 2.040000, 0.000000, 1.108800, 1.224000, 2.040000, 0.000000, 1.209600, 1.224000, 2.040000, 0.000000, 1.224000, 1.132800, 2.040000, 0.000000, 1.224000, 1.032000, 2.040000, 0.000000, 1.224000, 0.931200, 2.040000, 0.000000, 1.224000, 0.830400, 2.040000, 0.000000, 1.224000, 0.729600, 2.040000, 0.000000, 1.224000, 0.628800, 2.040000, 0.000000, 1.224000, 0.528000, 2.040000, 0.000000, 1.224000, 0.422400, 2.040000, 0.000000, 1.224000, 0.321600, 2.040000, 0.000000, 1.224000, 0.225600, 2.040000, 0.000000, 1.224000, 0.120000, 2.040000, 0.000000, 1.224000, 0.019200, 2.040000, 0.086400, 1.224000, 0.000000, 2.040000, 0.187200, 1.224000, 0.000000, 2.040000, 0.283200, 1.224000, 0.000000, 2.040000, 0.388800, 1.224000, 0.000000, 2.040000, 0.489600, 1.224000, 0.000000, 2.040000, 0.595200, 1.224000, 0.000000, 2.040000, 0.720000, 1.224000, 0.000000, 2.040000, 0.820800, 1.224000, 0.000000, 2.040000, 0.921600, 1.224000, 0.000000, 2.040000, 1.027200, 1.224000, 0.000000, 2.040000, 1.128000, 1.224000, 0.000000, 2.040000, 1.224000, 1.224000, 0.000000, 2.040000, 1.224000, 1.118400, 0.000000, 2.040000, 1.224000, 1.017600, 0.000000, 2.040000, 1.224000, 0.916800, 0.000000, 2.040000, 1.224000, 0.816000, 0.000000, 2.040000, 1.224000, 0.710400, 0.000000, 2.040000, 1.224000, 0.609600, 0.000000, 2.040000, 1.224000, 0.508800, 0.000000, 2.040000, 1.224000, 0.403200, 0.000000, 2.040000, 1.224000, 0.307200, 0.000000, 2.040000, 1.224000, 0.206400, 0.000000, 2.040000, 1.224000, 0.100800, 0.000000, 2.040000, 1.224000, 0.000000, 0.000000, 2.040000}
NR_Rainbow_1_3 = {0.088320, 0.000000, 0.244800, 0.408000, 0.068160, 0.000000, 0.244800, 0.408000, 0.048000, 0.000000, 0.244800, 0.408000, 0.026880, 0.000000, 0.244800, 0.408000, 0.006720, 0.000000, 0.244800, 0.408000, 0.000000, 0.013440, 0.244800, 0.408000, 0.000000, 0.032640, 0.244800, 0.408000, 0.000000, 0.053760, 0.244800, 0.408000, 0.000000, 0.073920, 0.244800, 0.408000, 0.000000, 0.094080, 0.244800, 0.408000, 0.000000, 0.115200, 0.244800, 0.408000, 0.000000, 0.134400, 0.244800, 0.408000, 0.000000, 0.155520, 0.244800, 0.408000, 0.000000, 0.175680, 0.244800, 0.408000, 0.000000, 0.195840, 0.244800, 0.408000, 0.000000, 0.221760, 0.244800, 0.408000, 0.000000, 0.241920, 0.244800, 0.408000, 0.000000, 0.244800, 0.226560, 0.408000, 0.000000, 0.244800, 0.206400, 0.408000, 0.000000, 0.244800, 0.186240, 0.408000, 0.000000, 0.244800, 0.166080, 0.408000, 0.000000, 0.244800, 0.145920, 0.408000, 0.000000, 0.244800, 0.125760, 0.408000, 0.000000, 0.244800, 0.105600, 0.408000, 0.000000, 0.244800, 0.084480, 0.408000, 0.000000, 0.244800, 0.064320, 0.408000, 0.000000, 0.244800, 0.045120, 0.408000, 0.000000, 0.244800, 0.024000, 0.408000, 0.000000, 0.244800, 0.003840, 0.408000, 0.017280, 0.244800, 0.000000, 0.408000, 0.037440, 0.244800, 0.000000, 0.408000, 0.056640, 0.244800, 0.000000, 0.408000, 0.077760, 0.244800, 0.000000, 0.408000, 0.097920, 0.244800, 0.000000, 0.408000, 0.119040, 0.244800, 0.000000, 0.408000, 0.144000, 0.244800, 0.000000, 0.408000, 0.164160, 0.244800, 0.000000, 0.408000, 0.184320, 0.244800, 0.000000, 0.408000, 0.205440, 0.244800, 0.000000, 0.408000, 0.225600, 0.244800, 0.000000, 0.408000, 0.244800, 0.244800, 0.000000, 0.408000, 0.244800, 0.223680, 0.000000, 0.408000, 0.244800, 0.203520, 0.000000, 0.408000, 0.244800, 0.183360, 0.000000, 0.408000, 0.244800, 0.163200, 0.000000, 0.408000, 0.244800, 0.142080, 0.000000, 0.408000, 0.244800, 0.121920, 0.000000, 0.408000, 0.244800, 0.101760, 0.000000, 0.408000, 0.244800, 0.080640, 0.000000, 0.408000, 0.244800, 0.061440, 0.000000, 0.408000, 0.244800, 0.041280, 0.000000, 0.408000, 0.244800, 0.020160, 0.000000, 0.408000, 0.244800, 0.000000, 0.000000, 0.408000}
NewReina_Rainbow_3_4 = {4.080000, 0.000000, 0.000000, 4.080000, 4.080000, 0.352000, 0.000000, 4.080000, 4.080000, 0.832000, 0.000000, 4.080000, 4.080000, 1.312000, 0.000000, 4.080000, 4.080000, 1.760000, 0.000000, 4.080000, 4.080000, 2.240000, 0.000000, 4.080000, 4.080000, 2.720000, 0.000000, 4.080000, 4.080000, 3.184000, 0.000000, 4.080000, 4.080000, 3.664000, 0.000000, 4.080000, 4.016000, 4.080000, 0.000000, 4.080000, 3.552000, 4.080000, 0.000000, 4.080000, 3.072000, 4.080000, 0.000000, 4.080000, 2.608000, 4.080000, 0.000000, 4.080000, 2.128000, 4.080000, 0.000000, 4.080000, 1.648000, 4.080000, 0.000000, 4.080000, 1.184000, 4.080000, 0.000000, 4.080000, 0.704000, 4.080000, 0.000000, 4.080000, 0.240000, 4.080000, 0.000000, 4.080000, 0.000000, 4.080000, 0.240000, 4.080000, 0.000000, 4.080000, 0.720000, 4.080000, 0.000000, 4.080000, 1.184000, 4.080000, 0.000000, 4.080000, 1.648000, 4.080000, 0.000000, 4.080000, 2.128000, 4.080000, 0.000000, 4.080000, 2.608000, 4.080000, 0.000000, 4.080000, 3.072000, 4.080000, 0.000000, 4.080000, 3.552000, 4.080000, 0.000000, 4.080000, 4.016000, 4.080000, 0.000000, 3.664000, 4.080000, 4.080000, 0.000000, 3.200000, 4.080000, 4.080000, 0.000000, 2.720000, 4.080000, 4.080000, 0.000000, 2.240000, 4.080000, 4.080000, 0.000000, 1.776000, 4.080000, 4.080000, 0.000000, 1.296000, 4.080000, 4.080000, 0.000000, 0.832000, 4.080000, 4.080000, 0.000000, 0.368000, 4.080000, 4.080000, 0.128000, 0.000000, 4.080000, 4.080000, 0.592000, 0.000000, 4.080000, 4.080000, 1.072000, 0.000000, 4.080000, 4.080000, 1.536000, 0.000000, 4.080000, 4.080000, 2.000000, 0.000000, 4.080000, 4.080000, 2.480000, 0.000000, 4.080000, 4.080000, 2.960000, 0.000000, 4.080000, 4.080000, 3.440000, 0.000000, 4.080000, 4.080000, 3.904000, 0.000000, 4.080000, 4.080000, 4.080000, 0.000000, 3.792000, 4.080000, 4.080000, 0.000000, 3.312000, 4.080000, 4.080000, 0.000000, 2.848000, 4.080000, 4.080000, 0.000000, 2.368000, 4.080000, 4.080000, 0.000000, 1.904000, 4.080000, 4.080000, 0.000000, 1.408000, 4.080000, 4.080000, 0.000000, 0.944000, 4.080000, 4.080000, 0.000000, 0.480000, 4.080000, 4.080000, 0.000000, 0.000000, 4.080000}
NR_Rainbow_3_4 = {0.816000, 0.000000, 0.000000, 0.816000, 0.816000, 0.070400, 0.000000, 0.816000, 0.816000, 0.166400, 0.000000, 0.816000, 0.816000, 0.262400, 0.000000, 0.816000, 0.816000, 0.352000, 0.000000, 0.816000, 0.816000, 0.448000, 0.000000, 0.816000, 0.816000, 0.544000, 0.000000, 0.816000, 0.816000, 0.636800, 0.000000, 0.816000, 0.816000, 0.732800, 0.000000, 0.816000, 0.803200, 0.816000, 0.000000, 0.816000, 0.710400, 0.816000, 0.000000, 0.816000, 0.614400, 0.816000, 0.000000, 0.816000, 0.521600, 0.816000, 0.000000, 0.816000, 0.425600, 0.816000, 0.000000, 0.816000, 0.329600, 0.816000, 0.000000, 0.816000, 0.236800, 0.816000, 0.000000, 0.816000, 0.140800, 0.816000, 0.000000, 0.816000, 0.048000, 0.816000, 0.000000, 0.816000, 0.000000, 0.816000, 0.048000, 0.816000, 0.000000, 0.816000, 0.144000, 0.816000, 0.000000, 0.816000, 0.236800, 0.816000, 0.000000, 0.816000, 0.329600, 0.816000, 0.000000, 0.816000, 0.425600, 0.816000, 0.000000, 0.816000, 0.521600, 0.816000, 0.000000, 0.816000, 0.614400, 0.816000, 0.000000, 0.816000, 0.710400, 0.816000, 0.000000, 0.816000, 0.803200, 0.816000, 0.000000, 0.732800, 0.816000, 0.816000, 0.000000, 0.640000, 0.816000, 0.816000, 0.000000, 0.544000, 0.816000, 0.816000, 0.000000, 0.448000, 0.816000, 0.816000, 0.000000, 0.355200, 0.816000, 0.816000, 0.000000, 0.259200, 0.816000, 0.816000, 0.000000, 0.166400, 0.816000, 0.816000, 0.000000, 0.073600, 0.816000, 0.816000, 0.025600, 0.000000, 0.816000, 0.816000, 0.118400, 0.000000, 0.816000, 0.816000, 0.214400, 0.000000, 0.816000, 0.816000, 0.307200, 0.000000, 0.816000, 0.816000, 0.400000, 0.000000, 0.816000, 0.816000, 0.496000, 0.000000, 0.816000, 0.816000, 0.592000, 0.000000, 0.816000, 0.816000, 0.688000, 0.000000, 0.816000, 0.816000, 0.780800, 0.000000, 0.816000, 0.816000, 0.816000, 0.000000, 0.758400, 0.816000, 0.816000, 0.000000, 0.662400, 0.816000, 0.816000, 0.000000, 0.569600, 0.816000, 0.816000, 0.000000, 0.473600, 0.816000, 0.816000, 0.000000, 0.380800, 0.816000, 0.816000, 0.000000, 0.281600, 0.816000, 0.816000, 0.000000, 0.188800, 0.816000, 0.816000, 0.000000, 0.096000, 0.816000, 0.816000, 0.000000, 0.000000, 0.816000}
NewReina_Rainbow_4 = {10.200000, 0.000000, 0.000000, 10.200000, 10.200000, 0.000000, 0.000000, 10.200000, 10.200000, 1.160000, 0.000000, 10.200000, 10.200000, 1.160000, 0.000000, 10.200000, 10.200000, 2.680000, 0.000000, 10.200000, 10.200000, 2.720000, 0.000000, 10.200000, 10.200000, 4.200000, 0.000000, 10.200000, 10.200000, 4.240000, 0.000000, 10.200000, 10.200000, 5.800000, 0.000000, 10.200000, 10.200000, 5.760000, 0.000000, 10.200000, 10.200000, 7.320000, 0.000000, 10.200000, 10.200000, 7.320000, 0.000000, 10.200000, 10.200000, 8.840000, 0.000000, 10.200000, 10.200000, 8.840000, 0.000000, 10.200000, 10.000000, 10.200000, 0.000000, 10.200000, 10.040000, 10.200000, 0.000000, 10.200000, 8.480000, 10.200000, 0.000000, 10.200000, 8.480000, 10.200000, 0.000000, 10.200000, 6.920000, 10.200000, 0.000000, 10.200000, 6.960000, 10.200000, 0.000000, 10.200000, 5.400000, 10.200000, 0.000000, 10.200000, 5.400000, 10.200000, 0.000000, 10.200000, 3.840000, 10.200000, 0.000000, 10.200000, 3.880000, 10.200000, 0.000000, 10.200000, 2.320000, 10.200000, 0.000000, 10.200000, 2.320000, 10.200000, 0.000000, 10.200000, 0.760000, 10.200000, 0.000000, 10.200000, 0.760000, 10.200000, 0.000000, 10.200000, 0.000000, 10.200000, 0.760000, 10.200000, 0.000000, 10.200000, 0.760000, 10.200000, 0.000000, 10.200000, 2.280000, 10.200000, 0.000000, 10.200000, 2.320000, 10.200000, 0.000000, 10.200000, 3.840000, 10.200000, 0.000000, 10.200000, 3.840000, 10.200000, 0.000000, 10.200000, 5.400000, 10.200000, 0.000000, 10.200000, 5.400000, 10.200000, 0.000000, 10.200000, 6.920000, 10.200000, 0.000000, 10.200000, 6.920000, 10.200000, 0.000000, 10.200000, 8.480000, 10.200000, 0.000000, 10.200000, 8.480000, 10.200000, 0.000000, 10.200000, 10.000000, 10.200000, 0.000000, 10.200000, 10.040000, 10.200000, 0.000000, 8.840000, 10.200000, 10.200000, 0.000000, 8.840000, 10.200000, 10.200000, 0.000000, 7.320000, 10.200000, 10.200000, 0.000000, 7.320000, 10.200000, 10.200000, 0.000000, 5.760000, 10.200000, 10.200000, 0.000000, 5.760000, 10.200000, 10.200000, 0.000000, 4.240000, 10.200000, 10.200000, 0.000000, 4.200000, 10.200000, 10.200000, 0.000000, 2.720000, 10.200000, 10.200000, 0.000000, 2.680000, 10.200000, 10.200000, 0.000000, 1.160000, 10.200000, 10.200000, 0.000000, 1.160000, 10.200000, 10.200000, 0.760000, 0.000000, 10.200000, 10.200000, 0.360000, 0.000000, 10.200000, 10.200000, 2.320000, 0.000000, 10.200000, 10.200000, 2.320000, 0.000000, 10.200000, 10.200000, 3.840000, 0.000000, 10.200000, 10.200000, 3.880000, 0.000000, 10.200000, 10.200000, 5.400000, 0.000000, 10.200000, 10.200000, 5.400000, 0.000000, 10.200000, 10.200000, 6.920000, 0.000000, 10.200000, 10.200000, 6.920000, 0.000000, 10.200000, 10.200000, 8.480000, 0.000000, 10.200000, 10.200000, 8.480000, 0.000000, 10.200000, 10.200000, 10.000000, 0.000000, 10.200000, 10.200000, 10.000000, 0.000000, 10.200000, 10.200000, 10.200000, 0.000000, 8.880000, 10.200000, 10.200000, 0.000000, 8.840000, 10.200000, 10.200000, 0.000000, 7.320000, 10.200000, 10.200000, 0.000000, 7.320000, 10.200000, 10.200000, 0.000000, 5.760000, 10.200000, 10.200000, 0.000000, 5.760000, 10.200000, 10.200000, 0.000000, 4.240000, 10.200000, 10.200000, 0.000000, 4.240000, 10.200000, 10.200000, 0.000000, 2.720000, 10.200000, 10.200000, 0.000000, 2.680000, 10.200000, 10.200000, 0.000000, 1.120000, 10.200000, 10.200000, 0.000000, 1.160000, 10.200000, 10.200000, 0.000000, 0.000000, 10.200000, 10.200000, 0.000000, 0.000000, 10.200000}
NR_Rainbow_4 = {2.040000, 0.000000, 0.000000, 2.040000, 2.040000, 0.000000, 0.000000, 2.040000, 2.040000, 0.232000, 0.000000, 2.040000, 2.040000, 0.232000, 0.000000, 2.040000, 2.040000, 0.536000, 0.000000, 2.040000, 2.040000, 0.544000, 0.000000, 2.040000, 2.040000, 0.840000, 0.000000, 2.040000, 2.040000, 0.848000, 0.000000, 2.040000, 2.040000, 1.160000, 0.000000, 2.040000, 2.040000, 1.152000, 0.000000, 2.040000, 2.040000, 1.464000, 0.000000, 2.040000, 2.040000, 1.464000, 0.000000, 2.040000, 2.040000, 1.768000, 0.000000, 2.040000, 2.040000, 1.768000, 0.000000, 2.040000, 2.000000, 2.040000, 0.000000, 2.040000, 2.008000, 2.040000, 0.000000, 2.040000, 1.696000, 2.040000, 0.000000, 2.040000, 1.696000, 2.040000, 0.000000, 2.040000, 1.384000, 2.040000, 0.000000, 2.040000, 1.392000, 2.040000, 0.000000, 2.040000, 1.080000, 2.040000, 0.000000, 2.040000, 1.080000, 2.040000, 0.000000, 2.040000, 0.768000, 2.040000, 0.000000, 2.040000, 0.776000, 2.040000, 0.000000, 2.040000, 0.464000, 2.040000, 0.000000, 2.040000, 0.464000, 2.040000, 0.000000, 2.040000, 0.152000, 2.040000, 0.000000, 2.040000, 0.152000, 2.040000, 0.000000, 2.040000, 0.000000, 2.040000, 0.152000, 2.040000, 0.000000, 2.040000, 0.152000, 2.040000, 0.000000, 2.040000, 0.456000, 2.040000, 0.000000, 2.040000, 0.464000, 2.040000, 0.000000, 2.040000, 0.768000, 2.040000, 0.000000, 2.040000, 0.768000, 2.040000, 0.000000, 2.040000, 1.080000, 2.040000, 0.000000, 2.040000, 1.080000, 2.040000, 0.000000, 2.040000, 1.384000, 2.040000, 0.000000, 2.040000, 1.384000, 2.040000, 0.000000, 2.040000, 1.696000, 2.040000, 0.000000, 2.040000, 1.696000, 2.040000, 0.000000, 2.040000, 2.000000, 2.040000, 0.000000, 2.040000, 2.008000, 2.040000, 0.000000, 1.768000, 2.040000, 2.040000, 0.000000, 1.768000, 2.040000, 2.040000, 0.000000, 1.464000, 2.040000, 2.040000, 0.000000, 1.464000, 2.040000, 2.040000, 0.000000, 1.152000, 2.040000, 2.040000, 0.000000, 1.152000, 2.040000, 2.040000, 0.000000, 0.848000, 2.040000, 2.040000, 0.000000, 0.840000, 2.040000, 2.040000, 0.000000, 0.544000, 2.040000, 2.040000, 0.000000, 0.536000, 2.040000, 2.040000, 0.000000, 0.232000, 2.040000, 2.040000, 0.000000, 0.232000, 2.040000, 2.040000, 0.152000, 0.000000, 2.040000, 2.040000, 0.072000, 0.000000, 2.040000, 2.040000, 0.464000, 0.000000, 2.040000, 2.040000, 0.464000, 0.000000, 2.040000, 2.040000, 0.768000, 0.000000, 2.040000, 2.040000, 0.776000, 0.000000, 2.040000, 2.040000, 1.080000, 0.000000, 2.040000, 2.040000, 1.080000, 0.000000, 2.040000, 2.040000, 1.384000, 0.000000, 2.040000, 2.040000, 1.384000, 0.000000, 2.040000, 2.040000, 1.696000, 0.000000, 2.040000, 2.040000, 1.696000, 0.000000, 2.040000, 2.040000, 2.000000, 0.000000, 2.040000, 2.040000, 2.000000, 0.000000, 2.040000, 2.040000, 2.040000, 0.000000, 1.776000, 2.040000, 2.040000, 0.000000, 1.768000, 2.040000, 2.040000, 0.000000, 1.464000, 2.040000, 2.040000, 0.000000, 1.464000, 2.040000, 2.040000, 0.000000, 1.152000, 2.040000, 2.040000, 0.000000, 1.152000, 2.040000, 2.040000, 0.000000, 0.848000, 2.040000, 2.040000, 0.000000, 0.848000, 2.040000, 2.040000, 0.000000, 0.544000, 2.040000, 2.040000, 0.000000, 0.536000, 2.040000, 2.040000, 0.000000, 0.224000, 2.040000, 2.040000, 0.000000, 0.232000, 2.040000, 2.040000, 0.000000, 0.000000, 2.040000, 2.040000, 0.000000, 0.000000, 2.040000}

NewReina_Rainbow_leg_1_3 = {6.375000, 0.000000, 0.000000, 6.375000, 6.375000, 0.000000, 0.000000, 6.375000, 6.375000, 0.725000, 0.000000, 6.375000, 6.375000, 0.725000, 0.000000, 6.375000, 6.375000, 1.725000, 0.000000, 6.375000, 6.375000, 1.725000, 0.000000, 6.375000, 6.375000, 2.700000, 0.000000, 6.375000, 6.375000, 2.725000, 0.000000, 6.375000, 6.375000, 3.700000, 0.000000, 6.375000, 6.375000, 3.700000, 0.000000, 6.375000, 6.375000, 4.700000, 0.000000, 6.375000, 6.375000, 4.675000, 0.000000, 6.375000, 6.375000, 5.675000, 0.000000, 6.375000, 6.375000, 5.675000, 0.000000, 6.375000, 6.075000, 6.375000, 0.000000, 6.375000, 6.100000, 6.375000, 0.000000, 6.375000, 5.100000, 6.375000, 0.000000, 6.375000, 5.100000, 6.375000, 0.000000, 6.375000, 4.100000, 6.375000, 0.000000, 6.375000, 4.100000, 6.375000, 0.000000, 6.375000, 3.125000, 6.375000, 0.000000, 6.375000, 3.125000, 6.375000, 0.000000, 6.375000, 2.125000, 6.375000, 0.000000, 6.375000, 2.150000, 6.375000, 0.000000, 6.375000, 1.150000, 6.375000, 0.000000, 6.375000, 1.150000, 6.375000, 0.000000, 6.375000, 0.175000, 6.375000, 0.000000, 6.375000, 0.150000, 6.375000, 0.000000, 6.375000, 0.000000, 6.375000, 0.575000, 6.375000, 0.000000, 6.375000, 0.575000, 6.375000, 0.000000, 6.375000, 1.575000, 6.375000, 0.000000, 6.375000, 1.550000, 6.375000, 0.000000, 6.375000, 2.550000, 6.375000, 0.000000, 6.375000, 2.550000, 6.375000, 0.000000, 6.375000, 3.525000, 6.375000, 0.000000, 6.375000, 3.525000, 6.375000, 0.000000, 6.375000, 4.525000, 6.375000, 0.000000, 6.375000, 4.500000, 6.375000, 0.000000, 6.375000, 5.525000, 6.375000, 0.000000, 6.375000, 5.525000, 6.375000, 0.000000, 6.250000, 6.375000, 6.375000, 0.000000, 6.250000, 6.375000, 6.375000, 0.000000, 5.250000, 6.375000, 6.375000, 0.000000, 5.275000, 6.375000, 6.375000, 0.000000, 4.275000, 6.375000, 6.375000, 0.000000, 4.275000, 6.375000, 6.375000, 0.000000, 3.300000, 6.375000, 6.375000, 0.000000, 3.300000, 6.375000, 6.375000, 0.000000, 2.300000, 6.375000, 6.375000, 0.000000, 2.300000, 6.375000, 6.375000, 0.000000, 1.325000, 6.375000, 6.375000, 0.000000, 1.325000, 6.375000, 6.375000, 0.000000, 0.325000, 6.375000, 6.375000, 0.000000, 0.325000, 6.375000, 6.375000, 0.650000, 0.000000, 6.375000, 6.375000, 0.650000, 0.000000, 6.375000, 6.375000, 1.650000, 0.000000, 6.375000, 6.375000, 1.650000, 0.000000, 6.375000, 6.375000, 2.625000, 0.000000, 6.375000, 6.375000, 2.625000, 0.000000, 6.375000, 6.375000, 3.600000, 0.000000, 6.375000, 6.375000, 3.600000, 0.000000, 6.375000, 6.375000, 4.625000, 0.000000, 6.375000, 6.375000, 4.600000, 0.000000, 6.375000, 6.375000, 5.600000, 0.000000, 6.375000, 6.375000, 5.600000, 0.000000, 6.375000, 6.375000, 6.375000, 0.000000, 6.175000, 6.375000, 6.375000, 0.000000, 6.175000, 6.375000, 6.375000, 0.000000, 5.175000, 6.375000, 6.375000, 0.000000, 5.175000, 6.375000, 6.375000, 0.000000, 4.200000, 6.375000, 6.375000, 0.000000, 4.200000, 6.375000, 6.375000, 0.000000, 3.225000, 6.375000, 6.375000, 0.000000, 3.200000, 6.375000, 6.375000, 0.000000, 2.225000, 6.375000, 6.375000, 0.000000, 2.225000, 6.375000, 6.375000, 0.000000, 1.225000, 6.375000, 6.375000, 0.000000, 1.225000, 6.375000, 6.375000, 0.000000, 0.225000, 6.375000, 6.375000, 0.000000, 0.250000, 6.375000}
NR_Rainbow_leg_1_3 = {1.275000, 0.000000, 0.000000, 1.275000, 1.275000, 0.000000, 0.000000, 1.275000, 1.275000, 0.145000, 0.000000, 1.275000, 1.275000, 0.145000, 0.000000, 1.275000, 1.275000, 0.345000, 0.000000, 1.275000, 1.275000, 0.345000, 0.000000, 1.275000, 1.275000, 0.540000, 0.000000, 1.275000, 1.275000, 0.545000, 0.000000, 1.275000, 1.275000, 0.740000, 0.000000, 1.275000, 1.275000, 0.740000, 0.000000, 1.275000, 1.275000, 0.940000, 0.000000, 1.275000, 1.275000, 0.935000, 0.000000, 1.275000, 1.275000, 1.135000, 0.000000, 1.275000, 1.275000, 1.135000, 0.000000, 1.275000, 1.215000, 1.275000, 0.000000, 1.275000, 1.220000, 1.275000, 0.000000, 1.275000, 1.020000, 1.275000, 0.000000, 1.275000, 1.020000, 1.275000, 0.000000, 1.275000, 0.820000, 1.275000, 0.000000, 1.275000, 0.820000, 1.275000, 0.000000, 1.275000, 0.625000, 1.275000, 0.000000, 1.275000, 0.625000, 1.275000, 0.000000, 1.275000, 0.425000, 1.275000, 0.000000, 1.275000, 0.430000, 1.275000, 0.000000, 1.275000, 0.230000, 1.275000, 0.000000, 1.275000, 0.230000, 1.275000, 0.000000, 1.275000, 0.035000, 1.275000, 0.000000, 1.275000, 0.030000, 1.275000, 0.000000, 1.275000, 0.000000, 1.275000, 0.115000, 1.275000, 0.000000, 1.275000, 0.115000, 1.275000, 0.000000, 1.275000, 0.315000, 1.275000, 0.000000, 1.275000, 0.310000, 1.275000, 0.000000, 1.275000, 0.510000, 1.275000, 0.000000, 1.275000, 0.510000, 1.275000, 0.000000, 1.275000, 0.705000, 1.275000, 0.000000, 1.275000, 0.705000, 1.275000, 0.000000, 1.275000, 0.905000, 1.275000, 0.000000, 1.275000, 0.900000, 1.275000, 0.000000, 1.275000, 1.105000, 1.275000, 0.000000, 1.275000, 1.105000, 1.275000, 0.000000, 1.250000, 1.275000, 1.275000, 0.000000, 1.250000, 1.275000, 1.275000, 0.000000, 1.050000, 1.275000, 1.275000, 0.000000, 1.055000, 1.275000, 1.275000, 0.000000, 0.855000, 1.275000, 1.275000, 0.000000, 0.855000, 1.275000, 1.275000, 0.000000, 0.660000, 1.275000, 1.275000, 0.000000, 0.660000, 1.275000, 1.275000, 0.000000, 0.460000, 1.275000, 1.275000, 0.000000, 0.460000, 1.275000, 1.275000, 0.000000, 0.265000, 1.275000, 1.275000, 0.000000, 0.265000, 1.275000, 1.275000, 0.000000, 0.065000, 1.275000, 1.275000, 0.000000, 0.065000, 1.275000, 1.275000, 0.130000, 0.000000, 1.275000, 1.275000, 0.130000, 0.000000, 1.275000, 1.275000, 0.330000, 0.000000, 1.275000, 1.275000, 0.330000, 0.000000, 1.275000, 1.275000, 0.525000, 0.000000, 1.275000, 1.275000, 0.525000, 0.000000, 1.275000, 1.275000, 0.720000, 0.000000, 1.275000, 1.275000, 0.720000, 0.000000, 1.275000, 1.275000, 0.925000, 0.000000, 1.275000, 1.275000, 0.920000, 0.000000, 1.275000, 1.275000, 1.120000, 0.000000, 1.275000, 1.275000, 1.120000, 0.000000, 1.275000, 1.275000, 1.275000, 0.000000, 1.235000, 1.275000, 1.275000, 0.000000, 1.235000, 1.275000, 1.275000, 0.000000, 1.035000, 1.275000, 1.275000, 0.000000, 1.035000, 1.275000, 1.275000, 0.000000, 0.840000, 1.275000, 1.275000, 0.000000, 0.840000, 1.275000, 1.275000, 0.000000, 0.645000, 1.275000, 1.275000, 0.000000, 0.640000, 1.275000, 1.275000, 0.000000, 0.445000, 1.275000, 1.275000, 0.000000, 0.445000, 1.275000, 1.275000, 0.000000, 0.245000, 1.275000, 1.275000, 0.000000, 0.245000, 1.275000, 1.275000, 0.000000, 0.045000, 1.275000, 1.275000, 0.000000, 0.050000, 1.275000}
NewReina_Rainbow_leg_2_11 = {1.100000, 0.000000, 0.000000, 1.000000, 1.100000, 0.942857, 0.000000, 1.000000, 0.314286, 1.100000, 0.000000, 1.000000, 0.000000, 1.100000, 0.628571, 1.000000, 0.000000, 0.628571, 1.100000, 1.000000, 0.314286, 0.000000, 1.100000, 1.000000, 1.100000, 0.000000, 0.942857, 1.000000, 1.100000, 0.000000, 0.000000, 1.000000}
NR_Rainbow_leg_2_11 = {0.220000, 0.000000, 0.000000, 0.200000, 0.220000, 0.188571, 0.000000, 0.200000, 0.062857, 0.220000, 0.000000, 0.200000, 0.000000, 0.220000, 0.125714, 0.200000, 0.000000, 0.125714, 0.220000, 0.200000, 0.062857, 0.000000, 0.220000, 0.200000, 0.220000, 0.000000, 0.188571, 0.200000, 0.220000, 0.000000, 0.000000, 0.200000}
NewReina_Rainbow_leg_3_4 = {6.375000, 0.000000, 0.000000, 6.375000, 6.375000, 0.550000, 0.000000, 6.375000, 6.375000, 1.300000, 0.000000, 6.375000, 6.375000, 2.050000, 0.000000, 6.375000, 6.375000, 2.775000, 0.000000, 6.375000, 6.375000, 3.525000, 0.000000, 6.375000, 6.375000, 4.250000, 0.000000, 6.375000, 6.375000, 4.975000, 0.000000, 6.375000, 6.375000, 5.900000, 0.000000, 6.375000, 6.100000, 6.375000, 0.000000, 6.375000, 5.375000, 6.375000, 0.000000, 6.375000, 4.625000, 6.375000, 0.000000, 6.375000, 3.875000, 6.375000, 0.000000, 6.375000, 3.150000, 6.375000, 0.000000, 6.375000, 2.400000, 6.375000, 0.000000, 6.375000, 1.650000, 6.375000, 0.000000, 6.375000, 0.925000, 6.375000, 0.000000, 6.375000, 0.200000, 6.375000, 0.000000, 6.375000, 0.000000, 6.375000, 0.550000, 6.375000, 0.000000, 6.375000, 1.300000, 6.375000, 0.000000, 6.375000, 2.050000, 6.375000, 0.000000, 6.375000, 2.775000, 6.375000, 0.000000, 6.375000, 3.525000, 6.375000, 0.000000, 6.375000, 4.250000, 6.375000, 0.000000, 6.375000, 5.000000, 6.375000, 0.000000, 6.375000, 5.725000, 6.375000, 0.000000, 6.275000, 6.375000, 6.375000, 0.000000, 5.525000, 6.375000, 6.375000, 0.000000, 4.800000, 6.375000, 6.375000, 0.000000, 4.075000, 6.375000, 6.375000, 0.000000, 3.325000, 6.375000, 6.375000, 0.000000, 2.575000, 6.375000, 6.375000, 0.000000, 1.850000, 6.375000, 6.375000, 0.000000, 1.100000, 6.375000, 6.375000, 0.000000, 0.350000, 6.375000, 6.375000, 0.350000, 0.000000, 6.375000, 6.375000, 1.125000, 0.000000, 6.375000, 6.375000, 1.850000, 0.000000, 6.375000, 6.375000, 2.600000, 0.000000, 6.375000, 6.375000, 3.325000, 0.000000, 6.375000, 6.375000, 4.075000, 0.000000, 6.375000, 6.375000, 4.800000, 0.000000, 6.375000, 6.375000, 5.550000, 0.000000, 6.375000, 6.375000, 6.275000, 0.000000, 6.375000, 6.375000, 6.375000, 0.000000, 5.725000, 6.375000, 6.375000, 0.000000, 5.000000, 6.375000, 6.375000, 0.000000, 4.250000, 6.375000, 6.375000, 0.000000, 3.500000, 6.375000, 6.375000, 0.000000, 2.775000, 6.375000, 6.375000, 0.000000, 2.025000, 6.375000, 6.375000, 0.000000, 1.275000, 6.375000, 6.375000, 0.000000, 0.575000, 6.375000, 6.375000, 0.000000, 0.000000, 6.375000}
NR_Rainbow_leg_3_4 = {1.275000, 0.000000, 0.000000, 1.275000, 1.275000, 0.110000, 0.000000, 1.275000, 1.275000, 0.260000, 0.000000, 1.275000, 1.275000, 0.410000, 0.000000, 1.275000, 1.275000, 0.555000, 0.000000, 1.275000, 1.275000, 0.705000, 0.000000, 1.275000, 1.275000, 0.850000, 0.000000, 1.275000, 1.275000, 0.995000, 0.000000, 1.275000, 1.275000, 1.180000, 0.000000, 1.275000, 1.220000, 1.275000, 0.000000, 1.275000, 1.075000, 1.275000, 0.000000, 1.275000, 0.925000, 1.275000, 0.000000, 1.275000, 0.775000, 1.275000, 0.000000, 1.275000, 0.630000, 1.275000, 0.000000, 1.275000, 0.480000, 1.275000, 0.000000, 1.275000, 0.330000, 1.275000, 0.000000, 1.275000, 0.185000, 1.275000, 0.000000, 1.275000, 0.040000, 1.275000, 0.000000, 1.275000, 0.000000, 1.275000, 0.110000, 1.275000, 0.000000, 1.275000, 0.260000, 1.275000, 0.000000, 1.275000, 0.410000, 1.275000, 0.000000, 1.275000, 0.555000, 1.275000, 0.000000, 1.275000, 0.705000, 1.275000, 0.000000, 1.275000, 0.850000, 1.275000, 0.000000, 1.275000, 1.000000, 1.275000, 0.000000, 1.275000, 1.145000, 1.275000, 0.000000, 1.255000, 1.275000, 1.275000, 0.000000, 1.105000, 1.275000, 1.275000, 0.000000, 0.960000, 1.275000, 1.275000, 0.000000, 0.815000, 1.275000, 1.275000, 0.000000, 0.665000, 1.275000, 1.275000, 0.000000, 0.515000, 1.275000, 1.275000, 0.000000, 0.370000, 1.275000, 1.275000, 0.000000, 0.220000, 1.275000, 1.275000, 0.000000, 0.070000, 1.275000, 1.275000, 0.070000, 0.000000, 1.275000, 1.275000, 0.225000, 0.000000, 1.275000, 1.275000, 0.370000, 0.000000, 1.275000, 1.275000, 0.520000, 0.000000, 1.275000, 1.275000, 0.665000, 0.000000, 1.275000, 1.275000, 0.815000, 0.000000, 1.275000, 1.275000, 0.960000, 0.000000, 1.275000, 1.275000, 1.110000, 0.000000, 1.275000, 1.275000, 1.255000, 0.000000, 1.275000, 1.275000, 1.275000, 0.000000, 1.145000, 1.275000, 1.275000, 0.000000, 1.000000, 1.275000, 1.275000, 0.000000, 0.850000, 1.275000, 1.275000, 0.000000, 0.700000, 1.275000, 1.275000, 0.000000, 0.555000, 1.275000, 1.275000, 0.000000, 0.405000, 1.275000, 1.275000, 0.000000, 0.255000, 1.275000, 1.275000, 0.000000, 0.115000, 1.275000, 1.275000, 0.000000, 0.000000, 1.275000}
NewReina_Rainbow_leg_4 = {10.200000,0.000000,0.000000,10.200000,10.200000,0.000000,0.000000,10.200000,10.200000,1.120000,0.000000,10.200000,10.200000,1.120000,0.000000,10.200000,10.200000,2.200000,0.000000,10.200000,10.200000,2.200000,0.000000,10.200000,10.200000,3.280000,0.000000,10.200000,10.200000,3.280000,0.000000,10.200000,10.200000,4.360000,0.000000,10.200000,10.200000,4.400000,0.000000,10.200000,10.200000,5.520000,0.000000,10.200000,10.200000,5.480000,0.000000,10.200000,10.200000,6.560000,0.000000,10.200000,10.200000,6.560000,0.000000,10.200000,10.200000,7.680000,0.000000,10.200000,10.200000,7.640000,0.000000,10.200000,10.200000,8.800000,0.000000,10.200000,10.200000,8.760000,0.000000,10.200000,10.200000,9.840000,0.000000,10.200000,10.200000,9.840000,0.000000,10.200000,9.400000,10.200000,0.000000,10.200000,9.400000,10.200000,0.000000,10.200000,8.360000,10.200000,0.000000,10.200000,8.360000,10.200000,0.000000,10.200000,7.200000,10.200000,0.000000,10.200000,7.240000,10.200000,0.000000,10.200000,6.160000,10.200000,0.000000,10.200000,6.120000,10.200000,0.000000,10.200000,5.040000,10.200000,0.000000,10.200000,5.040000,10.200000,0.000000,10.200000,3.920000,10.200000,0.000000,10.200000,3.960000,10.200000,0.000000,10.200000,2.840000,10.200000,0.000000,10.200000,2.840000,10.200000,0.000000,10.200000,1.760000,10.200000,0.000000,10.200000,1.720000,10.200000,0.000000,10.200000,0.680000,10.200000,0.000000,10.200000,0.680000,10.200000,0.000000,10.200000,0.000000,10.200000,0.440000,10.200000,0.000000,10.200000,0.480000,10.200000,0.000000,10.200000,1.520000,10.200000,0.000000,10.200000,1.520000,10.200000,0.000000,10.200000,2.600000,10.200000,0.000000,10.200000,2.640000,10.200000,0.000000,10.200000,4.000000,10.200000,0.000000,10.200000,4.000000,10.200000,0.000000,10.200000,5.120000,10.200000,0.000000,10.200000,5.120000,10.200000,0.000000,10.200000,6.200000,10.200000,0.000000,10.200000,6.200000,10.200000,0.000000,10.200000,7.280000,10.200000,0.000000,10.200000,7.320000,10.200000,0.000000,10.200000,8.400000,10.200000,0.000000,10.200000,8.400000,10.200000,0.000000,10.200000,9.520000,10.200000,0.000000,10.200000,9.520000,10.200000,0.000000,9.800000,10.200000,10.200000,0.000000,9.800000,10.200000,10.200000,0.000000,8.720000,10.200000,10.200000,0.000000,8.680000,10.200000,10.200000,0.000000,7.600000,10.200000,10.200000,0.000000,7.640000,10.200000,10.200000,0.000000,6.520000,10.200000,10.200000,0.000000,6.520000,10.200000,10.200000,0.000000,5.440000,10.200000,10.200000,0.000000,5.400000,10.200000,10.200000,0.000000,4.360000,10.200000,10.200000,0.000000,4.320000,10.200000,10.200000,0.000000,3.200000,10.200000,10.200000,0.000000,3.200000,10.200000,10.200000,0.000000,2.160000,10.200000,10.200000,0.000000,2.160000,10.200000,10.200000,0.000000,1.040000,10.200000,10.200000,0.000000,1.040000,10.200000,10.200000,0.040000,0.000000,10.200000,10.200000,0.080000,0.000000,10.200000,10.200000,1.160000,0.000000,10.200000,10.200000,1.160000,0.000000,10.200000,10.200000,2.240000,0.000000,10.200000,10.200000,2.280000,0.000000,10.200000,10.200000,3.320000,0.000000,10.200000,10.200000,3.360000,0.000000,10.200000,10.200000}
NR_Rainbow_leg_4 = {2.040000, 0.000000, 0.000000, 2.040000, 2.040000, 0.000000, 0.000000, 2.040000, 2.040000, 0.224000, 0.000000, 2.040000, 2.040000, 0.224000, 0.000000, 2.040000, 2.040000, 0.440000, 0.000000, 2.040000, 2.040000, 0.440000, 0.000000, 2.040000, 2.040000, 0.656000, 0.000000, 2.040000, 2.040000, 0.656000, 0.000000, 2.040000, 2.040000, 0.872000, 0.000000, 2.040000, 2.040000, 0.880000, 0.000000, 2.040000, 2.040000, 1.104000, 0.000000, 2.040000, 2.040000, 1.096000, 0.000000, 2.040000, 2.040000, 1.312000, 0.000000, 2.040000, 2.040000, 1.312000, 0.000000, 2.040000, 2.040000, 1.536000, 0.000000, 2.040000, 2.040000, 1.528000, 0.000000, 2.040000, 2.040000, 1.760000, 0.000000, 2.040000, 2.040000, 1.752000, 0.000000, 2.040000, 2.040000, 1.968000, 0.000000, 2.040000, 2.040000, 1.968000, 0.000000, 2.040000, 1.880000, 2.040000, 0.000000, 2.040000, 1.880000, 2.040000, 0.000000, 2.040000, 1.672000, 2.040000, 0.000000, 2.040000, 1.672000, 2.040000, 0.000000, 2.040000, 1.440000, 2.040000, 0.000000, 2.040000, 1.448000, 2.040000, 0.000000, 2.040000, 1.232000, 2.040000, 0.000000, 2.040000, 1.224000, 2.040000, 0.000000, 2.040000, 1.008000, 2.040000, 0.000000, 2.040000, 1.008000, 2.040000, 0.000000, 2.040000, 0.784000, 2.040000, 0.000000, 2.040000, 0.792000, 2.040000, 0.000000, 2.040000, 0.568000, 2.040000, 0.000000, 2.040000, 0.568000, 2.040000, 0.000000, 2.040000, 0.352000, 2.040000, 0.000000, 2.040000, 0.344000, 2.040000, 0.000000, 2.040000, 0.136000, 2.040000, 0.000000, 2.040000, 0.136000, 2.040000, 0.000000, 2.040000, 0.000000, 2.040000, 0.088000, 2.040000, 0.000000, 2.040000, 0.096000, 2.040000, 0.000000, 2.040000, 0.304000, 2.040000, 0.000000, 2.040000, 0.304000, 2.040000, 0.000000, 2.040000, 0.520000, 2.040000, 0.000000, 2.040000, 0.528000, 2.040000, 0.000000, 2.040000, 0.800000, 2.040000, 0.000000, 2.040000, 0.800000, 2.040000, 0.000000, 2.040000, 1.024000, 2.040000, 0.000000, 2.040000, 1.024000, 2.040000, 0.000000, 2.040000, 1.240000, 2.040000, 0.000000, 2.040000, 1.240000, 2.040000, 0.000000, 2.040000, 1.456000, 2.040000, 0.000000, 2.040000, 1.464000, 2.040000, 0.000000, 2.040000, 1.680000, 2.040000, 0.000000, 2.040000, 1.680000, 2.040000, 0.000000, 2.040000, 1.904000, 2.040000, 0.000000, 2.040000, 1.904000, 2.040000, 0.000000, 1.960000, 2.040000, 2.040000, 0.000000, 1.960000, 2.040000, 2.040000, 0.000000, 1.744000, 2.040000, 2.040000, 0.000000, 1.736000, 2.040000, 2.040000, 0.000000, 1.520000, 2.040000, 2.040000, 0.000000, 1.528000, 2.040000, 2.040000, 0.000000, 1.304000, 2.040000, 2.040000, 0.000000, 1.304000, 2.040000, 2.040000, 0.000000, 1.088000, 2.040000, 2.040000, 0.000000, 1.080000, 2.040000, 2.040000, 0.000000, 0.872000, 2.040000, 2.040000, 0.000000, 0.864000, 2.040000, 2.040000, 0.000000, 0.640000, 2.040000, 2.040000, 0.000000, 0.640000, 2.040000, 2.040000, 0.000000, 0.432000, 2.040000, 2.040000, 0.000000, 0.432000, 2.040000, 2.040000, 0.000000, 0.208000, 2.040000, 2.040000, 0.000000, 0.208000, 2.040000, 2.040000, 0.008000, 0.000000, 2.040000, 2.040000, 0.016000, 0.000000, 2.040000, 2.040000, 0.232000, 0.000000, 2.040000, 2.040000, 0.232000, 0.000000, 2.040000, 2.040000, 0.448000, 0.000000, 2.040000, 2.040000, 0.456000, 0.000000, 2.040000, 2.040000, 0.664000, 0.000000, 2.040000, 2.040000, 0.672000, 0.000000, 2.040000, 2.040000}
-- DynamicBeam001_3, DynamicBeam002_11, DynamicBeam003_4, DynamicBeam_4
-- NiagaraDataInterfaceColorCurve /Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Bujinkyaku01.NS_EF_Zbr_Bujinkyaku01:DynamicBeam001_3.EventScript_0.NiagaraDataInterfaceColorCurve_0
ReinaKick_0 = {}
ReinaKick_1 = {}
ReinaKick_2 = {}
ReinaKick_3 = {}
ReinaElec_0 = {}
ReinaElec_1 = {}
ReinaElec_2 = {}
ReinaElec_3 = {}
----------------------------------------------------------------------------------------Hard Coded Values Above -------------------------------------------------------------------------------------------------------------------------------------------
function Sleep(n) -- Self-explantory, used to wait n amount of seconds
    local start = os.time()
    repeat until os.time() > start + n
end
Sleep(2)
function ColorLUTArray(lutArray,color1,color2,color3)
    local colorR = color1 / 255 -- Puts between 0-1 (Normalises)
    local colorG = color2 / 255 -- Puts between 0-1 (Normalises)
    local colorB = color3 / 255 -- Puts between 0-1 (Normalises)
    for i = 1, #lutArray, 4 do
        -- LutArray's format is {R,G,B,A,R,G,B,A,.... }
        lutArray[i]     = colorR 
        lutArray[i + 1] = colorG  
        lutArray[i + 2] = colorB 
    end
    return lutArray
end
function ColorLUTArrayKick(lutArray) -- Old implementation that required multiple functions for Reina and Kazuya/Everyone else 
    if config.switchReinaKickColor == false then
        return lutArray
    end 
    local colorR = config.reinaKickColor[1] / 255 -- Puts between 0-1 (Normalises)
    local colorG = config.reinaKickColor[2] / 255 -- Puts between 0-1 (Normalises)
    local colorB = config.reinaKickColor[3] / 255 -- Puts between 0-1 (Normalises)
    
    
    for i = 1, #lutArray, 4 do
        -- LutArray's format is {R,G,B,A,R,G,B,A,.... }
        lutArray[i]     = colorR 
        lutArray[i + 1] = colorG  
        lutArray[i + 2] = colorB 
    end
    return lutArray
end
if config.switchElectricColor then
Kazuya_White_0 = ColorLUTArray(Kazuya_White_0,config.electricColor[1],config.electricColor[2],config.electricColor[3])
Kazuya_White_1 = ColorLUTArray(Kazuya_White_1,config.electricColor[1],config.electricColor[2],config.electricColor[3])
Kazuya_White_2 = ColorLUTArray(Kazuya_White_2,config.electricColor[1],config.electricColor[2],config.electricColor[3])
Kazuya_White_3 = ColorLUTArray(Kazuya_White_3,config.electricColor[1],config.electricColor[2],config.electricColor[3])
end 
if config.switchReinaKickColor then 
ReinaKick_0 = ColorLUTArray(NR_Rainbow_leg_1_3,config.reinaKickColor[1],config.reinaKickColor[2],config.reinaKickColor[3])
ReinaKick_1 = ColorLUTArray(NR_Rainbow_leg_2_11,config.reinaKickColor[1],config.reinaKickColor[2],config.reinaKickColor[3])
ReinaKick_2 = ColorLUTArray(NR_Rainbow_leg_3_4,config.reinaKickColor[1],config.reinaKickColor[2],config.reinaKickColor[3])
ReinaKick_3 = ColorLUTArray(NR_Rainbow_leg_4,config.reinaKickColor[1],config.reinaKickColor[2],config.reinaKickColor[3])
end
if config.switchReinaElectricColor then 
ReinaElec_0 = ColorLUTArray(NR_Rainbow_0,config.reinaElectricColor[1],config.reinaElectricColor[2],config.reinaElectricColor[3])
ReinaElec_1 = ColorLUTArray(NR_Rainbow_1_3,config.reinaElectricColor[1],config.reinaElectricColor[2],config.reinaElectricColor[3])
ReinaElec_2 = ColorLUTArray(NR_Rainbow_3_4,config.reinaElectricColor[1],config.reinaElectricColor[2],config.reinaElectricColor[3])
ReinaElec_3 = ColorLUTArray(NR_Rainbow_4,config.reinaElectricColor[1],config.reinaElectricColor[2],config.reinaElectricColor[3])
end
function OnInitBattleCallBack(Context,Param)
    IsCalled = true
    PrintRemixLooker("OnInitBattle Called")
    if not(RemixTimeOld ~= nil) then
        PrintRemixLooker("Is Nil")
        RemixTimeCurrent = os.time()
        RemixTimeOld = RemixTimeCurrent - 10
    else
    PrintRemixLooker("Debug Statement 1")
    if(RemixTimeCurrent - RemixTimeOld > 4) then
        PrintRemixLooker("Debug Statement 2")
        local FnameSaifu02DI1 = "/Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Saifu02.NS_EF_Zbr_Saifu02:DynamicBeam001_3.EventScript_0.NiagaraDataInterfaceColorCurve_0"
        PrintRemixLooker("DebugV2 Statement 1")
        local aUobject = StaticFindObject(FnameSaifu02DI1)
        PrintRemixLooker("DebugV2 Statement 2")
        if( aUobject ~= nil  and aUobject:IsValid()) then -- Instead of doing all of this, you could just hook into a function that has access to the FigherIDs and the CharacterEffects, like BP_Character something
            PrintRemixLooker("Debug Statement 3")   
         SetReinaSaifuAndLeg(NewReina_Rainbow_0,NewReina_Rainbow_1_3,NewReina_Rainbow_3_4, NewReina_Rainbow_4,NewReina_Rainbow_leg_1_3, NewReina_Rainbow_leg_2_11, NewReina_Rainbow_leg_3_4,NewReina_Rainbow_leg_4 )
        end
    else
        PrintRemixLooker("Object is invalid or nil")
    end
    RemixTimeOld = RemixTimeCurrent
    RemixTimeCurrent = os.time()
 end
 PrintRemixLooker("End Function")
 IsCalled = false
end
local function DebugonInitBattleCallBack(Context,Param)
    PrintRemixLooker("DebugOnInit: ")
    Found_Saifu = true
end
-- Below is very old
-- if config.Dvj_Mode_on then -- Something for anyone looking at the code and has this enabled in Config
-- RegisterKeyBind(Key.FOUR, {}, function()
   -- if Found_Saifu then
     --  SetReinaSaifu02_to_Dvj()
   -- end   
 -- end)
-- end
local function multipyShaderLut(arr, multiplier)
    local newArray = {}
    for i = 1, #arr do
        newArray[i] = arr[i] * multiplier
    end
    return newArray
end
local function doFindObject(UobjectTempt, uClass, NiagaraSystemNonInstance, SL_0,SL_1,SL_2, SL_3, path1, path2, path3, path4)
    PrintRemixLooker("doFindObject path1 is: " .. path1)
    if (UobjectTempt ~= nil and UobjectTempt:IsValid()) then
        PrintRemixLooker("Before 2")
        -- NiagaraDataInterfaceColorCurve /Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Saifu02.NS_EF_Zbr_Saifu02:DynamicBeam001_3.EventScript_0.NiagaraDataInterfaceColorCurve_0
        local aUobject = FindObject(uClass,UobjectTempt, path1, true)
         PrintRemixLooker("After 2 ")
         if aUobject ~= nil then
             PrintRemixLooker("Found object, checking validity")
             if aUobject:IsValid() then
                 PrintRemixLooker("aUobject is Valid, Calling FindObjectSetElectric, path is : " .. path1)
                 FindObjectSetElectric(uClass, UobjectTempt, SL_0,SL_1,SL_2, SL_3, path1, path2, path3, path4)
                 else
                 PrintRemixLooker("aUobject is invalid, path is : " .. path1)
             end
         else
             PrintRemixLooker("aUobject is nil")
         end
      end
end
function OnInitBattleCallBackV3(Context,Param)
    -- NiagaraSystem /Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Saifu02.NS_EF_Zbr_Saifu02
    -- NiagaraSystem /Script/Niagara.Default__NiagaraSystem
 if not (NDICC ~= nill) then
        NDICC = StaticFindObject("/Script/Niagara.Default__NiagaraDataInterfaceColorCurve")
  end
 if(NDICC:IsValid()) then
    local path1 = nil
    local path2 = nil 
    local path3 = nil 
    local path4 = nil
    local NSClass = StaticFindObject("/Script/Niagara.Default__NiagaraSystem")
  --  if(NSClass:IsValid()) then
    local uClass = NDICC:GetClass()
    local UobjectPathRelativePackage = "DynamicBeam001_3/EventScript_0/NiagaraDataInterfaceColorCurve_5"
    local UobjectTemp = nil
    PrintRemixLooker("Before 1")
    -- Lua indexes starting at 1. Weird
  --  if config.rainBowModeSet[1] == 1 then -- Kazuya 
  if config.kazuyaRainbow then
        PrintRemixLooker("Kazuya 1 ")
        path1 = "/Game/Effect/Polariswork/Character/grl/NiagaraSystem/NS_EF_Grl_Saifu02.NS_EF_Grl_Saifu02:DynamicBeam001_3.EventScript_0.NiagaraDataInterfaceColorCurve_1"         
        path2 = "/Game/Effect/Polariswork/Character/grl/NiagaraSystem/NS_EF_Grl_Saifu02.NS_EF_Grl_Saifu02:DynamicBeam002_11.EventScript_0.NiagaraDataInterfaceColorCurve_1"
        path3 = "/Game/Effect/Polariswork/Character/grl/NiagaraSystem/NS_EF_Grl_Saifu02.NS_EF_Grl_Saifu02:DynamicBeam003_4.EventScript_0.NiagaraDataInterfaceColorCurve_1"        
        path4 = "/Game/Effect/Polariswork/Character/grl/NiagaraSystem/NS_EF_Grl_Saifu02.NS_EF_Grl_Saifu02:DynamicBeam_4.EventScript_0.NiagaraDataInterfaceColorCurve_1"
        UobjectTemp = FindObject("NiagaraSystem","NS_EF_Grl_Saifu02")
        doFindObject(UobjectTemp, uClass,NSClass,Kazuya_Rainbow_0,Kazuya_Rainbow_1,Kazuya_Rainbow_2,Kazuya_Rainbow_3,path1,path2,path3,path4)

    end
    if config.switchElectricColor then
        PrintRemixLooker("Kazuya 1 White")
        path1 = "/Game/Effect/Polariswork/Character/grl/NiagaraSystem/NS_EF_Grl_Saifu02.NS_EF_Grl_Saifu02:DynamicBeam001_3.EventScript_0.NiagaraDataInterfaceColorCurve_1"         
        path2 = "/Game/Effect/Polariswork/Character/grl/NiagaraSystem/NS_EF_Grl_Saifu02.NS_EF_Grl_Saifu02:DynamicBeam002_11.EventScript_0.NiagaraDataInterfaceColorCurve_1"
        path3 = "/Game/Effect/Polariswork/Character/grl/NiagaraSystem/NS_EF_Grl_Saifu02.NS_EF_Grl_Saifu02:DynamicBeam003_4.EventScript_0.NiagaraDataInterfaceColorCurve_1"        
        path4 = "/Game/Effect/Polariswork/Character/grl/NiagaraSystem/NS_EF_Grl_Saifu02.NS_EF_Grl_Saifu02:DynamicBeam_4.EventScript_0.NiagaraDataInterfaceColorCurve_1"
        UobjectTemp = FindObject("NiagaraSystem","NS_EF_Grl_Saifu02")
        doFindObject(UobjectTemp, uClass,NSClass,Kazuya_White_0,Kazuya_White_1,Kazuya_White_2,Kazuya_White_3,path1,path2,path3,path4)
    end
    if false then -- Devil Jin, 
        -- local NS_EF_Zbr_Saifu02 = FindObject("NiagaraSystem","NS_EF_Zbr_Saifu02")
        PrintRemixLooker("Devil Jin 1 ")
        path1 = "/Game/Effect/Polariswork/Character/swl/NiagaraSystem/NS_EF_Swl_Saifu02.NS_EF_Swl_Saifu02:Aura002_3.EventScript_0.NiagaraDataInterfaceColorCurve_0"
        path2 = "/Game/Effect/Polariswork/Character/swl/NiagaraSystem/NS_EF_Swl_Saifu02.NS_EF_Swl_Saifu02:Aura_2.EventScript_0.NiagaraDataInterfaceColorCurve_0"
        path3 = "/Game/Effect/Polariswork/Character/swl/NiagaraSystem/NS_EF_Swl_Saifu02.NS_EF_Swl_Saifu02:Lightning001_1.EventScript_0.NiagaraDataInterfaceColorCurve_0"
        path4 = "/Game/Effect/Polariswork/Character/swl/NiagaraSystem/NS_EF_Swl_Saifu02.NS_EF_Swl_Saifu02:LIGHTNING_0.EventScript_0.NiagaraDataInterfaceColorCurve_0"
        UobjectTemp = FindObject("NiagaraSystem","NS_EF_Swl_Saifu02")
        doFindObject(UobjectTemp, uClass,NSClass,Dvj_Rainbow_0,Dvj_Rainbow_1,Dvj_Rainbow_2,Dvj_Rainbow_3,path1,path2,path3,path4) 
    end
    if config.reinaRainbow then -- Reina
        PrintRemixLooker("Reina 1 ")
        path1 = "/Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Saifu02.NS_EF_Zbr_Saifu02:DynamicBeam001_3.EventScript_0.NiagaraDataInterfaceColorCurve_6"         
        path2 = "/Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Saifu02.NS_EF_Zbr_Saifu02:DynamicBeam002_11.EventScript_0.NiagaraDataInterfaceColorCurve_6"
        path3 = "/Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Saifu02.NS_EF_Zbr_Saifu02:DynamicBeam003_4.EventScript_0.NiagaraDataInterfaceColorCurve_6"        
        path4 = "/Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Saifu02.NS_EF_Zbr_Saifu02:DynamicBeam_4.EventScript_0.NiagaraDataInterfaceColorCurve_6"
        UobjectTemp = FindObject("NiagaraSystem","NS_EF_Zbr_Saifu02")
        -- doFindObject(UobjectTemp, uClass,NSClass,NewReina_Rainbow_0,NewReina_Rainbow_1_3,NewReina_Rainbow_3_4,NewReina_Rainbow_4,path1,path2,path3,path4)
        NR_Rainbow_0 = multipyShaderLut(NewReina_Rainbow_0, 0.7)
        NR_Rainbow_1_3 = multipyShaderLut(NewReina_Rainbow_1_3, 0.7)
        NR_Rainbow_3_4 = multipyShaderLut(NewReina_Rainbow_3_4, 0.7)
        NR_Rainbow_4 = multipyShaderLut(NewReina_Rainbow_4, 0.7)
        doFindObject(UobjectTemp, uClass,NSClass,NR_Rainbow_0,NR_Rainbow_1_3,NR_Rainbow_3_4,NR_Rainbow_4,path1,path2,path3,path4)
        path1 = "/Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Bujinkyaku01.NS_EF_Zbr_Bujinkyaku01:DynamicBeam001_3.EventScript_0.NiagaraDataInterfaceColorCurve_0"
        path2 = "/Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Bujinkyaku01.NS_EF_Zbr_Bujinkyaku01:DynamicBeam002_11.EventScript_0.NiagaraDataInterfaceColorCurve_0"
        path3 = "/Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Bujinkyaku01.NS_EF_Zbr_Bujinkyaku01:DynamicBeam003_4.EventScript_0.NiagaraDataInterfaceColorCurve_0"
        path4 = "/Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Bujinkyaku01.NS_EF_Zbr_Bujinkyaku01:DynamicBeam_4.EventScript_0.NiagaraDataInterfaceColorCurve_0"
        UobjectTemp = FindObject("NiagaraSystem","NS_EF_Zbr_Bujinkyaku01")
        -- doFindObject(UobjectTemp, uClass,NSClass,NewReina_Rainbow_leg_1_3,NewReina_Rainbow_leg_1_3,NewReina_Rainbow_leg_3_4,NewReina_Rainbow_leg_4,path1,path2,path3,path4)
        NR_Rainbow_leg_1_3 = multipyShaderLut(NewReina_Rainbow_leg_1_3, 0.7)
        NR_Rainbow_leg_2_11 = multipyShaderLut(NewReina_Rainbow_leg_2_11, 0.7)
        NR_Rainbow_leg_3_4 = multipyShaderLut(NewReina_Rainbow_leg_3_4, 0.7)
        NR_Rainbow_leg_4 = multipyShaderLut(NewReina_Rainbow_leg_4, 0.7)
        doFindObject(UobjectTemp, uClass,NSClass,NR_Rainbow_leg_1_3,NR_Rainbow_leg_2_11,NR_Rainbow_leg_3_4,NR_Rainbow_leg_4,path1,path2,path3,path4)
        
    end
    if config.switchReinaElectricColor then
        path1 = "/Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Saifu02.NS_EF_Zbr_Saifu02:DynamicBeam001_3.EventScript_0.NiagaraDataInterfaceColorCurve_6"         
        path2 = "/Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Saifu02.NS_EF_Zbr_Saifu02:DynamicBeam002_11.EventScript_0.NiagaraDataInterfaceColorCurve_6"
        path3 = "/Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Saifu02.NS_EF_Zbr_Saifu02:DynamicBeam003_4.EventScript_0.NiagaraDataInterfaceColorCurve_6"        
        path4 = "/Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Saifu02.NS_EF_Zbr_Saifu02:DynamicBeam_4.EventScript_0.NiagaraDataInterfaceColorCurve_6"
        UobjectTemp = FindObject("NiagaraSystem","NS_EF_Zbr_Saifu02")
        -- doFindObject(UobjectTemp, uClass,NSClass,NewReina_Rainbow_0,NewReina_Rainbow_1_3,NewReina_Rainbow_3_4,NewReina_Rainbow_4,path1,path2,path3,path4)
        doFindObject(UobjectTemp, uClass,NSClass,ReinaElec_0,ReinaElec_1,ReinaElec_2,ReinaElec_3,path1,path2,path3,path4)
    end
    if config.switchReinaKickColor then 
        path1 = "/Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Bujinkyaku01.NS_EF_Zbr_Bujinkyaku01:DynamicBeam001_3.EventScript_0.NiagaraDataInterfaceColorCurve_0"
        path2 = "/Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Bujinkyaku01.NS_EF_Zbr_Bujinkyaku01:DynamicBeam002_11.EventScript_0.NiagaraDataInterfaceColorCurve_0"
        path3 = "/Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Bujinkyaku01.NS_EF_Zbr_Bujinkyaku01:DynamicBeam003_4.EventScript_0.NiagaraDataInterfaceColorCurve_0"
        path4 = "/Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Bujinkyaku01.NS_EF_Zbr_Bujinkyaku01:DynamicBeam_4.EventScript_0.NiagaraDataInterfaceColorCurve_0"
        UobjectTemp = FindObject("NiagaraSystem","NS_EF_Zbr_Bujinkyaku01")
        -- doFindObject(UobjectTemp, uClass,NSClass,NewReina_Rainbow_leg_1_3,NewReina_Rainbow_leg_1_3,NewReina_Rainbow_leg_3_4,NewReina_Rainbow_leg_4,path1,path2,path3,path4)
        doFindObject(UobjectTemp, uClass,NSClass,ReinaKick_0,ReinaKick_1,ReinaKick_2,ReinaKick_3,path1,path2,path3,path4)
    end
    PrintRemixLooker("After 1")
       -- if (NS_EF_Zbr_Saifu02 ~= nil and NS_EF_Zbr_Saifu02:IsValid()) then
   -- local aUobject = FindObject(uClass, nil, UobjectPathRelativePackage)
   
end
IsCalled = false
PrintRemixLooker("Done Function OnInitBattleCallBackV3 : ) ")
 end
 

function CallFunctionInstantThenDelay(Context, param)
    if(IsSettingvalues or IsCalled) then
        return
    end
    IsCalled = true
    ExecuteWithDelay(1500, function () OnInitBattleCallBackV3(Context, param)end)
    
 end

RegisterHook("/Script/Polaris.PolarisCharacterActor:OnInitBattle", CallFunctionInstantThenDelay)
-- PolarisPlayerController /Game/Maps/Boot.Boot:PersistentLevel.PolarisPlayerController_2147473850 Switchlevel strpropety URL Function /Script/Engine.PlayerController:SwitchLevel
-- Function /Game/Blueprints/Light/BP_StageLightController.BP_StageLightController_C:GetLevels
-- end

function SetShaderLUTValue(index, elem, lutArray) -- TArray and I aren't friends after this shit
    if lutArray[index] then
        elem:set(lutArray[index])
    end
end
function FindObjectSetReinaSaifuAndLeg(uClass_I, NS_EF_Zbr_Saifu02_I, SL_0, SL_1, SL_2, SL_3,SLLeg_0,SLLeg_1,SLLeg_2,SSLEG_3 )
    -- Uses Shortnames and FindObject instead of StaticFindObject as thats probs the cause of the error icl
    IsSettingvalues = true
    PrintRemixLooker("Setting Reina's Effects")
    local longNamePlease = "/Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Saifu02.NS_EF_Zbr_Saifu02:DynamicBeam001_3.EventScript_0.NiagaraDataInterfaceColorCurve_0" 
    local UObjectSaifu02_CC_0 = FindObject(uClass_I,NS_EF_Zbr_Saifu02_I, longNamePlease, true)
    
    local FnameSaifu02DI2 = "/Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Saifu02.NS_EF_Zbr_Saifu02:DynamicBeam002_11.EventScript_0.NiagaraDataInterfaceColorCurve_0"
    local UObjectSaifu02_CC_1 = FindObject(uClass_I,NS_EF_Zbr_Saifu02_I, FnameSaifu02DI2, true)
    
    FnameSaifu02DI2 = "/Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Saifu02.NS_EF_Zbr_Saifu02:DynamicBeam003_4.EventScript_0.NiagaraDataInterfaceColorCurve_0"
    local UObjectSaifu02_CC_2 = FindObject(uClass_I,NS_EF_Zbr_Saifu02_I, FnameSaifu02DI2, true)
    
    FnameSaifu02DI2 = "/Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Saifu02.NS_EF_Zbr_Saifu02:DynamicBeam_4.EventScript_0.NiagaraDataInterfaceColorCurve_0"
    local UObjectSaifu02_CC_3 = FindObject(uClass_I,NS_EF_Zbr_Saifu02_I, FnameSaifu02DI2, true)
    
    if (UObjectSaifu02_CC_0 ~=nil and UObjectSaifu02_CC_1  ~=nil and UObjectSaifu02_CC_2  ~=nil and UObjectSaifu02_CC_3  ~=nil) then
  UObjectSaifu02_CC_0.ShaderLUT:ForEach(function(index, elem)
    SetShaderLUTValue(index, elem, SL_0) end)
  UObjectSaifu02_CC_1.ShaderLUT:ForEach(function(index, elem)
    SetShaderLUTValue(index, elem, SL_1) end)
  UObjectSaifu02_CC_2.ShaderLUT:ForEach(function(index, elem)
    SetShaderLUTValue(index, elem, SL_2) end)
  UObjectSaifu02_CC_3.ShaderLUT:ForEach(function(index, elem)
   SetShaderLUTValue(index, elem, SL_3) end)
  else
    PrintRemixLooker("UObjectSaifu02 branch is false Oh No : ( ")
end
PrintRemixLooker("Find NS_EF_Zbr_Bujinkyaku01")
local NS_EF_Zbr_Byak = FindObject("NiagaraSystem","NS_EF_Zbr_Bujinkyaku01")
PrintRemixLooker("Found BujinKyaku01")
FnameSaifu02DI2 = "/Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Bujinkyaku01.NS_EF_Zbr_Bujinkyaku01:DynamicBeam001_3.EventScript_0.NiagaraDataInterfaceColorCurve_0"
local Uobject = FindObject(uClass_I,NS_EF_Zbr_Byak, FnameSaifu02DI2, true)

if (Uobject ~= nil) then
Uobject.ShaderLUT:ForEach(function(index, elem)
    SetShaderLUTValue(index, elem, SLLeg_0)
end)
end
--
FnameSaifu02DI2 = "/Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Bujinkyaku01.NS_EF_Zbr_Bujinkyaku01:DynamicBeam002_11.EventScript_0.NiagaraDataInterfaceColorCurve_0"
Uobject = FindObject(uClass_I,NS_EF_Zbr_Byak, FnameSaifu02DI2, true)

if (Uobject ~= nil) then
    Uobject.ShaderLUT:ForEach(function(index, elem)
        SetShaderLUTValue(index, elem, SLLeg_1)
    end)
 end
--
FnameSaifu02DI2 = "/Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Bujinkyaku01.NS_EF_Zbr_Bujinkyaku01:DynamicBeam003_4.EventScript_0.NiagaraDataInterfaceColorCurve_0"
Uobject = FindObject(uClass_I,NS_EF_Zbr_Byak, FnameSaifu02DI2, true)

if (Uobject ~= nil) then
    Uobject.ShaderLUT:ForEach(function(index, elem)
        SetShaderLUTValue(index, elem, SLLeg_2)
    end)
 end
--
FnameSaifu02DI2 = "/Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Bujinkyaku01.NS_EF_Zbr_Bujinkyaku01:DynamicBeam_4.EventScript_0.NiagaraDataInterfaceColorCurve_0"
Uobject = FindObject(uClass_I,NS_EF_Zbr_Byak, FnameSaifu02DI2, true)

if (Uobject ~= nil) then
    Uobject.ShaderLUT:ForEach(function(index, elem)
        SetShaderLUTValue(index, elem, SSLEG_3)
    end)
 end
 IsSettingvalues = false
end
function FindObjectSetElectric(uClass_I, NS_EF_Zbr_Saifu02_I, SL_0, SL_1, SL_2, SL_3, path1, path2, path3, path4)
    -- Uses Shortnames and FindObject instead of StaticFindObject as thats probs the cause of the error icl
    
    IsSettingvalues = true
    PrintRemixLooker("Setting Electric's Effects")
   PrintRemixLooker("Path1 is " .. path1)
    -- local longNamePlease = "/Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Saifu02.NS_EF_Zbr_Saifu02:DynamicBeam001_3.EventScript_0.NiagaraDataInterfaceColorCurve_0" 
   local longNamePlease = path1 
   local UObjectSaifu02_CC_0 = FindObject(uClass_I,NS_EF_Zbr_Saifu02_I, longNamePlease, true)
    
    --local FnameSaifu02DI2 = "/Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Saifu02.NS_EF_Zbr_Saifu02:DynamicBeam002_11.EventScript_0.NiagaraDataInterfaceColorCurve_0"
    local FnameSaifu02DI2 = path2
    local UObjectSaifu02_CC_1 = FindObject(uClass_I,NS_EF_Zbr_Saifu02_I, FnameSaifu02DI2, true)
    
   -- FnameSaifu02DI2 = "/Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Saifu02.NS_EF_Zbr_Saifu02:DynamicBeam003_4.EventScript_0.NiagaraDataInterfaceColorCurve_0"
   FnameSaifu02DI2 = path3
   local UObjectSaifu02_CC_2 = FindObject(uClass_I,NS_EF_Zbr_Saifu02_I, FnameSaifu02DI2, true)
    
  --  FnameSaifu02DI2 = "/Game/Effect/Polariswork/Character/zbr/NiagaraSystem/NS_EF_Zbr_Saifu02.NS_EF_Zbr_Saifu02:DynamicBeam_4.EventScript_0.NiagaraDataInterfaceColorCurve_0"
  FnameSaifu02DI2 = path4
  local UObjectSaifu02_CC_3 = FindObject(uClass_I,NS_EF_Zbr_Saifu02_I, FnameSaifu02DI2, true)
    
    if (UObjectSaifu02_CC_0 ~=nil and UObjectSaifu02_CC_1  ~=nil and UObjectSaifu02_CC_2  ~=nil and UObjectSaifu02_CC_3  ~=nil) then
  UObjectSaifu02_CC_0.ShaderLUT:ForEach(function(index, elem)
    SetShaderLUTValue(index, elem, SL_0) end)
  UObjectSaifu02_CC_1.ShaderLUT:ForEach(function(index, elem)
    SetShaderLUTValue(index, elem, SL_1) end)
  UObjectSaifu02_CC_2.ShaderLUT:ForEach(function(index, elem)
    SetShaderLUTValue(index, elem, SL_2) end)
  UObjectSaifu02_CC_3.ShaderLUT:ForEach(function(index, elem)
   SetShaderLUTValue(index, elem, SL_3) end)
  else
    PrintRemixLooker("UObjectSaifu02 branch is false Oh No : ( ")
end
 IsSettingvalues = false
end
function SetReinaSaifu02_to_defualt()
    PrintRemixLooker("To defualt Saifu02 \n")
end 

-- RegisterKeyBind(Key.FOUR, {}, function()
    -- if Found_Saifu then
     --   SetReinaSaifu02_to_Dvj()
   -- end 
-- end)
    -- if SetReinaSaifu then
   --   SetReinaSaifu02_to_defualt()
   --   SetReinaSaifu = false
   --  else
     
     -- SetReinaSaifu = true
   --  end
    
-- FindReinaSaifu()

-- Hello there 